import { ATN } from "antlr4ts/atn/ATN";
import { CharStream } from "antlr4ts/CharStream";
import { Lexer } from "antlr4ts/Lexer";
import { Vocabulary } from "antlr4ts/Vocabulary";
export declare class FlinkSqlLexer extends Lexer {
    static readonly SPACE = 1;
    static readonly COMMENT_INPUT = 2;
    static readonly LINE_COMMENT = 3;
    static readonly KW_ABS = 4;
    static readonly KW_ALL = 5;
    static readonly KW_ALLOCATE = 6;
    static readonly KW_ALLOW = 7;
    static readonly KW_ALTER = 8;
    static readonly KW_ANALYZE = 9;
    static readonly KW_AND = 10;
    static readonly KW_ANY = 11;
    static readonly KW_ARE = 12;
    static readonly KW_ARRAY = 13;
    static readonly KW_ARRAY_AGG = 14;
    static readonly KW_ARRAY_CONCAT_AGG = 15;
    static readonly KW_ARRAY_MAX_CARDINALITY = 16;
    static readonly KW_AS = 17;
    static readonly KW_ASENSITIVE = 18;
    static readonly KW_ASYMMETRIC = 19;
    static readonly KW_AT = 20;
    static readonly KW_ATOMIC = 21;
    static readonly KW_AUTHORIZATION = 22;
    static readonly KW_AVG = 23;
    static readonly KW_BEGIN = 24;
    static readonly KW_BEGIN_FRAME = 25;
    static readonly KW_BEGIN_PARTITION = 26;
    static readonly KW_BETWEEN = 27;
    static readonly KW_BIGINT = 28;
    static readonly KW_BINARY = 29;
    static readonly KW_BIT = 30;
    static readonly KW_BLOB = 31;
    static readonly KW_BOOLEAN = 32;
    static readonly KW_BOTH = 33;
    static readonly KW_BY = 34;
    static readonly KW_BYTES = 35;
    static readonly KW_CALL = 36;
    static readonly KW_CALLED = 37;
    static readonly KW_CARDINALITY = 38;
    static readonly KW_CASCADED = 39;
    static readonly KW_CASE = 40;
    static readonly KW_CAST = 41;
    static readonly KW_CATALOGS = 42;
    static readonly KW_CEIL = 43;
    static readonly KW_CEILING = 44;
    static readonly KW_CHANGELOG_MODE = 45;
    static readonly KW_CHAR = 46;
    static readonly KW_CHARACTER = 47;
    static readonly KW_CHARACTER_LENGTH = 48;
    static readonly KW_CHAR_LENGTH = 49;
    static readonly KW_CHECK = 50;
    static readonly KW_CLASSIFIER = 51;
    static readonly KW_CLOB = 52;
    static readonly KW_CLOSE = 53;
    static readonly KW_COALESCE = 54;
    static readonly KW_COLLATE = 55;
    static readonly KW_COLLECT = 56;
    static readonly KW_COLUMN = 57;
    static readonly KW_COLUMNS = 58;
    static readonly KW_COMMENT = 59;
    static readonly KW_COMMIT = 60;
    static readonly KW_COMPUTE = 61;
    static readonly KW_CONDITION = 62;
    static readonly KW_CONNECT = 63;
    static readonly KW_CONSTRAINT = 64;
    static readonly KW_CONTAINS = 65;
    static readonly KW_CONVERT = 66;
    static readonly KW_CORR = 67;
    static readonly KW_CORRESPONDING = 68;
    static readonly KW_COUNT = 69;
    static readonly KW_COVAR_POP = 70;
    static readonly KW_COVAR_SAMP = 71;
    static readonly KW_CREATE = 72;
    static readonly KW_CROSS = 73;
    static readonly KW_CUBE = 74;
    static readonly KW_CUME_DIST = 75;
    static readonly KW_CURRENT = 76;
    static readonly KW_CURRENT_CATALOG = 77;
    static readonly KW_CURRENT_DATE = 78;
    static readonly KW_CURRENT_DEFAULT_TRANSFORM_GROUP = 79;
    static readonly KW_CURRENT_PATH = 80;
    static readonly KW_CURRENT_ROLE = 81;
    static readonly KW_CURRENT_ROW = 82;
    static readonly KW_CURRENT_SCHEMA = 83;
    static readonly KW_CURRENT_TIME = 84;
    static readonly KW_CURRENT_TIMESTAMP = 85;
    static readonly KW_CURRENT_TRANSFORM_GROUP_FOR_TYPE = 86;
    static readonly KW_CURRENT_USER = 87;
    static readonly KW_CURSOR = 88;
    static readonly KW_CYCLE = 89;
    static readonly KW_DATABASES = 90;
    static readonly KW_DATE = 91;
    static readonly KW_DATETIME = 92;
    static readonly KW_DATETIME_DIFF = 93;
    static readonly KW_DATETIME_TRUNC = 94;
    static readonly KW_DATE_DIFF = 95;
    static readonly KW_DATE_TRUNC = 96;
    static readonly KW_DAY = 97;
    static readonly KW_DAYOFWEEK = 98;
    static readonly KW_DAYOFYEAR = 99;
    static readonly KW_DEALLOCATE = 100;
    static readonly KW_DEC = 101;
    static readonly KW_DECIMAL = 102;
    static readonly KW_DECLARE = 103;
    static readonly KW_DEFAULT = 104;
    static readonly KW_DEFINE = 105;
    static readonly KW_DELETE = 106;
    static readonly KW_DENSE_RANK = 107;
    static readonly KW_DEREF = 108;
    static readonly KW_DESCRIBE = 109;
    static readonly KW_DETERMINISTIC = 110;
    static readonly KW_DISALLOW = 111;
    static readonly KW_DISCONNECT = 112;
    static readonly KW_DISTINCT = 113;
    static readonly KW_DOT = 114;
    static readonly KW_DOUBLE = 115;
    static readonly KW_DROP = 116;
    static readonly KW_DYNAMIC = 117;
    static readonly KW_EACH = 118;
    static readonly KW_ELEMENT = 119;
    static readonly KW_ELSE = 120;
    static readonly KW_EMPTY = 121;
    static readonly KW_END = 122;
    static readonly KW_END_FRAME = 123;
    static readonly KW_END_PARTITION = 124;
    static readonly KW_ENFORCED = 125;
    static readonly KW_EQUALS = 126;
    static readonly KW_ESCAPE = 127;
    static readonly KW_ESTIMATED_COST = 128;
    static readonly KW_EVERY = 129;
    static readonly KW_EXCEPT = 130;
    static readonly KW_EXEC = 131;
    static readonly KW_EXECUTE = 132;
    static readonly KW_EXISTS = 133;
    static readonly KW_EXP = 134;
    static readonly KW_EXPLAIN = 135;
    static readonly KW_EXTEND = 136;
    static readonly KW_EXTENDED = 137;
    static readonly KW_EXTERNAL = 138;
    static readonly KW_EXTRACT = 139;
    static readonly KW_FALSE = 140;
    static readonly KW_FETCH = 141;
    static readonly KW_FILTER = 142;
    static readonly KW_FIRST_VALUE = 143;
    static readonly KW_FLOAT = 144;
    static readonly KW_FLOOR = 145;
    static readonly KW_FOR = 146;
    static readonly KW_FOREIGN = 147;
    static readonly KW_FRAME_ROW = 148;
    static readonly KW_FREE = 149;
    static readonly KW_FRIDAY = 150;
    static readonly KW_FROM = 151;
    static readonly KW_FULL = 152;
    static readonly KW_FUNCTION = 153;
    static readonly KW_FUNCTIONS = 154;
    static readonly KW_FUSION = 155;
    static readonly KW_GET = 156;
    static readonly KW_GLOBAL = 157;
    static readonly KW_GRANT = 158;
    static readonly KW_GROUP = 159;
    static readonly KW_GROUPING = 160;
    static readonly KW_GROUPS = 161;
    static readonly KW_GROUP_CONCAT = 162;
    static readonly KW_HAVING = 163;
    static readonly KW_HOLD = 164;
    static readonly KW_HOUR = 165;
    static readonly KW_IDENTITY = 166;
    static readonly KW_IF = 167;
    static readonly KW_ILIKE = 168;
    static readonly KW_IMPORT = 169;
    static readonly KW_IN = 170;
    static readonly KW_INCLUDE = 171;
    static readonly KW_INDICATOR = 172;
    static readonly KW_INITIAL = 173;
    static readonly KW_INNER = 174;
    static readonly KW_INOUT = 175;
    static readonly KW_INSENSITIVE = 176;
    static readonly KW_INSERT = 177;
    static readonly KW_INT = 178;
    static readonly KW_INTEGER = 179;
    static readonly KW_INTERSECT = 180;
    static readonly KW_INTERSECTION = 181;
    static readonly KW_INTERVAL = 182;
    static readonly KW_INTO = 183;
    static readonly KW_IS = 184;
    static readonly KW_JOIN = 185;
    static readonly KW_JSON_ARRAY = 186;
    static readonly KW_JSON_ARRAYAGG = 187;
    static readonly KW_JSON_EXECUTION_PLAN = 188;
    static readonly KW_JSON_EXISTS = 189;
    static readonly KW_JSON_OBJECT = 190;
    static readonly KW_JSON_OBJECTAGG = 191;
    static readonly KW_JSON_QUERY = 192;
    static readonly KW_JSON_VALUE = 193;
    static readonly KW_LAG = 194;
    static readonly KW_LANGUAGE = 195;
    static readonly KW_LARGE = 196;
    static readonly KW_LAST_VALUE = 197;
    static readonly KW_LATERAL = 198;
    static readonly KW_LEAD = 199;
    static readonly KW_LEADING = 200;
    static readonly KW_LEFT = 201;
    static readonly KW_LIKE = 202;
    static readonly KW_LIKE_REGEX = 203;
    static readonly KW_LIMIT = 204;
    static readonly KW_LN = 205;
    static readonly KW_LOCAL = 206;
    static readonly KW_LOCALTIME = 207;
    static readonly KW_LOCALTIMESTAMP = 208;
    static readonly KW_LOWER = 209;
    static readonly KW_MATCH = 210;
    static readonly KW_MATCHES = 211;
    static readonly KW_MATCH_NUMBER = 212;
    static readonly KW_MATCH_RECOGNIZE = 213;
    static readonly KW_MAX = 214;
    static readonly KW_MEASURES = 215;
    static readonly KW_MEMBER = 216;
    static readonly KW_MERGE = 217;
    static readonly KW_METADATA = 218;
    static readonly KW_METHOD = 219;
    static readonly KW_MIN = 220;
    static readonly KW_MINUS = 221;
    static readonly KW_MINUTE = 222;
    static readonly KW_MOD = 223;
    static readonly KW_MODIFIES = 224;
    static readonly KW_MODIFY = 225;
    static readonly KW_MODULE = 226;
    static readonly KW_MODULES = 227;
    static readonly KW_MONDAY = 228;
    static readonly KW_MONTH = 229;
    static readonly KW_MORE = 230;
    static readonly KW_MULTISET = 231;
    static readonly KW_NATIONAL = 232;
    static readonly KW_NATURAL = 233;
    static readonly KW_NCHAR = 234;
    static readonly KW_NCLOB = 235;
    static readonly KW_NEW = 236;
    static readonly KW_NEXT = 237;
    static readonly KW_NO = 238;
    static readonly KW_NONE = 239;
    static readonly KW_NORMALIZE = 240;
    static readonly KW_NOT = 241;
    static readonly KW_NTH_VALUE = 242;
    static readonly KW_NTILE = 243;
    static readonly KW_NULL = 244;
    static readonly KW_NULLIF = 245;
    static readonly KW_NUMERIC = 246;
    static readonly KW_OCCURRENCES_REGEX = 247;
    static readonly KW_OCTET_LENGTH = 248;
    static readonly KW_OF = 249;
    static readonly KW_OFFSET = 250;
    static readonly KW_OLD = 251;
    static readonly KW_OMIT = 252;
    static readonly KW_ON = 253;
    static readonly KW_ONE = 254;
    static readonly KW_ONLY = 255;
    static readonly KW_OPEN = 256;
    static readonly KW_OR = 257;
    static readonly KW_ORDER = 258;
    static readonly KW_ORDINAL = 259;
    static readonly KW_OUT = 260;
    static readonly KW_OUTER = 261;
    static readonly KW_OVER = 262;
    static readonly KW_OVERLAPS = 263;
    static readonly KW_OVERLAY = 264;
    static readonly KW_OVERWRITE = 265;
    static readonly KW_OVERWRITING = 266;
    static readonly KW_PARAMETER = 267;
    static readonly KW_PARTITION = 268;
    static readonly KW_PARTITIONED = 269;
    static readonly KW_PARTITIONS = 270;
    static readonly KW_PATTERN = 271;
    static readonly KW_PER = 272;
    static readonly KW_PERCENT = 273;
    static readonly KW_PERCENTILE_CONT = 274;
    static readonly KW_PERCENTILE_DISC = 275;
    static readonly KW_PERCENT_RANK = 276;
    static readonly KW_PERIOD = 277;
    static readonly KW_PERMUTE = 278;
    static readonly KW_PIVOT = 279;
    static readonly KW_PORTION = 280;
    static readonly KW_POSITION = 281;
    static readonly KW_POSITION_REGEX = 282;
    static readonly KW_POWER = 283;
    static readonly KW_PRECEDES = 284;
    static readonly KW_PRECISION = 285;
    static readonly KW_PREPARE = 286;
    static readonly KW_PREV = 287;
    static readonly KW_PRIMARY = 288;
    static readonly KW_PROCEDURE = 289;
    static readonly KW_QUALIFY = 290;
    static readonly KW_QUARTERS = 291;
    static readonly KW_RANGE = 292;
    static readonly KW_RANK = 293;
    static readonly KW_RAW = 294;
    static readonly KW_READS = 295;
    static readonly KW_REAL = 296;
    static readonly KW_RECURSIVE = 297;
    static readonly KW_REF = 298;
    static readonly KW_REFERENCES = 299;
    static readonly KW_REFERENCING = 300;
    static readonly KW_REGR_AVGX = 301;
    static readonly KW_REGR_AVGY = 302;
    static readonly KW_REGR_COUNT = 303;
    static readonly KW_REGR_INTERCEPT = 304;
    static readonly KW_REGR_R2 = 305;
    static readonly KW_REGR_SLOPE = 306;
    static readonly KW_REGR_SXX = 307;
    static readonly KW_REGR_SXY = 308;
    static readonly KW_REGR_SYY = 309;
    static readonly KW_RELEASE = 310;
    static readonly KW_RENAME = 311;
    static readonly KW_RESET = 312;
    static readonly KW_RESULT = 313;
    static readonly KW_RETURN = 314;
    static readonly KW_RETURNS = 315;
    static readonly KW_REVOKE = 316;
    static readonly KW_RIGHT = 317;
    static readonly KW_RLIKE = 318;
    static readonly KW_ROLLBACK = 319;
    static readonly KW_ROLLUP = 320;
    static readonly KW_ROW = 321;
    static readonly KW_ROWS = 322;
    static readonly KW_ROW_NUMBER = 323;
    static readonly KW_RUNNING = 324;
    static readonly KW_SAFE_CAST = 325;
    static readonly KW_SAFE_OFFSET = 326;
    static readonly KW_SAFE_ORDINAL = 327;
    static readonly KW_SATURDAY = 328;
    static readonly KW_SAVEPOINT = 329;
    static readonly KW_SCALA = 330;
    static readonly KW_SCOPE = 331;
    static readonly KW_SCROLL = 332;
    static readonly KW_SEARCH = 333;
    static readonly KW_SECOND = 334;
    static readonly KW_SEEK = 335;
    static readonly KW_SELECT = 336;
    static readonly KW_SENSITIVE = 337;
    static readonly KW_SEPARATOR = 338;
    static readonly KW_SESSION_USER = 339;
    static readonly KW_SET = 340;
    static readonly KW_SHOW = 341;
    static readonly KW_SIMILAR = 342;
    static readonly KW_SKIP = 343;
    static readonly KW_SMALLINT = 344;
    static readonly KW_SOME = 345;
    static readonly KW_SPECIFIC = 346;
    static readonly KW_SPECIFICTYPE = 347;
    static readonly KW_SQL = 348;
    static readonly KW_SQLEXCEPTION = 349;
    static readonly KW_SQLSTATE = 350;
    static readonly KW_SQLWARNING = 351;
    static readonly KW_SQRT = 352;
    static readonly KW_START = 353;
    static readonly KW_STATEMENT = 354;
    static readonly KW_STATIC = 355;
    static readonly KW_STATISTICS = 356;
    static readonly KW_STDDEV_POP = 357;
    static readonly KW_STDDEV_SAMP = 358;
    static readonly KW_STREAM = 359;
    static readonly KW_STRING = 360;
    static readonly KW_STRING_AGG = 361;
    static readonly KW_SUBMULTISET = 362;
    static readonly KW_SUBSET = 363;
    static readonly KW_SUBSTRING = 364;
    static readonly KW_SUBSTRING_REGEX = 365;
    static readonly KW_SUCCEEDS = 366;
    static readonly KW_SUM = 367;
    static readonly KW_SUNDAY = 368;
    static readonly KW_SYMMETRIC = 369;
    static readonly KW_SYSTEM = 370;
    static readonly KW_SYSTEM_TIME = 371;
    static readonly KW_SYSTEM_USER = 372;
    static readonly KW_TABLE = 373;
    static readonly KW_TABLES = 374;
    static readonly KW_TABLESAMPLE = 375;
    static readonly KW_THEN = 376;
    static readonly KW_THURSDAY = 377;
    static readonly KW_TIME = 378;
    static readonly KW_TIMESTAMP = 379;
    static readonly KW_TIMESTAMP_DIFF = 380;
    static readonly KW_TIMESTAMP_LTZ = 381;
    static readonly KW_TIMESTAMP_TRUNC = 382;
    static readonly KW_TIMEZONE_HOUR = 383;
    static readonly KW_TIMEZONE_MINUTE = 384;
    static readonly KW_TIME_DIFF = 385;
    static readonly KW_TIME_TRUNC = 386;
    static readonly KW_TINYINT = 387;
    static readonly KW_TO = 388;
    static readonly KW_TRAILING = 389;
    static readonly KW_TRANSLATE = 390;
    static readonly KW_TRANSLATE_REGEX = 391;
    static readonly KW_TRANSLATION = 392;
    static readonly KW_TREAT = 393;
    static readonly KW_TRIGGER = 394;
    static readonly KW_TRIM = 395;
    static readonly KW_TRIM_ARRAY = 396;
    static readonly KW_TRUE = 397;
    static readonly KW_TRUNCATE = 398;
    static readonly KW_TRY_CAST = 399;
    static readonly KW_TUESDAY = 400;
    static readonly KW_UESCAPE = 401;
    static readonly KW_UNION = 402;
    static readonly KW_UNIQUE = 403;
    static readonly KW_UNKNOWN = 404;
    static readonly KW_UNNEST = 405;
    static readonly KW_UNPIVOT = 406;
    static readonly KW_UPDATE = 407;
    static readonly KW_UPPER = 408;
    static readonly KW_UPSERT = 409;
    static readonly KW_USE = 410;
    static readonly KW_USER = 411;
    static readonly KW_USING = 412;
    static readonly KW_VALUE = 413;
    static readonly KW_VALUES = 414;
    static readonly KW_VALUE_OF = 415;
    static readonly KW_VARBINARY = 416;
    static readonly KW_VARCHAR = 417;
    static readonly KW_VARYING = 418;
    static readonly KW_VAR_POP = 419;
    static readonly KW_VAR_SAMP = 420;
    static readonly KW_VERSIONING = 421;
    static readonly KW_VIEWS = 422;
    static readonly KW_VIRTUAL = 423;
    static readonly KW_WATERMARK = 424;
    static readonly KW_WATERMARKS = 425;
    static readonly KW_WEDNESDAY = 426;
    static readonly KW_WEEKS = 427;
    static readonly KW_WHEN = 428;
    static readonly KW_WHENEVER = 429;
    static readonly KW_WHERE = 430;
    static readonly KW_WIDTH_BUCKET = 431;
    static readonly KW_WINDOW = 432;
    static readonly KW_WITH = 433;
    static readonly KW_WITHIN = 434;
    static readonly KW_WITHOUT = 435;
    static readonly KW_YEAR = 436;
    static readonly KW_ADD = 437;
    static readonly KW_AFTER = 438;
    static readonly KW_ASC = 439;
    static readonly KW_CASCADE = 440;
    static readonly KW_CATALOG = 441;
    static readonly KW_CENTURY = 442;
    static readonly KW_CONFIG = 443;
    static readonly KW_CONSTRAINTS = 444;
    static readonly KW_CUMULATE = 445;
    static readonly KW_DATA = 446;
    static readonly KW_DATABASE = 447;
    static readonly KW_DAYS = 448;
    static readonly KW_DECADE = 449;
    static readonly KW_DESC = 450;
    static readonly KW_DESCRIPTOR = 451;
    static readonly KW_DIV = 452;
    static readonly KW_ENGINE = 453;
    static readonly KW_EPOCH = 454;
    static readonly KW_EXCLUDING = 455;
    static readonly KW_FILE = 456;
    static readonly KW_FIRST = 457;
    static readonly KW_GENERATED = 458;
    static readonly KW_HOP = 459;
    static readonly KW_HOURS = 460;
    static readonly KW_IGNORE = 461;
    static readonly KW_INCLUDING = 462;
    static readonly KW_JAR = 463;
    static readonly KW_JARS = 464;
    static readonly KW_JAVA = 465;
    static readonly KW_KEY = 466;
    static readonly KW_LAST = 467;
    static readonly KW_LOAD = 468;
    static readonly KW_MAP = 469;
    static readonly KW_MICROSECOND = 470;
    static readonly KW_MILLENNIUM = 471;
    static readonly KW_MILLISECOND = 472;
    static readonly KW_MINUTES = 473;
    static readonly KW_MONTHS = 474;
    static readonly KW_NANOSECOND = 475;
    static readonly KW_NULLS = 476;
    static readonly KW_OPTIONS = 477;
    static readonly KW_PAST = 478;
    static readonly KW_PLAN = 479;
    static readonly KW_PRECEDING = 480;
    static readonly KW_PYTHON = 481;
    static readonly KW_PYTHON_ARCHIVES = 482;
    static readonly KW_PYTHON_DEPENDENCIES = 483;
    static readonly KW_PYTHON_FILES = 484;
    static readonly KW_PYTHON_JAR = 485;
    static readonly KW_PYTHON_PARAMETER = 486;
    static readonly KW_PYTHON_REQUIREMENTS = 487;
    static readonly KW_QUARTER = 488;
    static readonly KW_REMOVE = 489;
    static readonly KW_RESTRICT = 490;
    static readonly KW_SECONDS = 491;
    static readonly KW_SESSION = 492;
    static readonly KW_SETS = 493;
    static readonly KW_SIZE = 494;
    static readonly KW_SLIDE = 495;
    static readonly KW_STEP = 496;
    static readonly KW_TEMPORARY = 497;
    static readonly KW_TIMECOL = 498;
    static readonly KW_TUMBLE = 499;
    static readonly KW_UNLOAD = 500;
    static readonly KW_VIEW = 501;
    static readonly KW_WEEK = 502;
    static readonly KW_YEARS = 503;
    static readonly KW_ZONE = 504;
    static readonly EQUAL_SYMBOL = 505;
    static readonly GREATER_SYMBOL = 506;
    static readonly LESS_SYMBOL = 507;
    static readonly EXCLAMATION_SYMBOL = 508;
    static readonly BIT_NOT_OP = 509;
    static readonly BIT_OR_OP = 510;
    static readonly BIT_AND_OP = 511;
    static readonly BIT_XOR_OP = 512;
    static readonly DOT = 513;
    static readonly LS_BRACKET = 514;
    static readonly RS_BRACKET = 515;
    static readonly LR_BRACKET = 516;
    static readonly RR_BRACKET = 517;
    static readonly LB_BRACKET = 518;
    static readonly RB_BRACKET = 519;
    static readonly COMMA = 520;
    static readonly SEMICOLON = 521;
    static readonly AT_SIGN = 522;
    static readonly SINGLE_QUOTE_SYMB = 523;
    static readonly DOUBLE_QUOTE_SYMB = 524;
    static readonly REVERSE_QUOTE_SYMB = 525;
    static readonly COLON_SYMB = 526;
    static readonly ASTERISK_SIGN = 527;
    static readonly UNDERLINE_SIGN = 528;
    static readonly HYPNEN_SIGN = 529;
    static readonly ADD_SIGN = 530;
    static readonly PENCENT_SIGN = 531;
    static readonly DOUBLE_VERTICAL_SIGN = 532;
    static readonly DOUBLE_HYPNEN_SIGN = 533;
    static readonly SLASH_SIGN = 534;
    static readonly QUESTION_MARK_SIGN = 535;
    static readonly DOUBLE_RIGHT_ARROW = 536;
    static readonly STRING_LITERAL = 537;
    static readonly DIG_LITERAL = 538;
    static readonly REAL_LITERAL = 539;
    static readonly BIT_STRING = 540;
    static readonly ID_LITERAL = 541;
    static readonly channelNames: string[];
    static readonly modeNames: string[];
    static readonly ruleNames: string[];
    private static readonly _LITERAL_NAMES;
    private static readonly _SYMBOLIC_NAMES;
    static readonly VOCABULARY: Vocabulary;
    get vocabulary(): Vocabulary;
    constructor(input: CharStream);
    get grammarFileName(): string;
    get ruleNames(): string[];
    get serializedATN(): string;
    get channelNames(): string[];
    get modeNames(): string[];
    private static readonly _serializedATNSegments;
    private static readonly _serializedATNSegment0;
    private static readonly _serializedATNSegment1;
    private static readonly _serializedATNSegment2;
    private static readonly _serializedATNSegment3;
    private static readonly _serializedATNSegment4;
    private static readonly _serializedATNSegment5;
    private static readonly _serializedATNSegment6;
    private static readonly _serializedATNSegment7;
    private static readonly _serializedATNSegment8;
    private static readonly _serializedATNSegment9;
    static readonly _serializedATN: string;
    static __ATN: ATN;
    static get _ATN(): ATN;
}
