import { PlSqlLexer } from '../lib/plsql/PlSqlLexer';
import { PlSqlParser } from '../lib/plsql/PlSqlParser';
import BasicParser from './common/basicParser';
export default class PLSQL extends BasicParser {
    constructor() {
        super(...arguments);
        this.preferredRules = new Set();
    }
    createLexerFormCharStream(charStreams) {
        const lexer = new PlSqlLexer(charStreams);
        return lexer;
    }
    createParserFromTokenStream(tokenStream) {
        return new PlSqlParser(tokenStream);
    }
    get splitListener() {
        return null;
    }
    processCandidates(candidates, allTokens, caretTokenIndex) {
        return {
            syntax: [],
            keywords: [],
        };
    }
}
//# sourceMappingURL=plsql.js.map