import { ATN } from "antlr4ts/atn/ATN";
import { FailedPredicateException } from "antlr4ts/FailedPredicateException";
import { Parser } from "antlr4ts/Parser";
import { ParserRuleContext } from "antlr4ts/ParserRuleContext";
import { RuleContext } from "antlr4ts/RuleContext";
import { TerminalNode } from "antlr4ts/tree/TerminalNode";
import { Token } from "antlr4ts/Token";
import { TokenStream } from "antlr4ts/TokenStream";
import { Vocabulary } from "antlr4ts/Vocabulary";
import { SqlParserListener } from "./SqlParserListener";
import { SqlParserVisitor } from "./SqlParserVisitor";
export declare class SqlParser extends Parser {
    static readonly SPACE = 1;
    static readonly SPEC_MYSQL_COMMENT = 2;
    static readonly COMMENT_INPUT = 3;
    static readonly LINE_COMMENT = 4;
    static readonly ADD = 5;
    static readonly ALL = 6;
    static readonly ALTER = 7;
    static readonly ALWAYS = 8;
    static readonly ANALYZE = 9;
    static readonly AND = 10;
    static readonly AS = 11;
    static readonly ASC = 12;
    static readonly BEFORE = 13;
    static readonly BETWEEN = 14;
    static readonly BOTH = 15;
    static readonly BY = 16;
    static readonly CALL = 17;
    static readonly CASCADE = 18;
    static readonly CASE = 19;
    static readonly CAST = 20;
    static readonly CHANGE = 21;
    static readonly CHARACTER = 22;
    static readonly CHECK = 23;
    static readonly COLLATE = 24;
    static readonly COLUMN = 25;
    static readonly CONDITION = 26;
    static readonly CONSTRAINT = 27;
    static readonly CONTINUE = 28;
    static readonly CONVERT = 29;
    static readonly CREATE = 30;
    static readonly CROSS = 31;
    static readonly CURRENT = 32;
    static readonly CURRENT_USER = 33;
    static readonly CURSOR = 34;
    static readonly DATABASE = 35;
    static readonly DATABASES = 36;
    static readonly DECLARE = 37;
    static readonly DEFAULT = 38;
    static readonly DELAYED = 39;
    static readonly DELETE = 40;
    static readonly DESC = 41;
    static readonly DESCRIBE = 42;
    static readonly DETERMINISTIC = 43;
    static readonly DIAGNOSTICS = 44;
    static readonly DISTINCT = 45;
    static readonly DISTINCTROW = 46;
    static readonly DROP = 47;
    static readonly EACH = 48;
    static readonly ELSE = 49;
    static readonly ELSEIF = 50;
    static readonly ENCLOSED = 51;
    static readonly ESCAPED = 52;
    static readonly EXISTS = 53;
    static readonly EXIT = 54;
    static readonly EXPLAIN = 55;
    static readonly FALSE = 56;
    static readonly FETCH = 57;
    static readonly FOR = 58;
    static readonly FORCE = 59;
    static readonly FOREIGN = 60;
    static readonly FROM = 61;
    static readonly FULLTEXT = 62;
    static readonly GENERATED = 63;
    static readonly GET = 64;
    static readonly GRANT = 65;
    static readonly GROUP = 66;
    static readonly HAVING = 67;
    static readonly HIGH_PRIORITY = 68;
    static readonly IF = 69;
    static readonly IGNORE = 70;
    static readonly IN = 71;
    static readonly INDEX = 72;
    static readonly INFILE = 73;
    static readonly INNER = 74;
    static readonly INOUT = 75;
    static readonly INSERT = 76;
    static readonly INTERVAL = 77;
    static readonly INTO = 78;
    static readonly IS = 79;
    static readonly ITERATE = 80;
    static readonly JOIN = 81;
    static readonly KEY = 82;
    static readonly KEYS = 83;
    static readonly KILL = 84;
    static readonly LEADING = 85;
    static readonly LEAVE = 86;
    static readonly LEFT = 87;
    static readonly LIKE = 88;
    static readonly LIMIT = 89;
    static readonly LINEAR = 90;
    static readonly LINES = 91;
    static readonly LOAD = 92;
    static readonly LOCK = 93;
    static readonly LOOP = 94;
    static readonly LOW_PRIORITY = 95;
    static readonly MASTER_BIND = 96;
    static readonly MASTER_SSL_VERIFY_SERVER_CERT = 97;
    static readonly MATCH = 98;
    static readonly MAXVALUE = 99;
    static readonly MODIFIES = 100;
    static readonly NATURAL = 101;
    static readonly NOT = 102;
    static readonly NO_WRITE_TO_BINLOG = 103;
    static readonly NULL_LITERAL = 104;
    static readonly NUMBER = 105;
    static readonly ON = 106;
    static readonly OPTIMIZE = 107;
    static readonly OPTION = 108;
    static readonly OPTIONALLY = 109;
    static readonly OR = 110;
    static readonly ORDER = 111;
    static readonly OUT = 112;
    static readonly OUTER = 113;
    static readonly OUTFILE = 114;
    static readonly PARTITION = 115;
    static readonly PRIMARY = 116;
    static readonly PROCEDURE = 117;
    static readonly PURGE = 118;
    static readonly RANGE = 119;
    static readonly READ = 120;
    static readonly READS = 121;
    static readonly REFERENCES = 122;
    static readonly REGEXP = 123;
    static readonly RELEASE = 124;
    static readonly RENAME = 125;
    static readonly REPEAT = 126;
    static readonly REPLACE = 127;
    static readonly REQUIRE = 128;
    static readonly RESIGNAL = 129;
    static readonly RESTRICT = 130;
    static readonly RETURN = 131;
    static readonly REVOKE = 132;
    static readonly RIGHT = 133;
    static readonly RLIKE = 134;
    static readonly SCHEMA = 135;
    static readonly SCHEMAS = 136;
    static readonly SELECT = 137;
    static readonly SET = 138;
    static readonly SEPARATOR = 139;
    static readonly SHOW = 140;
    static readonly SIGNAL = 141;
    static readonly SPATIAL = 142;
    static readonly SQL = 143;
    static readonly SQLEXCEPTION = 144;
    static readonly SQLSTATE = 145;
    static readonly SQLWARNING = 146;
    static readonly SQL_BIG_RESULT = 147;
    static readonly SQL_CALC_FOUND_ROWS = 148;
    static readonly SQL_SMALL_RESULT = 149;
    static readonly SSL = 150;
    static readonly STACKED = 151;
    static readonly STARTING = 152;
    static readonly STRAIGHT_JOIN = 153;
    static readonly TABLE = 154;
    static readonly TERMINATED = 155;
    static readonly THEN = 156;
    static readonly TO = 157;
    static readonly TRAILING = 158;
    static readonly TRIGGER = 159;
    static readonly TRUE = 160;
    static readonly UNDO = 161;
    static readonly UNION = 162;
    static readonly UNIQUE = 163;
    static readonly UNLOCK = 164;
    static readonly UNSIGNED = 165;
    static readonly UPDATE = 166;
    static readonly USAGE = 167;
    static readonly USE = 168;
    static readonly USING = 169;
    static readonly VALUES = 170;
    static readonly WHEN = 171;
    static readonly WHERE = 172;
    static readonly WHILE = 173;
    static readonly WITH = 174;
    static readonly WRITE = 175;
    static readonly XOR = 176;
    static readonly ZEROFILL = 177;
    static readonly TINYINT = 178;
    static readonly SMALLINT = 179;
    static readonly MEDIUMINT = 180;
    static readonly MIDDLEINT = 181;
    static readonly INT = 182;
    static readonly INT1 = 183;
    static readonly INT2 = 184;
    static readonly INT3 = 185;
    static readonly INT4 = 186;
    static readonly INT8 = 187;
    static readonly INTEGER = 188;
    static readonly BIGINT = 189;
    static readonly REAL = 190;
    static readonly DOUBLE = 191;
    static readonly PRECISION = 192;
    static readonly FLOAT = 193;
    static readonly FLOAT4 = 194;
    static readonly FLOAT8 = 195;
    static readonly DECIMAL = 196;
    static readonly DEC = 197;
    static readonly NUMERIC = 198;
    static readonly DATE = 199;
    static readonly TIME = 200;
    static readonly TIMESTAMP = 201;
    static readonly DATETIME = 202;
    static readonly YEAR = 203;
    static readonly CHAR = 204;
    static readonly VARCHAR = 205;
    static readonly NVARCHAR = 206;
    static readonly NATIONAL = 207;
    static readonly BINARY = 208;
    static readonly VARBINARY = 209;
    static readonly TINYBLOB = 210;
    static readonly BLOB = 211;
    static readonly MEDIUMBLOB = 212;
    static readonly LONG = 213;
    static readonly LONGBLOB = 214;
    static readonly TINYTEXT = 215;
    static readonly TEXT = 216;
    static readonly MEDIUMTEXT = 217;
    static readonly LONGTEXT = 218;
    static readonly ENUM = 219;
    static readonly VARYING = 220;
    static readonly SERIAL = 221;
    static readonly YEAR_MONTH = 222;
    static readonly DAY_HOUR = 223;
    static readonly DAY_MINUTE = 224;
    static readonly DAY_SECOND = 225;
    static readonly HOUR_MINUTE = 226;
    static readonly HOUR_SECOND = 227;
    static readonly MINUTE_SECOND = 228;
    static readonly SECOND_MICROSECOND = 229;
    static readonly MINUTE_MICROSECOND = 230;
    static readonly HOUR_MICROSECOND = 231;
    static readonly DAY_MICROSECOND = 232;
    static readonly JSON_VALID = 233;
    static readonly JSON_SCHEMA_VALID = 234;
    static readonly AVG = 235;
    static readonly BIT_AND = 236;
    static readonly BIT_OR = 237;
    static readonly BIT_XOR = 238;
    static readonly COUNT = 239;
    static readonly GROUP_CONCAT = 240;
    static readonly MAX = 241;
    static readonly MIN = 242;
    static readonly STD = 243;
    static readonly STDDEV = 244;
    static readonly STDDEV_POP = 245;
    static readonly STDDEV_SAMP = 246;
    static readonly SUM = 247;
    static readonly VAR_POP = 248;
    static readonly VAR_SAMP = 249;
    static readonly VARIANCE = 250;
    static readonly CURRENT_DATE = 251;
    static readonly CURRENT_TIME = 252;
    static readonly CURRENT_TIMESTAMP = 253;
    static readonly LOCALTIME = 254;
    static readonly CURDATE = 255;
    static readonly CURTIME = 256;
    static readonly DATE_ADD = 257;
    static readonly DATE_SUB = 258;
    static readonly EXTRACT = 259;
    static readonly LOCALTIMESTAMP = 260;
    static readonly NOW = 261;
    static readonly POSITION = 262;
    static readonly SUBSTR = 263;
    static readonly SUBSTRING = 264;
    static readonly SYSDATE = 265;
    static readonly TRIM = 266;
    static readonly UTC_DATE = 267;
    static readonly UTC_TIME = 268;
    static readonly UTC_TIMESTAMP = 269;
    static readonly ACCOUNT = 270;
    static readonly ACTION = 271;
    static readonly AFTER = 272;
    static readonly AGGREGATE = 273;
    static readonly ALGORITHM = 274;
    static readonly ANY = 275;
    static readonly AT = 276;
    static readonly AUTHORS = 277;
    static readonly AUTOCOMMIT = 278;
    static readonly AUTOEXTEND_SIZE = 279;
    static readonly AUTO_INCREMENT = 280;
    static readonly AVG_ROW_LENGTH = 281;
    static readonly BEGIN = 282;
    static readonly BINLOG = 283;
    static readonly BIT = 284;
    static readonly BLOCK = 285;
    static readonly BOOL = 286;
    static readonly BOOLEAN = 287;
    static readonly BTREE = 288;
    static readonly CACHE = 289;
    static readonly CASCADED = 290;
    static readonly CHAIN = 291;
    static readonly CHANGED = 292;
    static readonly CHANNEL = 293;
    static readonly CHECKSUM = 294;
    static readonly PAGE_CHECKSUM = 295;
    static readonly CIPHER = 296;
    static readonly CLASS_ORIGIN = 297;
    static readonly CLIENT = 298;
    static readonly CLOSE = 299;
    static readonly COALESCE = 300;
    static readonly CODE = 301;
    static readonly COLUMNS = 302;
    static readonly COLUMN_FORMAT = 303;
    static readonly COLUMN_NAME = 304;
    static readonly COMMENT = 305;
    static readonly COMMIT = 306;
    static readonly COMPACT = 307;
    static readonly COMPLETION = 308;
    static readonly COMPRESSED = 309;
    static readonly COMPRESSION = 310;
    static readonly CONCURRENT = 311;
    static readonly CONNECTION = 312;
    static readonly CONSISTENT = 313;
    static readonly CONSTRAINT_CATALOG = 314;
    static readonly CONSTRAINT_SCHEMA = 315;
    static readonly CONSTRAINT_NAME = 316;
    static readonly CONTAINS = 317;
    static readonly CONTEXT = 318;
    static readonly CONTRIBUTORS = 319;
    static readonly COPY = 320;
    static readonly CPU = 321;
    static readonly CURSOR_NAME = 322;
    static readonly DATA = 323;
    static readonly DATAFILE = 324;
    static readonly DEALLOCATE = 325;
    static readonly DEFAULT_AUTH = 326;
    static readonly DEFINER = 327;
    static readonly DELAY_KEY_WRITE = 328;
    static readonly DES_KEY_FILE = 329;
    static readonly DIRECTORY = 330;
    static readonly DISABLE = 331;
    static readonly DISCARD = 332;
    static readonly DISK = 333;
    static readonly DO = 334;
    static readonly DUMPFILE = 335;
    static readonly DUPLICATE = 336;
    static readonly DYNAMIC = 337;
    static readonly ENABLE = 338;
    static readonly ENCRYPTION = 339;
    static readonly END = 340;
    static readonly ENDS = 341;
    static readonly ENGINE = 342;
    static readonly ENGINES = 343;
    static readonly ERROR = 344;
    static readonly ERRORS = 345;
    static readonly ESCAPE = 346;
    static readonly EVEN = 347;
    static readonly EVENT = 348;
    static readonly EVENTS = 349;
    static readonly EVERY = 350;
    static readonly EXCHANGE = 351;
    static readonly EXCLUSIVE = 352;
    static readonly EXPIRE = 353;
    static readonly EXPORT = 354;
    static readonly EXTENDED = 355;
    static readonly EXTENT_SIZE = 356;
    static readonly FAST = 357;
    static readonly FAULTS = 358;
    static readonly FIELDS = 359;
    static readonly FILE_BLOCK_SIZE = 360;
    static readonly FILTER = 361;
    static readonly FIRST = 362;
    static readonly FIXED = 363;
    static readonly FLUSH = 364;
    static readonly FOLLOWS = 365;
    static readonly FOUND = 366;
    static readonly FULL = 367;
    static readonly FUNCTION = 368;
    static readonly GENERAL = 369;
    static readonly GLOBAL = 370;
    static readonly GRANTS = 371;
    static readonly GROUP_REPLICATION = 372;
    static readonly HANDLER = 373;
    static readonly HASH = 374;
    static readonly HELP = 375;
    static readonly HOST = 376;
    static readonly HOSTS = 377;
    static readonly IDENTIFIED = 378;
    static readonly IGNORE_SERVER_IDS = 379;
    static readonly IMPORT = 380;
    static readonly INDEXES = 381;
    static readonly INITIAL_SIZE = 382;
    static readonly INPLACE = 383;
    static readonly INSERT_METHOD = 384;
    static readonly INSTALL = 385;
    static readonly INSTANCE = 386;
    static readonly INVISIBLE = 387;
    static readonly INVOKER = 388;
    static readonly IO = 389;
    static readonly IO_THREAD = 390;
    static readonly IPC = 391;
    static readonly ISOLATION = 392;
    static readonly ISSUER = 393;
    static readonly JSON = 394;
    static readonly KEY_BLOCK_SIZE = 395;
    static readonly LANGUAGE = 396;
    static readonly LAST = 397;
    static readonly LEAVES = 398;
    static readonly LESS = 399;
    static readonly LEVEL = 400;
    static readonly LIST = 401;
    static readonly LOCAL = 402;
    static readonly LOGFILE = 403;
    static readonly LOGS = 404;
    static readonly MASTER = 405;
    static readonly MASTER_AUTO_POSITION = 406;
    static readonly MASTER_CONNECT_RETRY = 407;
    static readonly MASTER_DELAY = 408;
    static readonly MASTER_HEARTBEAT_PERIOD = 409;
    static readonly MASTER_HOST = 410;
    static readonly MASTER_LOG_FILE = 411;
    static readonly MASTER_LOG_POS = 412;
    static readonly MASTER_PASSWORD = 413;
    static readonly MASTER_PORT = 414;
    static readonly MASTER_RETRY_COUNT = 415;
    static readonly MASTER_SSL = 416;
    static readonly MASTER_SSL_CA = 417;
    static readonly MASTER_SSL_CAPATH = 418;
    static readonly MASTER_SSL_CERT = 419;
    static readonly MASTER_SSL_CIPHER = 420;
    static readonly MASTER_SSL_CRL = 421;
    static readonly MASTER_SSL_CRLPATH = 422;
    static readonly MASTER_SSL_KEY = 423;
    static readonly MASTER_TLS_VERSION = 424;
    static readonly MASTER_USER = 425;
    static readonly MAX_CONNECTIONS_PER_HOUR = 426;
    static readonly MAX_QUERIES_PER_HOUR = 427;
    static readonly MAX_ROWS = 428;
    static readonly MAX_SIZE = 429;
    static readonly MAX_UPDATES_PER_HOUR = 430;
    static readonly MAX_USER_CONNECTIONS = 431;
    static readonly MEDIUM = 432;
    static readonly MERGE = 433;
    static readonly MESSAGE_TEXT = 434;
    static readonly MID = 435;
    static readonly MIGRATE = 436;
    static readonly MIN_ROWS = 437;
    static readonly MODE = 438;
    static readonly MODIFY = 439;
    static readonly MUTEX = 440;
    static readonly MYSQL = 441;
    static readonly MYSQL_ERRNO = 442;
    static readonly NAME = 443;
    static readonly NAMES = 444;
    static readonly NCHAR = 445;
    static readonly NEVER = 446;
    static readonly NEXT = 447;
    static readonly NO = 448;
    static readonly NODEGROUP = 449;
    static readonly NONE = 450;
    static readonly OFFLINE = 451;
    static readonly OFFSET = 452;
    static readonly OJ = 453;
    static readonly OLD_PASSWORD = 454;
    static readonly ONE = 455;
    static readonly ONLINE = 456;
    static readonly ONLY = 457;
    static readonly OPEN = 458;
    static readonly OPTIMIZER_COSTS = 459;
    static readonly OPTIONS = 460;
    static readonly OWNER = 461;
    static readonly PACK_KEYS = 462;
    static readonly PAGE = 463;
    static readonly PARSER = 464;
    static readonly PARTIAL = 465;
    static readonly PARTITIONING = 466;
    static readonly PARTITIONS = 467;
    static readonly PASSWORD = 468;
    static readonly PHASE = 469;
    static readonly PLUGIN = 470;
    static readonly PLUGIN_DIR = 471;
    static readonly PLUGINS = 472;
    static readonly PORT = 473;
    static readonly PRECEDES = 474;
    static readonly PREPARE = 475;
    static readonly PRESERVE = 476;
    static readonly PREV = 477;
    static readonly PROCESSLIST = 478;
    static readonly PROFILE = 479;
    static readonly PROFILES = 480;
    static readonly PROXY = 481;
    static readonly QUERY = 482;
    static readonly QUICK = 483;
    static readonly REBUILD = 484;
    static readonly RECOVER = 485;
    static readonly REDO_BUFFER_SIZE = 486;
    static readonly REDUNDANT = 487;
    static readonly RELAY = 488;
    static readonly RELAY_LOG_FILE = 489;
    static readonly RELAY_LOG_POS = 490;
    static readonly RELAYLOG = 491;
    static readonly REMOVE = 492;
    static readonly REORGANIZE = 493;
    static readonly REPAIR = 494;
    static readonly REPLICATE_DO_DB = 495;
    static readonly REPLICATE_DO_TABLE = 496;
    static readonly REPLICATE_IGNORE_DB = 497;
    static readonly REPLICATE_IGNORE_TABLE = 498;
    static readonly REPLICATE_REWRITE_DB = 499;
    static readonly REPLICATE_WILD_DO_TABLE = 500;
    static readonly REPLICATE_WILD_IGNORE_TABLE = 501;
    static readonly REPLICATION = 502;
    static readonly RESET = 503;
    static readonly RESUME = 504;
    static readonly RETURNED_SQLSTATE = 505;
    static readonly RETURNS = 506;
    static readonly ROLE = 507;
    static readonly ROLLBACK = 508;
    static readonly ROLLUP = 509;
    static readonly ROTATE = 510;
    static readonly ROW = 511;
    static readonly ROWS = 512;
    static readonly ROW_FORMAT = 513;
    static readonly SAVEPOINT = 514;
    static readonly SCHEDULE = 515;
    static readonly SECURITY = 516;
    static readonly SERVER = 517;
    static readonly SESSION = 518;
    static readonly SHARE = 519;
    static readonly SHARED = 520;
    static readonly SIGNED = 521;
    static readonly SIMPLE = 522;
    static readonly SLAVE = 523;
    static readonly SLOW = 524;
    static readonly SNAPSHOT = 525;
    static readonly SOCKET = 526;
    static readonly SOME = 527;
    static readonly SONAME = 528;
    static readonly SOUNDS = 529;
    static readonly SOURCE = 530;
    static readonly SQL_AFTER_GTIDS = 531;
    static readonly SQL_AFTER_MTS_GAPS = 532;
    static readonly SQL_BEFORE_GTIDS = 533;
    static readonly SQL_BUFFER_RESULT = 534;
    static readonly SQL_CACHE = 535;
    static readonly SQL_NO_CACHE = 536;
    static readonly SQL_THREAD = 537;
    static readonly START = 538;
    static readonly STARTS = 539;
    static readonly STATS_AUTO_RECALC = 540;
    static readonly STATS_PERSISTENT = 541;
    static readonly STATS_SAMPLE_PAGES = 542;
    static readonly STATUS = 543;
    static readonly STOP = 544;
    static readonly STORAGE = 545;
    static readonly STORED = 546;
    static readonly STRING = 547;
    static readonly SUBCLASS_ORIGIN = 548;
    static readonly SUBJECT = 549;
    static readonly SUBPARTITION = 550;
    static readonly SUBPARTITIONS = 551;
    static readonly SUSPEND = 552;
    static readonly SWAPS = 553;
    static readonly SWITCHES = 554;
    static readonly TABLE_NAME = 555;
    static readonly TABLESPACE = 556;
    static readonly TEMPORARY = 557;
    static readonly TEMPTABLE = 558;
    static readonly THAN = 559;
    static readonly TRADITIONAL = 560;
    static readonly TRANSACTION = 561;
    static readonly TRANSACTIONAL = 562;
    static readonly TRIGGERS = 563;
    static readonly TRUNCATE = 564;
    static readonly UNDEFINED = 565;
    static readonly UNDOFILE = 566;
    static readonly UNDO_BUFFER_SIZE = 567;
    static readonly UNINSTALL = 568;
    static readonly UNKNOWN = 569;
    static readonly UNTIL = 570;
    static readonly UPGRADE = 571;
    static readonly USER = 572;
    static readonly USE_FRM = 573;
    static readonly USER_RESOURCES = 574;
    static readonly VALIDATION = 575;
    static readonly VALUE = 576;
    static readonly VARIABLES = 577;
    static readonly VIEW = 578;
    static readonly VIRTUAL = 579;
    static readonly VISIBLE = 580;
    static readonly WAIT = 581;
    static readonly WARNINGS = 582;
    static readonly WITHOUT = 583;
    static readonly WORK = 584;
    static readonly WRAPPER = 585;
    static readonly X509 = 586;
    static readonly XA = 587;
    static readonly XML = 588;
    static readonly EUR = 589;
    static readonly USA = 590;
    static readonly JIS = 591;
    static readonly ISO = 592;
    static readonly INTERNAL = 593;
    static readonly QUARTER = 594;
    static readonly MONTH = 595;
    static readonly DAY = 596;
    static readonly HOUR = 597;
    static readonly MINUTE = 598;
    static readonly WEEK = 599;
    static readonly SECOND = 600;
    static readonly MICROSECOND = 601;
    static readonly TABLES = 602;
    static readonly ROUTINE = 603;
    static readonly EXECUTE = 604;
    static readonly FILE = 605;
    static readonly PROCESS = 606;
    static readonly RELOAD = 607;
    static readonly SHUTDOWN = 608;
    static readonly SUPER = 609;
    static readonly PRIVILEGES = 610;
    static readonly APPLICATION_PASSWORD_ADMIN = 611;
    static readonly AUDIT_ADMIN = 612;
    static readonly BACKUP_ADMIN = 613;
    static readonly BINLOG_ADMIN = 614;
    static readonly BINLOG_ENCRYPTION_ADMIN = 615;
    static readonly CLONE_ADMIN = 616;
    static readonly CONNECTION_ADMIN = 617;
    static readonly ENCRYPTION_KEY_ADMIN = 618;
    static readonly FIREWALL_ADMIN = 619;
    static readonly FIREWALL_USER = 620;
    static readonly GROUP_REPLICATION_ADMIN = 621;
    static readonly INNODB_REDO_LOG_ARCHIVE = 622;
    static readonly NDB_STORED_USER = 623;
    static readonly PERSIST_RO_VARIABLES_ADMIN = 624;
    static readonly REPLICATION_APPLIER = 625;
    static readonly REPLICATION_SLAVE_ADMIN = 626;
    static readonly RESOURCE_GROUP_ADMIN = 627;
    static readonly RESOURCE_GROUP_USER = 628;
    static readonly ROLE_ADMIN = 629;
    static readonly SESSION_VARIABLES_ADMIN = 630;
    static readonly SET_USER_ID = 631;
    static readonly SHOW_ROUTINE = 632;
    static readonly SYSTEM_VARIABLES_ADMIN = 633;
    static readonly TABLE_ENCRYPTION_ADMIN = 634;
    static readonly VERSION_TOKEN_ADMIN = 635;
    static readonly XA_RECOVER_ADMIN = 636;
    static readonly ARMSCII8 = 637;
    static readonly ASCII = 638;
    static readonly BIG5 = 639;
    static readonly CP1250 = 640;
    static readonly CP1251 = 641;
    static readonly CP1256 = 642;
    static readonly CP1257 = 643;
    static readonly CP850 = 644;
    static readonly CP852 = 645;
    static readonly CP866 = 646;
    static readonly CP932 = 647;
    static readonly DEC8 = 648;
    static readonly EUCJPMS = 649;
    static readonly EUCKR = 650;
    static readonly GB2312 = 651;
    static readonly GBK = 652;
    static readonly GEOSTD8 = 653;
    static readonly GREEK = 654;
    static readonly HEBREW = 655;
    static readonly HP8 = 656;
    static readonly KEYBCS2 = 657;
    static readonly KOI8R = 658;
    static readonly KOI8U = 659;
    static readonly LATIN1 = 660;
    static readonly LATIN2 = 661;
    static readonly LATIN5 = 662;
    static readonly LATIN7 = 663;
    static readonly MACCE = 664;
    static readonly MACROMAN = 665;
    static readonly SJIS = 666;
    static readonly SWE7 = 667;
    static readonly TIS620 = 668;
    static readonly UCS2 = 669;
    static readonly UJIS = 670;
    static readonly UTF16 = 671;
    static readonly UTF16LE = 672;
    static readonly UTF32 = 673;
    static readonly UTF8 = 674;
    static readonly UTF8MB3 = 675;
    static readonly UTF8MB4 = 676;
    static readonly ARCHIVE = 677;
    static readonly BLACKHOLE = 678;
    static readonly CSV = 679;
    static readonly FEDERATED = 680;
    static readonly INNODB = 681;
    static readonly MEMORY = 682;
    static readonly MRG_MYISAM = 683;
    static readonly MYISAM = 684;
    static readonly NDB = 685;
    static readonly NDBCLUSTER = 686;
    static readonly PERFORMANCE_SCHEMA = 687;
    static readonly TOKUDB = 688;
    static readonly REPEATABLE = 689;
    static readonly COMMITTED = 690;
    static readonly UNCOMMITTED = 691;
    static readonly SERIALIZABLE = 692;
    static readonly GEOMETRYCOLLECTION = 693;
    static readonly GEOMCOLLECTION = 694;
    static readonly GEOMETRY = 695;
    static readonly LINESTRING = 696;
    static readonly MULTILINESTRING = 697;
    static readonly MULTIPOINT = 698;
    static readonly MULTIPOLYGON = 699;
    static readonly POINT = 700;
    static readonly POLYGON = 701;
    static readonly ABS = 702;
    static readonly ACOS = 703;
    static readonly ADDDATE = 704;
    static readonly ADDTIME = 705;
    static readonly AES_DECRYPT = 706;
    static readonly AES_ENCRYPT = 707;
    static readonly AREA = 708;
    static readonly ASBINARY = 709;
    static readonly ASIN = 710;
    static readonly ASTEXT = 711;
    static readonly ASWKB = 712;
    static readonly ASWKT = 713;
    static readonly ASYMMETRIC_DECRYPT = 714;
    static readonly ASYMMETRIC_DERIVE = 715;
    static readonly ASYMMETRIC_ENCRYPT = 716;
    static readonly ASYMMETRIC_SIGN = 717;
    static readonly ASYMMETRIC_VERIFY = 718;
    static readonly ATAN = 719;
    static readonly ATAN2 = 720;
    static readonly BENCHMARK = 721;
    static readonly BIN = 722;
    static readonly BIT_COUNT = 723;
    static readonly BIT_LENGTH = 724;
    static readonly BUFFER = 725;
    static readonly CATALOG_NAME = 726;
    static readonly CEIL = 727;
    static readonly CEILING = 728;
    static readonly CENTROID = 729;
    static readonly CHARACTER_LENGTH = 730;
    static readonly CHARSET = 731;
    static readonly CHAR_LENGTH = 732;
    static readonly COERCIBILITY = 733;
    static readonly COLLATION = 734;
    static readonly COMPRESS = 735;
    static readonly CONCAT = 736;
    static readonly CONCAT_WS = 737;
    static readonly CONNECTION_ID = 738;
    static readonly CONV = 739;
    static readonly CONVERT_TZ = 740;
    static readonly COS = 741;
    static readonly COT = 742;
    static readonly CRC32 = 743;
    static readonly CREATE_ASYMMETRIC_PRIV_KEY = 744;
    static readonly CREATE_ASYMMETRIC_PUB_KEY = 745;
    static readonly CREATE_DH_PARAMETERS = 746;
    static readonly CREATE_DIGEST = 747;
    static readonly CROSSES = 748;
    static readonly DATEDIFF = 749;
    static readonly DATE_FORMAT = 750;
    static readonly DAYNAME = 751;
    static readonly DAYOFMONTH = 752;
    static readonly DAYOFWEEK = 753;
    static readonly DAYOFYEAR = 754;
    static readonly DECODE = 755;
    static readonly DEGREES = 756;
    static readonly DES_DECRYPT = 757;
    static readonly DES_ENCRYPT = 758;
    static readonly DIMENSION = 759;
    static readonly DISJOINT = 760;
    static readonly ELT = 761;
    static readonly ENCODE = 762;
    static readonly ENCRYPT = 763;
    static readonly ENDPOINT = 764;
    static readonly ENVELOPE = 765;
    static readonly EQUALS = 766;
    static readonly EXP = 767;
    static readonly EXPORT_SET = 768;
    static readonly EXTERIORRING = 769;
    static readonly EXTRACTVALUE = 770;
    static readonly FIELD = 771;
    static readonly FIND_IN_SET = 772;
    static readonly FLOOR = 773;
    static readonly FORMAT = 774;
    static readonly FOUND_ROWS = 775;
    static readonly FROM_BASE64 = 776;
    static readonly FROM_DAYS = 777;
    static readonly FROM_UNIXTIME = 778;
    static readonly GEOMCOLLFROMTEXT = 779;
    static readonly GEOMCOLLFROMWKB = 780;
    static readonly GEOMETRYCOLLECTIONFROMTEXT = 781;
    static readonly GEOMETRYCOLLECTIONFROMWKB = 782;
    static readonly GEOMETRYFROMTEXT = 783;
    static readonly GEOMETRYFROMWKB = 784;
    static readonly GEOMETRYN = 785;
    static readonly GEOMETRYTYPE = 786;
    static readonly GEOMFROMTEXT = 787;
    static readonly GEOMFROMWKB = 788;
    static readonly GET_FORMAT = 789;
    static readonly GET_LOCK = 790;
    static readonly GLENGTH = 791;
    static readonly GREATEST = 792;
    static readonly GTID_SUBSET = 793;
    static readonly GTID_SUBTRACT = 794;
    static readonly HEX = 795;
    static readonly IFNULL = 796;
    static readonly INET6_ATON = 797;
    static readonly INET6_NTOA = 798;
    static readonly INET_ATON = 799;
    static readonly INET_NTOA = 800;
    static readonly INSTR = 801;
    static readonly INTERIORRINGN = 802;
    static readonly INTERSECTS = 803;
    static readonly ISCLOSED = 804;
    static readonly ISEMPTY = 805;
    static readonly ISNULL = 806;
    static readonly ISSIMPLE = 807;
    static readonly IS_FREE_LOCK = 808;
    static readonly IS_IPV4 = 809;
    static readonly IS_IPV4_COMPAT = 810;
    static readonly IS_IPV4_MAPPED = 811;
    static readonly IS_IPV6 = 812;
    static readonly IS_USED_LOCK = 813;
    static readonly LAST_INSERT_ID = 814;
    static readonly LCASE = 815;
    static readonly LEAST = 816;
    static readonly LENGTH = 817;
    static readonly LINEFROMTEXT = 818;
    static readonly LINEFROMWKB = 819;
    static readonly LINESTRINGFROMTEXT = 820;
    static readonly LINESTRINGFROMWKB = 821;
    static readonly LN = 822;
    static readonly LOAD_FILE = 823;
    static readonly LOCATE = 824;
    static readonly LOG = 825;
    static readonly LOG10 = 826;
    static readonly LOG2 = 827;
    static readonly LOWER = 828;
    static readonly LPAD = 829;
    static readonly LTRIM = 830;
    static readonly MAKEDATE = 831;
    static readonly MAKETIME = 832;
    static readonly MAKE_SET = 833;
    static readonly MASTER_POS_WAIT = 834;
    static readonly MBRCONTAINS = 835;
    static readonly MBRDISJOINT = 836;
    static readonly MBREQUAL = 837;
    static readonly MBRINTERSECTS = 838;
    static readonly MBROVERLAPS = 839;
    static readonly MBRTOUCHES = 840;
    static readonly MBRWITHIN = 841;
    static readonly MD5 = 842;
    static readonly MLINEFROMTEXT = 843;
    static readonly MLINEFROMWKB = 844;
    static readonly MONTHNAME = 845;
    static readonly MPOINTFROMTEXT = 846;
    static readonly MPOINTFROMWKB = 847;
    static readonly MPOLYFROMTEXT = 848;
    static readonly MPOLYFROMWKB = 849;
    static readonly MULTILINESTRINGFROMTEXT = 850;
    static readonly MULTILINESTRINGFROMWKB = 851;
    static readonly MULTIPOINTFROMTEXT = 852;
    static readonly MULTIPOINTFROMWKB = 853;
    static readonly MULTIPOLYGONFROMTEXT = 854;
    static readonly MULTIPOLYGONFROMWKB = 855;
    static readonly NAME_CONST = 856;
    static readonly NULLIF = 857;
    static readonly NUMGEOMETRIES = 858;
    static readonly NUMINTERIORRINGS = 859;
    static readonly NUMPOINTS = 860;
    static readonly OCT = 861;
    static readonly OCTET_LENGTH = 862;
    static readonly ORD = 863;
    static readonly OVERLAPS = 864;
    static readonly PERIOD_ADD = 865;
    static readonly PERIOD_DIFF = 866;
    static readonly PI = 867;
    static readonly POINTFROMTEXT = 868;
    static readonly POINTFROMWKB = 869;
    static readonly POINTN = 870;
    static readonly POLYFROMTEXT = 871;
    static readonly POLYFROMWKB = 872;
    static readonly POLYGONFROMTEXT = 873;
    static readonly POLYGONFROMWKB = 874;
    static readonly POW = 875;
    static readonly POWER = 876;
    static readonly QUOTE = 877;
    static readonly RADIANS = 878;
    static readonly RAND = 879;
    static readonly RANDOM_BYTES = 880;
    static readonly RELEASE_LOCK = 881;
    static readonly REVERSE = 882;
    static readonly ROUND = 883;
    static readonly ROW_COUNT = 884;
    static readonly RPAD = 885;
    static readonly RTRIM = 886;
    static readonly SEC_TO_TIME = 887;
    static readonly SESSION_USER = 888;
    static readonly SHA = 889;
    static readonly SHA1 = 890;
    static readonly SHA2 = 891;
    static readonly SCHEMA_NAME = 892;
    static readonly SIGN = 893;
    static readonly SIN = 894;
    static readonly SLEEP = 895;
    static readonly SOUNDEX = 896;
    static readonly SQL_THREAD_WAIT_AFTER_GTIDS = 897;
    static readonly SQRT = 898;
    static readonly SRID = 899;
    static readonly STARTPOINT = 900;
    static readonly STRCMP = 901;
    static readonly STR_TO_DATE = 902;
    static readonly ST_AREA = 903;
    static readonly ST_ASBINARY = 904;
    static readonly ST_ASTEXT = 905;
    static readonly ST_ASWKB = 906;
    static readonly ST_ASWKT = 907;
    static readonly ST_BUFFER = 908;
    static readonly ST_CENTROID = 909;
    static readonly ST_CONTAINS = 910;
    static readonly ST_CROSSES = 911;
    static readonly ST_DIFFERENCE = 912;
    static readonly ST_DIMENSION = 913;
    static readonly ST_DISJOINT = 914;
    static readonly ST_DISTANCE = 915;
    static readonly ST_ENDPOINT = 916;
    static readonly ST_ENVELOPE = 917;
    static readonly ST_EQUALS = 918;
    static readonly ST_EXTERIORRING = 919;
    static readonly ST_GEOMCOLLFROMTEXT = 920;
    static readonly ST_GEOMCOLLFROMTXT = 921;
    static readonly ST_GEOMCOLLFROMWKB = 922;
    static readonly ST_GEOMETRYCOLLECTIONFROMTEXT = 923;
    static readonly ST_GEOMETRYCOLLECTIONFROMWKB = 924;
    static readonly ST_GEOMETRYFROMTEXT = 925;
    static readonly ST_GEOMETRYFROMWKB = 926;
    static readonly ST_GEOMETRYN = 927;
    static readonly ST_GEOMETRYTYPE = 928;
    static readonly ST_GEOMFROMTEXT = 929;
    static readonly ST_GEOMFROMWKB = 930;
    static readonly ST_INTERIORRINGN = 931;
    static readonly ST_INTERSECTION = 932;
    static readonly ST_INTERSECTS = 933;
    static readonly ST_ISCLOSED = 934;
    static readonly ST_ISEMPTY = 935;
    static readonly ST_ISSIMPLE = 936;
    static readonly ST_LINEFROMTEXT = 937;
    static readonly ST_LINEFROMWKB = 938;
    static readonly ST_LINESTRINGFROMTEXT = 939;
    static readonly ST_LINESTRINGFROMWKB = 940;
    static readonly ST_NUMGEOMETRIES = 941;
    static readonly ST_NUMINTERIORRING = 942;
    static readonly ST_NUMINTERIORRINGS = 943;
    static readonly ST_NUMPOINTS = 944;
    static readonly ST_OVERLAPS = 945;
    static readonly ST_POINTFROMTEXT = 946;
    static readonly ST_POINTFROMWKB = 947;
    static readonly ST_POINTN = 948;
    static readonly ST_POLYFROMTEXT = 949;
    static readonly ST_POLYFROMWKB = 950;
    static readonly ST_POLYGONFROMTEXT = 951;
    static readonly ST_POLYGONFROMWKB = 952;
    static readonly ST_SRID = 953;
    static readonly ST_STARTPOINT = 954;
    static readonly ST_SYMDIFFERENCE = 955;
    static readonly ST_TOUCHES = 956;
    static readonly ST_UNION = 957;
    static readonly ST_WITHIN = 958;
    static readonly ST_X = 959;
    static readonly ST_Y = 960;
    static readonly SUBDATE = 961;
    static readonly SUBSTRING_INDEX = 962;
    static readonly SUBTIME = 963;
    static readonly SYSTEM_USER = 964;
    static readonly TAN = 965;
    static readonly TIMEDIFF = 966;
    static readonly TIMESTAMPADD = 967;
    static readonly TIMESTAMPDIFF = 968;
    static readonly TIME_FORMAT = 969;
    static readonly TIME_TO_SEC = 970;
    static readonly TOUCHES = 971;
    static readonly TO_BASE64 = 972;
    static readonly TO_DAYS = 973;
    static readonly TO_SECONDS = 974;
    static readonly UCASE = 975;
    static readonly UNCOMPRESS = 976;
    static readonly UNCOMPRESSED_LENGTH = 977;
    static readonly UNHEX = 978;
    static readonly UNIX_TIMESTAMP = 979;
    static readonly UPDATEXML = 980;
    static readonly UPPER = 981;
    static readonly UUID = 982;
    static readonly UUID_SHORT = 983;
    static readonly VALIDATE_PASSWORD_STRENGTH = 984;
    static readonly VERSION = 985;
    static readonly WAIT_UNTIL_SQL_THREAD_AFTER_GTIDS = 986;
    static readonly WEEKDAY = 987;
    static readonly WEEKOFYEAR = 988;
    static readonly WEIGHT_STRING = 989;
    static readonly WITHIN = 990;
    static readonly YEARWEEK = 991;
    static readonly Y_FUNCTION = 992;
    static readonly X_FUNCTION = 993;
    static readonly VAR_ASSIGN = 994;
    static readonly PLUS_ASSIGN = 995;
    static readonly MINUS_ASSIGN = 996;
    static readonly MULT_ASSIGN = 997;
    static readonly DIV_ASSIGN = 998;
    static readonly MOD_ASSIGN = 999;
    static readonly AND_ASSIGN = 1000;
    static readonly XOR_ASSIGN = 1001;
    static readonly OR_ASSIGN = 1002;
    static readonly STAR = 1003;
    static readonly DIVIDE = 1004;
    static readonly MODULE = 1005;
    static readonly PLUS = 1006;
    static readonly MINUSMINUS = 1007;
    static readonly MINUS = 1008;
    static readonly DIV = 1009;
    static readonly MOD = 1010;
    static readonly EQUAL_SYMBOL = 1011;
    static readonly GREATER_SYMBOL = 1012;
    static readonly LESS_SYMBOL = 1013;
    static readonly EXCLAMATION_SYMBOL = 1014;
    static readonly BIT_NOT_OP = 1015;
    static readonly BIT_OR_OP = 1016;
    static readonly BIT_AND_OP = 1017;
    static readonly BIT_XOR_OP = 1018;
    static readonly DOT = 1019;
    static readonly LR_BRACKET = 1020;
    static readonly RR_BRACKET = 1021;
    static readonly COMMA = 1022;
    static readonly SEMI = 1023;
    static readonly AT_SIGN = 1024;
    static readonly ZERO_DECIMAL = 1025;
    static readonly ONE_DECIMAL = 1026;
    static readonly TWO_DECIMAL = 1027;
    static readonly SINGLE_QUOTE_SYMB = 1028;
    static readonly DOUBLE_QUOTE_SYMB = 1029;
    static readonly REVERSE_QUOTE_SYMB = 1030;
    static readonly COLON_SYMB = 1031;
    static readonly CHARSET_REVERSE_QOUTE_STRING = 1032;
    static readonly FILESIZE_LITERAL = 1033;
    static readonly START_NATIONAL_STRING_LITERAL = 1034;
    static readonly STRING_LITERAL = 1035;
    static readonly DECIMAL_LITERAL = 1036;
    static readonly HEXADECIMAL_LITERAL = 1037;
    static readonly REAL_LITERAL = 1038;
    static readonly NULL_SPEC_LITERAL = 1039;
    static readonly BIT_STRING = 1040;
    static readonly STRING_CHARSET_NAME = 1041;
    static readonly DOT_ID = 1042;
    static readonly ID = 1043;
    static readonly REVERSE_QUOTE_ID = 1044;
    static readonly STRING_USER_NAME = 1045;
    static readonly LOCAL_ID = 1046;
    static readonly GLOBAL_ID = 1047;
    static readonly ERROR_RECONGNIGION = 1048;
    static readonly RULE_program = 0;
    static readonly RULE_statement = 1;
    static readonly RULE_sqlStatements = 2;
    static readonly RULE_sqlStatement = 3;
    static readonly RULE_emptyStatement = 4;
    static readonly RULE_ddlStatement = 5;
    static readonly RULE_dmlStatement = 6;
    static readonly RULE_transactionStatement = 7;
    static readonly RULE_replicationStatement = 8;
    static readonly RULE_preparedStatement = 9;
    static readonly RULE_compoundStatement = 10;
    static readonly RULE_administrationStatement = 11;
    static readonly RULE_utilityStatement = 12;
    static readonly RULE_createDatabase = 13;
    static readonly RULE_createEvent = 14;
    static readonly RULE_createIndex = 15;
    static readonly RULE_createLogfileGroup = 16;
    static readonly RULE_createProcedure = 17;
    static readonly RULE_createFunction = 18;
    static readonly RULE_createServer = 19;
    static readonly RULE_createTable = 20;
    static readonly RULE_createTablespaceInnodb = 21;
    static readonly RULE_createTablespaceNdb = 22;
    static readonly RULE_createTrigger = 23;
    static readonly RULE_createView = 24;
    static readonly RULE_createDatabaseOption = 25;
    static readonly RULE_ownerStatement = 26;
    static readonly RULE_scheduleExpression = 27;
    static readonly RULE_timestampValue = 28;
    static readonly RULE_intervalExpr = 29;
    static readonly RULE_intervalType = 30;
    static readonly RULE_enableType = 31;
    static readonly RULE_indexType = 32;
    static readonly RULE_indexOption = 33;
    static readonly RULE_procedureParameter = 34;
    static readonly RULE_functionParameter = 35;
    static readonly RULE_routineOption = 36;
    static readonly RULE_serverOption = 37;
    static readonly RULE_createDefinitions = 38;
    static readonly RULE_createDefinition = 39;
    static readonly RULE_columnDefinition = 40;
    static readonly RULE_columnConstraint = 41;
    static readonly RULE_tableConstraint = 42;
    static readonly RULE_referenceDefinition = 43;
    static readonly RULE_referenceAction = 44;
    static readonly RULE_referenceControlType = 45;
    static readonly RULE_indexColumnDefinition = 46;
    static readonly RULE_tableOption = 47;
    static readonly RULE_tablespaceStorage = 48;
    static readonly RULE_partitionDefinitions = 49;
    static readonly RULE_partitionFunctionDefinition = 50;
    static readonly RULE_subpartitionFunctionDefinition = 51;
    static readonly RULE_partitionDefinition = 52;
    static readonly RULE_partitionDefinerAtom = 53;
    static readonly RULE_partitionDefinerVector = 54;
    static readonly RULE_subpartitionDefinition = 55;
    static readonly RULE_partitionOption = 56;
    static readonly RULE_alterDatabase = 57;
    static readonly RULE_alterEvent = 58;
    static readonly RULE_alterFunction = 59;
    static readonly RULE_alterInstance = 60;
    static readonly RULE_alterLogfileGroup = 61;
    static readonly RULE_alterProcedure = 62;
    static readonly RULE_alterServer = 63;
    static readonly RULE_alterTable = 64;
    static readonly RULE_alterTablespace = 65;
    static readonly RULE_alterView = 66;
    static readonly RULE_alterSpecification = 67;
    static readonly RULE_dropDatabase = 68;
    static readonly RULE_dropEvent = 69;
    static readonly RULE_dropIndex = 70;
    static readonly RULE_dropLogfileGroup = 71;
    static readonly RULE_dropProcedure = 72;
    static readonly RULE_dropFunction = 73;
    static readonly RULE_dropServer = 74;
    static readonly RULE_dropTable = 75;
    static readonly RULE_dropTablespace = 76;
    static readonly RULE_dropTrigger = 77;
    static readonly RULE_dropView = 78;
    static readonly RULE_renameTable = 79;
    static readonly RULE_renameTableClause = 80;
    static readonly RULE_truncateTable = 81;
    static readonly RULE_callStatement = 82;
    static readonly RULE_deleteStatement = 83;
    static readonly RULE_doStatement = 84;
    static readonly RULE_handlerStatement = 85;
    static readonly RULE_insertStatement = 86;
    static readonly RULE_loadDataStatement = 87;
    static readonly RULE_loadXmlStatement = 88;
    static readonly RULE_replaceStatement = 89;
    static readonly RULE_selectStatement = 90;
    static readonly RULE_updateStatement = 91;
    static readonly RULE_insertStatementValue = 92;
    static readonly RULE_updatedElement = 93;
    static readonly RULE_assignmentField = 94;
    static readonly RULE_lockClause = 95;
    static readonly RULE_singleDeleteStatement = 96;
    static readonly RULE_multipleDeleteStatement = 97;
    static readonly RULE_handlerOpenStatement = 98;
    static readonly RULE_handlerReadIndexStatement = 99;
    static readonly RULE_handlerReadStatement = 100;
    static readonly RULE_handlerCloseStatement = 101;
    static readonly RULE_singleUpdateStatement = 102;
    static readonly RULE_multipleUpdateStatement = 103;
    static readonly RULE_orderByClause = 104;
    static readonly RULE_orderByExpression = 105;
    static readonly RULE_tableSources = 106;
    static readonly RULE_tableSource = 107;
    static readonly RULE_tableSourceItem = 108;
    static readonly RULE_indexHint = 109;
    static readonly RULE_indexHintType = 110;
    static readonly RULE_joinPart = 111;
    static readonly RULE_queryExpression = 112;
    static readonly RULE_queryExpressionNointo = 113;
    static readonly RULE_querySpecification = 114;
    static readonly RULE_querySpecificationNointo = 115;
    static readonly RULE_unionParenthesis = 116;
    static readonly RULE_unionStatement = 117;
    static readonly RULE_selectSpec = 118;
    static readonly RULE_selectElements = 119;
    static readonly RULE_selectElement = 120;
    static readonly RULE_selectIntoExpression = 121;
    static readonly RULE_selectFieldsInto = 122;
    static readonly RULE_selectLinesInto = 123;
    static readonly RULE_fromClause = 124;
    static readonly RULE_groupByItem = 125;
    static readonly RULE_limitClause = 126;
    static readonly RULE_limitClauseAtom = 127;
    static readonly RULE_startTransaction = 128;
    static readonly RULE_beginWork = 129;
    static readonly RULE_commitWork = 130;
    static readonly RULE_rollbackWork = 131;
    static readonly RULE_savepointStatement = 132;
    static readonly RULE_rollbackStatement = 133;
    static readonly RULE_releaseStatement = 134;
    static readonly RULE_lockTables = 135;
    static readonly RULE_unlockTables = 136;
    static readonly RULE_setAutocommitStatement = 137;
    static readonly RULE_setTransactionStatement = 138;
    static readonly RULE_transactionMode = 139;
    static readonly RULE_lockTableElement = 140;
    static readonly RULE_lockAction = 141;
    static readonly RULE_transactionOption = 142;
    static readonly RULE_transactionLevel = 143;
    static readonly RULE_changeMaster = 144;
    static readonly RULE_changeReplicationFilter = 145;
    static readonly RULE_purgeBinaryLogs = 146;
    static readonly RULE_resetMaster = 147;
    static readonly RULE_resetSlave = 148;
    static readonly RULE_startSlave = 149;
    static readonly RULE_stopSlave = 150;
    static readonly RULE_startGroupReplication = 151;
    static readonly RULE_stopGroupReplication = 152;
    static readonly RULE_masterOption = 153;
    static readonly RULE_stringMasterOption = 154;
    static readonly RULE_decimalMasterOption = 155;
    static readonly RULE_boolMasterOption = 156;
    static readonly RULE_channelOption = 157;
    static readonly RULE_replicationFilter = 158;
    static readonly RULE_tablePair = 159;
    static readonly RULE_threadType = 160;
    static readonly RULE_untilOption = 161;
    static readonly RULE_connectionOption = 162;
    static readonly RULE_gtuidSet = 163;
    static readonly RULE_xaStartTransaction = 164;
    static readonly RULE_xaEndTransaction = 165;
    static readonly RULE_xaPrepareStatement = 166;
    static readonly RULE_xaCommitWork = 167;
    static readonly RULE_xaRollbackWork = 168;
    static readonly RULE_xaRecoverWork = 169;
    static readonly RULE_prepareStatement = 170;
    static readonly RULE_executeStatement = 171;
    static readonly RULE_deallocatePrepare = 172;
    static readonly RULE_routineBody = 173;
    static readonly RULE_blockStatement = 174;
    static readonly RULE_caseStatement = 175;
    static readonly RULE_ifStatement = 176;
    static readonly RULE_iterateStatement = 177;
    static readonly RULE_leaveStatement = 178;
    static readonly RULE_loopStatement = 179;
    static readonly RULE_repeatStatement = 180;
    static readonly RULE_returnStatement = 181;
    static readonly RULE_whileStatement = 182;
    static readonly RULE_cursorStatement = 183;
    static readonly RULE_declareVariable = 184;
    static readonly RULE_declareCondition = 185;
    static readonly RULE_declareCursor = 186;
    static readonly RULE_declareHandler = 187;
    static readonly RULE_handlerConditionValue = 188;
    static readonly RULE_procedureSqlStatement = 189;
    static readonly RULE_caseAlternative = 190;
    static readonly RULE_elifAlternative = 191;
    static readonly RULE_alterUser = 192;
    static readonly RULE_createUser = 193;
    static readonly RULE_dropUser = 194;
    static readonly RULE_grantStatement = 195;
    static readonly RULE_grantProxy = 196;
    static readonly RULE_renameUser = 197;
    static readonly RULE_revokeStatement = 198;
    static readonly RULE_revokeProxy = 199;
    static readonly RULE_setPasswordStatement = 200;
    static readonly RULE_userSpecification = 201;
    static readonly RULE_userAuthOption = 202;
    static readonly RULE_tlsOption = 203;
    static readonly RULE_userResourceOption = 204;
    static readonly RULE_userPasswordOption = 205;
    static readonly RULE_userLockOption = 206;
    static readonly RULE_privelegeClause = 207;
    static readonly RULE_privilege = 208;
    static readonly RULE_privilegeLevel = 209;
    static readonly RULE_renameUserClause = 210;
    static readonly RULE_analyzeTable = 211;
    static readonly RULE_checkTable = 212;
    static readonly RULE_checksumTable = 213;
    static readonly RULE_optimizeTable = 214;
    static readonly RULE_repairTable = 215;
    static readonly RULE_checkTableOption = 216;
    static readonly RULE_createUdfunction = 217;
    static readonly RULE_installPlugin = 218;
    static readonly RULE_uninstallPlugin = 219;
    static readonly RULE_setStatement = 220;
    static readonly RULE_showStatement = 221;
    static readonly RULE_variableClause = 222;
    static readonly RULE_showCommonEntity = 223;
    static readonly RULE_showFilter = 224;
    static readonly RULE_showGlobalInfoClause = 225;
    static readonly RULE_showSchemaEntity = 226;
    static readonly RULE_showProfileType = 227;
    static readonly RULE_binlogStatement = 228;
    static readonly RULE_cacheIndexStatement = 229;
    static readonly RULE_flushStatement = 230;
    static readonly RULE_killStatement = 231;
    static readonly RULE_loadIndexIntoCache = 232;
    static readonly RULE_resetStatement = 233;
    static readonly RULE_shutdownStatement = 234;
    static readonly RULE_tableIndexes = 235;
    static readonly RULE_flushOption = 236;
    static readonly RULE_flushTableOption = 237;
    static readonly RULE_loadedTableIndexes = 238;
    static readonly RULE_simpleDescribeStatement = 239;
    static readonly RULE_fullDescribeStatement = 240;
    static readonly RULE_helpStatement = 241;
    static readonly RULE_useStatement = 242;
    static readonly RULE_signalStatement = 243;
    static readonly RULE_resignalStatement = 244;
    static readonly RULE_signalConditionInformation = 245;
    static readonly RULE_diagnosticsStatement = 246;
    static readonly RULE_diagnosticsConditionInformationName = 247;
    static readonly RULE_describeObjectClause = 248;
    static readonly RULE_fullId = 249;
    static readonly RULE_tableName = 250;
    static readonly RULE_fullColumnName = 251;
    static readonly RULE_indexColumnName = 252;
    static readonly RULE_userName = 253;
    static readonly RULE_mysqlVariable = 254;
    static readonly RULE_charsetName = 255;
    static readonly RULE_collationName = 256;
    static readonly RULE_engineName = 257;
    static readonly RULE_uuidSet = 258;
    static readonly RULE_xid = 259;
    static readonly RULE_xuidStringId = 260;
    static readonly RULE_authPlugin = 261;
    static readonly RULE_uid = 262;
    static readonly RULE_simpleId = 263;
    static readonly RULE_dottedId = 264;
    static readonly RULE_decimalLiteral = 265;
    static readonly RULE_fileSizeLiteral = 266;
    static readonly RULE_stringLiteral = 267;
    static readonly RULE_booleanLiteral = 268;
    static readonly RULE_hexadecimalLiteral = 269;
    static readonly RULE_nullNotnull = 270;
    static readonly RULE_constant = 271;
    static readonly RULE_dataType = 272;
    static readonly RULE_collectionOptions = 273;
    static readonly RULE_convertedDataType = 274;
    static readonly RULE_lengthOneDimension = 275;
    static readonly RULE_lengthTwoDimension = 276;
    static readonly RULE_lengthTwoOptionalDimension = 277;
    static readonly RULE_uidList = 278;
    static readonly RULE_tables = 279;
    static readonly RULE_indexColumnNames = 280;
    static readonly RULE_expressions = 281;
    static readonly RULE_expressionsWithDefaults = 282;
    static readonly RULE_constants = 283;
    static readonly RULE_simpleStrings = 284;
    static readonly RULE_userVariables = 285;
    static readonly RULE_defaultValue = 286;
    static readonly RULE_currentTimestamp = 287;
    static readonly RULE_expressionOrDefault = 288;
    static readonly RULE_ifExists = 289;
    static readonly RULE_ifNotExists = 290;
    static readonly RULE_functionCall = 291;
    static readonly RULE_specificFunction = 292;
    static readonly RULE_caseFuncAlternative = 293;
    static readonly RULE_levelsInWeightString = 294;
    static readonly RULE_levelInWeightListElement = 295;
    static readonly RULE_aggregateWindowedFunction = 296;
    static readonly RULE_scalarFunctionName = 297;
    static readonly RULE_passwordFunctionClause = 298;
    static readonly RULE_functionArgs = 299;
    static readonly RULE_functionArg = 300;
    static readonly RULE_expression = 301;
    static readonly RULE_predicate = 302;
    static readonly RULE_expressionAtom = 303;
    static readonly RULE_unaryOperator = 304;
    static readonly RULE_comparisonOperator = 305;
    static readonly RULE_logicalOperator = 306;
    static readonly RULE_bitOperator = 307;
    static readonly RULE_mathOperator = 308;
    static readonly RULE_charsetNameBase = 309;
    static readonly RULE_transactionLevelBase = 310;
    static readonly RULE_privilegesBase = 311;
    static readonly RULE_intervalTypeBase = 312;
    static readonly RULE_dataTypeBase = 313;
    static readonly RULE_keywordsCanBeId = 314;
    static readonly RULE_functionNameBase = 315;
    static readonly ruleNames: string[];
    private static readonly _LITERAL_NAMES;
    private static readonly _SYMBOLIC_NAMES;
    static readonly VOCABULARY: Vocabulary;
    get vocabulary(): Vocabulary;
    get grammarFileName(): string;
    get ruleNames(): string[];
    get serializedATN(): string;
    protected createFailedPredicateException(predicate?: string, message?: string): FailedPredicateException;
    constructor(input: TokenStream);
    program(): ProgramContext;
    statement(): StatementContext;
    sqlStatements(): SqlStatementsContext;
    sqlStatement(): SqlStatementContext;
    emptyStatement(): EmptyStatementContext;
    ddlStatement(): DdlStatementContext;
    dmlStatement(): DmlStatementContext;
    transactionStatement(): TransactionStatementContext;
    replicationStatement(): ReplicationStatementContext;
    preparedStatement(): PreparedStatementContext;
    compoundStatement(): CompoundStatementContext;
    administrationStatement(): AdministrationStatementContext;
    utilityStatement(): UtilityStatementContext;
    createDatabase(): CreateDatabaseContext;
    createEvent(): CreateEventContext;
    createIndex(): CreateIndexContext;
    createLogfileGroup(): CreateLogfileGroupContext;
    createProcedure(): CreateProcedureContext;
    createFunction(): CreateFunctionContext;
    createServer(): CreateServerContext;
    createTable(): CreateTableContext;
    createTablespaceInnodb(): CreateTablespaceInnodbContext;
    createTablespaceNdb(): CreateTablespaceNdbContext;
    createTrigger(): CreateTriggerContext;
    createView(): CreateViewContext;
    createDatabaseOption(): CreateDatabaseOptionContext;
    ownerStatement(): OwnerStatementContext;
    scheduleExpression(): ScheduleExpressionContext;
    timestampValue(): TimestampValueContext;
    intervalExpr(): IntervalExprContext;
    intervalType(): IntervalTypeContext;
    enableType(): EnableTypeContext;
    indexType(): IndexTypeContext;
    indexOption(): IndexOptionContext;
    procedureParameter(): ProcedureParameterContext;
    functionParameter(): FunctionParameterContext;
    routineOption(): RoutineOptionContext;
    serverOption(): ServerOptionContext;
    createDefinitions(): CreateDefinitionsContext;
    createDefinition(): CreateDefinitionContext;
    columnDefinition(): ColumnDefinitionContext;
    columnConstraint(): ColumnConstraintContext;
    tableConstraint(): TableConstraintContext;
    referenceDefinition(): ReferenceDefinitionContext;
    referenceAction(): ReferenceActionContext;
    referenceControlType(): ReferenceControlTypeContext;
    indexColumnDefinition(): IndexColumnDefinitionContext;
    tableOption(): TableOptionContext;
    tablespaceStorage(): TablespaceStorageContext;
    partitionDefinitions(): PartitionDefinitionsContext;
    partitionFunctionDefinition(): PartitionFunctionDefinitionContext;
    subpartitionFunctionDefinition(): SubpartitionFunctionDefinitionContext;
    partitionDefinition(): PartitionDefinitionContext;
    partitionDefinerAtom(): PartitionDefinerAtomContext;
    partitionDefinerVector(): PartitionDefinerVectorContext;
    subpartitionDefinition(): SubpartitionDefinitionContext;
    partitionOption(): PartitionOptionContext;
    alterDatabase(): AlterDatabaseContext;
    alterEvent(): AlterEventContext;
    alterFunction(): AlterFunctionContext;
    alterInstance(): AlterInstanceContext;
    alterLogfileGroup(): AlterLogfileGroupContext;
    alterProcedure(): AlterProcedureContext;
    alterServer(): AlterServerContext;
    alterTable(): AlterTableContext;
    alterTablespace(): AlterTablespaceContext;
    alterView(): AlterViewContext;
    alterSpecification(): AlterSpecificationContext;
    dropDatabase(): DropDatabaseContext;
    dropEvent(): DropEventContext;
    dropIndex(): DropIndexContext;
    dropLogfileGroup(): DropLogfileGroupContext;
    dropProcedure(): DropProcedureContext;
    dropFunction(): DropFunctionContext;
    dropServer(): DropServerContext;
    dropTable(): DropTableContext;
    dropTablespace(): DropTablespaceContext;
    dropTrigger(): DropTriggerContext;
    dropView(): DropViewContext;
    renameTable(): RenameTableContext;
    renameTableClause(): RenameTableClauseContext;
    truncateTable(): TruncateTableContext;
    callStatement(): CallStatementContext;
    deleteStatement(): DeleteStatementContext;
    doStatement(): DoStatementContext;
    handlerStatement(): HandlerStatementContext;
    insertStatement(): InsertStatementContext;
    loadDataStatement(): LoadDataStatementContext;
    loadXmlStatement(): LoadXmlStatementContext;
    replaceStatement(): ReplaceStatementContext;
    selectStatement(): SelectStatementContext;
    updateStatement(): UpdateStatementContext;
    insertStatementValue(): InsertStatementValueContext;
    updatedElement(): UpdatedElementContext;
    assignmentField(): AssignmentFieldContext;
    lockClause(): LockClauseContext;
    singleDeleteStatement(): SingleDeleteStatementContext;
    multipleDeleteStatement(): MultipleDeleteStatementContext;
    handlerOpenStatement(): HandlerOpenStatementContext;
    handlerReadIndexStatement(): HandlerReadIndexStatementContext;
    handlerReadStatement(): HandlerReadStatementContext;
    handlerCloseStatement(): HandlerCloseStatementContext;
    singleUpdateStatement(): SingleUpdateStatementContext;
    multipleUpdateStatement(): MultipleUpdateStatementContext;
    orderByClause(): OrderByClauseContext;
    orderByExpression(): OrderByExpressionContext;
    tableSources(): TableSourcesContext;
    tableSource(): TableSourceContext;
    tableSourceItem(): TableSourceItemContext;
    indexHint(): IndexHintContext;
    indexHintType(): IndexHintTypeContext;
    joinPart(): JoinPartContext;
    queryExpression(): QueryExpressionContext;
    queryExpressionNointo(): QueryExpressionNointoContext;
    querySpecification(): QuerySpecificationContext;
    querySpecificationNointo(): QuerySpecificationNointoContext;
    unionParenthesis(): UnionParenthesisContext;
    unionStatement(): UnionStatementContext;
    selectSpec(): SelectSpecContext;
    selectElements(): SelectElementsContext;
    selectElement(): SelectElementContext;
    selectIntoExpression(): SelectIntoExpressionContext;
    selectFieldsInto(): SelectFieldsIntoContext;
    selectLinesInto(): SelectLinesIntoContext;
    fromClause(): FromClauseContext;
    groupByItem(): GroupByItemContext;
    limitClause(): LimitClauseContext;
    limitClauseAtom(): LimitClauseAtomContext;
    startTransaction(): StartTransactionContext;
    beginWork(): BeginWorkContext;
    commitWork(): CommitWorkContext;
    rollbackWork(): RollbackWorkContext;
    savepointStatement(): SavepointStatementContext;
    rollbackStatement(): RollbackStatementContext;
    releaseStatement(): ReleaseStatementContext;
    lockTables(): LockTablesContext;
    unlockTables(): UnlockTablesContext;
    setAutocommitStatement(): SetAutocommitStatementContext;
    setTransactionStatement(): SetTransactionStatementContext;
    transactionMode(): TransactionModeContext;
    lockTableElement(): LockTableElementContext;
    lockAction(): LockActionContext;
    transactionOption(): TransactionOptionContext;
    transactionLevel(): TransactionLevelContext;
    changeMaster(): ChangeMasterContext;
    changeReplicationFilter(): ChangeReplicationFilterContext;
    purgeBinaryLogs(): PurgeBinaryLogsContext;
    resetMaster(): ResetMasterContext;
    resetSlave(): ResetSlaveContext;
    startSlave(): StartSlaveContext;
    stopSlave(): StopSlaveContext;
    startGroupReplication(): StartGroupReplicationContext;
    stopGroupReplication(): StopGroupReplicationContext;
    masterOption(): MasterOptionContext;
    stringMasterOption(): StringMasterOptionContext;
    decimalMasterOption(): DecimalMasterOptionContext;
    boolMasterOption(): BoolMasterOptionContext;
    channelOption(): ChannelOptionContext;
    replicationFilter(): ReplicationFilterContext;
    tablePair(): TablePairContext;
    threadType(): ThreadTypeContext;
    untilOption(): UntilOptionContext;
    connectionOption(): ConnectionOptionContext;
    gtuidSet(): GtuidSetContext;
    xaStartTransaction(): XaStartTransactionContext;
    xaEndTransaction(): XaEndTransactionContext;
    xaPrepareStatement(): XaPrepareStatementContext;
    xaCommitWork(): XaCommitWorkContext;
    xaRollbackWork(): XaRollbackWorkContext;
    xaRecoverWork(): XaRecoverWorkContext;
    prepareStatement(): PrepareStatementContext;
    executeStatement(): ExecuteStatementContext;
    deallocatePrepare(): DeallocatePrepareContext;
    routineBody(): RoutineBodyContext;
    blockStatement(): BlockStatementContext;
    caseStatement(): CaseStatementContext;
    ifStatement(): IfStatementContext;
    iterateStatement(): IterateStatementContext;
    leaveStatement(): LeaveStatementContext;
    loopStatement(): LoopStatementContext;
    repeatStatement(): RepeatStatementContext;
    returnStatement(): ReturnStatementContext;
    whileStatement(): WhileStatementContext;
    cursorStatement(): CursorStatementContext;
    declareVariable(): DeclareVariableContext;
    declareCondition(): DeclareConditionContext;
    declareCursor(): DeclareCursorContext;
    declareHandler(): DeclareHandlerContext;
    handlerConditionValue(): HandlerConditionValueContext;
    procedureSqlStatement(): ProcedureSqlStatementContext;
    caseAlternative(): CaseAlternativeContext;
    elifAlternative(): ElifAlternativeContext;
    alterUser(): AlterUserContext;
    createUser(): CreateUserContext;
    dropUser(): DropUserContext;
    grantStatement(): GrantStatementContext;
    grantProxy(): GrantProxyContext;
    renameUser(): RenameUserContext;
    revokeStatement(): RevokeStatementContext;
    revokeProxy(): RevokeProxyContext;
    setPasswordStatement(): SetPasswordStatementContext;
    userSpecification(): UserSpecificationContext;
    userAuthOption(): UserAuthOptionContext;
    tlsOption(): TlsOptionContext;
    userResourceOption(): UserResourceOptionContext;
    userPasswordOption(): UserPasswordOptionContext;
    userLockOption(): UserLockOptionContext;
    privelegeClause(): PrivelegeClauseContext;
    privilege(): PrivilegeContext;
    privilegeLevel(): PrivilegeLevelContext;
    renameUserClause(): RenameUserClauseContext;
    analyzeTable(): AnalyzeTableContext;
    checkTable(): CheckTableContext;
    checksumTable(): ChecksumTableContext;
    optimizeTable(): OptimizeTableContext;
    repairTable(): RepairTableContext;
    checkTableOption(): CheckTableOptionContext;
    createUdfunction(): CreateUdfunctionContext;
    installPlugin(): InstallPluginContext;
    uninstallPlugin(): UninstallPluginContext;
    setStatement(): SetStatementContext;
    showStatement(): ShowStatementContext;
    variableClause(): VariableClauseContext;
    showCommonEntity(): ShowCommonEntityContext;
    showFilter(): ShowFilterContext;
    showGlobalInfoClause(): ShowGlobalInfoClauseContext;
    showSchemaEntity(): ShowSchemaEntityContext;
    showProfileType(): ShowProfileTypeContext;
    binlogStatement(): BinlogStatementContext;
    cacheIndexStatement(): CacheIndexStatementContext;
    flushStatement(): FlushStatementContext;
    killStatement(): KillStatementContext;
    loadIndexIntoCache(): LoadIndexIntoCacheContext;
    resetStatement(): ResetStatementContext;
    shutdownStatement(): ShutdownStatementContext;
    tableIndexes(): TableIndexesContext;
    flushOption(): FlushOptionContext;
    flushTableOption(): FlushTableOptionContext;
    loadedTableIndexes(): LoadedTableIndexesContext;
    simpleDescribeStatement(): SimpleDescribeStatementContext;
    fullDescribeStatement(): FullDescribeStatementContext;
    helpStatement(): HelpStatementContext;
    useStatement(): UseStatementContext;
    signalStatement(): SignalStatementContext;
    resignalStatement(): ResignalStatementContext;
    signalConditionInformation(): SignalConditionInformationContext;
    diagnosticsStatement(): DiagnosticsStatementContext;
    diagnosticsConditionInformationName(): DiagnosticsConditionInformationNameContext;
    describeObjectClause(): DescribeObjectClauseContext;
    fullId(): FullIdContext;
    tableName(): TableNameContext;
    fullColumnName(): FullColumnNameContext;
    indexColumnName(): IndexColumnNameContext;
    userName(): UserNameContext;
    mysqlVariable(): MysqlVariableContext;
    charsetName(): CharsetNameContext;
    collationName(): CollationNameContext;
    engineName(): EngineNameContext;
    uuidSet(): UuidSetContext;
    xid(): XidContext;
    xuidStringId(): XuidStringIdContext;
    authPlugin(): AuthPluginContext;
    uid(): UidContext;
    simpleId(): SimpleIdContext;
    dottedId(): DottedIdContext;
    decimalLiteral(): DecimalLiteralContext;
    fileSizeLiteral(): FileSizeLiteralContext;
    stringLiteral(): StringLiteralContext;
    booleanLiteral(): BooleanLiteralContext;
    hexadecimalLiteral(): HexadecimalLiteralContext;
    nullNotnull(): NullNotnullContext;
    constant(): ConstantContext;
    dataType(): DataTypeContext;
    collectionOptions(): CollectionOptionsContext;
    convertedDataType(): ConvertedDataTypeContext;
    lengthOneDimension(): LengthOneDimensionContext;
    lengthTwoDimension(): LengthTwoDimensionContext;
    lengthTwoOptionalDimension(): LengthTwoOptionalDimensionContext;
    uidList(): UidListContext;
    tables(): TablesContext;
    indexColumnNames(): IndexColumnNamesContext;
    expressions(): ExpressionsContext;
    expressionsWithDefaults(): ExpressionsWithDefaultsContext;
    constants(): ConstantsContext;
    simpleStrings(): SimpleStringsContext;
    userVariables(): UserVariablesContext;
    defaultValue(): DefaultValueContext;
    currentTimestamp(): CurrentTimestampContext;
    expressionOrDefault(): ExpressionOrDefaultContext;
    ifExists(): IfExistsContext;
    ifNotExists(): IfNotExistsContext;
    functionCall(): FunctionCallContext;
    specificFunction(): SpecificFunctionContext;
    caseFuncAlternative(): CaseFuncAlternativeContext;
    levelsInWeightString(): LevelsInWeightStringContext;
    levelInWeightListElement(): LevelInWeightListElementContext;
    aggregateWindowedFunction(): AggregateWindowedFunctionContext;
    scalarFunctionName(): ScalarFunctionNameContext;
    passwordFunctionClause(): PasswordFunctionClauseContext;
    functionArgs(): FunctionArgsContext;
    functionArg(): FunctionArgContext;
    expression(): ExpressionContext;
    expression(_p: number): ExpressionContext;
    predicate(): PredicateContext;
    predicate(_p: number): PredicateContext;
    expressionAtom(): ExpressionAtomContext;
    expressionAtom(_p: number): ExpressionAtomContext;
    unaryOperator(): UnaryOperatorContext;
    comparisonOperator(): ComparisonOperatorContext;
    logicalOperator(): LogicalOperatorContext;
    bitOperator(): BitOperatorContext;
    mathOperator(): MathOperatorContext;
    charsetNameBase(): CharsetNameBaseContext;
    transactionLevelBase(): TransactionLevelBaseContext;
    privilegesBase(): PrivilegesBaseContext;
    intervalTypeBase(): IntervalTypeBaseContext;
    dataTypeBase(): DataTypeBaseContext;
    keywordsCanBeId(): KeywordsCanBeIdContext;
    functionNameBase(): FunctionNameBaseContext;
    sempred(_localctx: RuleContext, ruleIndex: number, predIndex: number): boolean;
    private expression_sempred;
    private predicate_sempred;
    private expressionAtom_sempred;
    private static readonly _serializedATNSegments;
    private static readonly _serializedATNSegment0;
    private static readonly _serializedATNSegment1;
    private static readonly _serializedATNSegment2;
    private static readonly _serializedATNSegment3;
    private static readonly _serializedATNSegment4;
    private static readonly _serializedATNSegment5;
    private static readonly _serializedATNSegment6;
    private static readonly _serializedATNSegment7;
    private static readonly _serializedATNSegment8;
    private static readonly _serializedATNSegment9;
    private static readonly _serializedATNSegment10;
    private static readonly _serializedATNSegment11;
    private static readonly _serializedATNSegment12;
    static readonly _serializedATN: string;
    static __ATN: ATN;
    static get _ATN(): ATN;
}
export declare class ProgramContext extends ParserRuleContext {
    statement(): StatementContext;
    EOF(): TerminalNode;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class StatementContext extends ParserRuleContext {
    EOF(): TerminalNode;
    sqlStatements(): SqlStatementsContext | undefined;
    MINUSMINUS(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class SqlStatementsContext extends ParserRuleContext {
    sqlStatement(): SqlStatementContext[];
    sqlStatement(i: number): SqlStatementContext;
    emptyStatement(): EmptyStatementContext[];
    emptyStatement(i: number): EmptyStatementContext;
    SEMI(): TerminalNode[];
    SEMI(i: number): TerminalNode;
    MINUSMINUS(): TerminalNode[];
    MINUSMINUS(i: number): TerminalNode;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class SqlStatementContext extends ParserRuleContext {
    ddlStatement(): DdlStatementContext | undefined;
    dmlStatement(): DmlStatementContext | undefined;
    transactionStatement(): TransactionStatementContext | undefined;
    replicationStatement(): ReplicationStatementContext | undefined;
    preparedStatement(): PreparedStatementContext | undefined;
    administrationStatement(): AdministrationStatementContext | undefined;
    utilityStatement(): UtilityStatementContext | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class EmptyStatementContext extends ParserRuleContext {
    SEMI(): TerminalNode;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class DdlStatementContext extends ParserRuleContext {
    createDatabase(): CreateDatabaseContext | undefined;
    createEvent(): CreateEventContext | undefined;
    createIndex(): CreateIndexContext | undefined;
    createLogfileGroup(): CreateLogfileGroupContext | undefined;
    createProcedure(): CreateProcedureContext | undefined;
    createFunction(): CreateFunctionContext | undefined;
    createServer(): CreateServerContext | undefined;
    createTable(): CreateTableContext | undefined;
    createTablespaceInnodb(): CreateTablespaceInnodbContext | undefined;
    createTablespaceNdb(): CreateTablespaceNdbContext | undefined;
    createTrigger(): CreateTriggerContext | undefined;
    createView(): CreateViewContext | undefined;
    alterDatabase(): AlterDatabaseContext | undefined;
    alterEvent(): AlterEventContext | undefined;
    alterFunction(): AlterFunctionContext | undefined;
    alterInstance(): AlterInstanceContext | undefined;
    alterLogfileGroup(): AlterLogfileGroupContext | undefined;
    alterProcedure(): AlterProcedureContext | undefined;
    alterServer(): AlterServerContext | undefined;
    alterTable(): AlterTableContext | undefined;
    alterTablespace(): AlterTablespaceContext | undefined;
    alterView(): AlterViewContext | undefined;
    dropDatabase(): DropDatabaseContext | undefined;
    dropEvent(): DropEventContext | undefined;
    dropIndex(): DropIndexContext | undefined;
    dropLogfileGroup(): DropLogfileGroupContext | undefined;
    dropProcedure(): DropProcedureContext | undefined;
    dropFunction(): DropFunctionContext | undefined;
    dropServer(): DropServerContext | undefined;
    dropTable(): DropTableContext | undefined;
    dropTablespace(): DropTablespaceContext | undefined;
    dropTrigger(): DropTriggerContext | undefined;
    dropView(): DropViewContext | undefined;
    renameTable(): RenameTableContext | undefined;
    truncateTable(): TruncateTableContext | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class DmlStatementContext extends ParserRuleContext {
    selectStatement(): SelectStatementContext | undefined;
    insertStatement(): InsertStatementContext | undefined;
    updateStatement(): UpdateStatementContext | undefined;
    deleteStatement(): DeleteStatementContext | undefined;
    replaceStatement(): ReplaceStatementContext | undefined;
    callStatement(): CallStatementContext | undefined;
    loadDataStatement(): LoadDataStatementContext | undefined;
    loadXmlStatement(): LoadXmlStatementContext | undefined;
    doStatement(): DoStatementContext | undefined;
    handlerStatement(): HandlerStatementContext | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class TransactionStatementContext extends ParserRuleContext {
    startTransaction(): StartTransactionContext | undefined;
    beginWork(): BeginWorkContext | undefined;
    commitWork(): CommitWorkContext | undefined;
    rollbackWork(): RollbackWorkContext | undefined;
    savepointStatement(): SavepointStatementContext | undefined;
    rollbackStatement(): RollbackStatementContext | undefined;
    releaseStatement(): ReleaseStatementContext | undefined;
    lockTables(): LockTablesContext | undefined;
    unlockTables(): UnlockTablesContext | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class ReplicationStatementContext extends ParserRuleContext {
    changeMaster(): ChangeMasterContext | undefined;
    changeReplicationFilter(): ChangeReplicationFilterContext | undefined;
    purgeBinaryLogs(): PurgeBinaryLogsContext | undefined;
    resetMaster(): ResetMasterContext | undefined;
    resetSlave(): ResetSlaveContext | undefined;
    startSlave(): StartSlaveContext | undefined;
    stopSlave(): StopSlaveContext | undefined;
    startGroupReplication(): StartGroupReplicationContext | undefined;
    stopGroupReplication(): StopGroupReplicationContext | undefined;
    xaStartTransaction(): XaStartTransactionContext | undefined;
    xaEndTransaction(): XaEndTransactionContext | undefined;
    xaPrepareStatement(): XaPrepareStatementContext | undefined;
    xaCommitWork(): XaCommitWorkContext | undefined;
    xaRollbackWork(): XaRollbackWorkContext | undefined;
    xaRecoverWork(): XaRecoverWorkContext | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class PreparedStatementContext extends ParserRuleContext {
    prepareStatement(): PrepareStatementContext | undefined;
    executeStatement(): ExecuteStatementContext | undefined;
    deallocatePrepare(): DeallocatePrepareContext | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class CompoundStatementContext extends ParserRuleContext {
    blockStatement(): BlockStatementContext | undefined;
    caseStatement(): CaseStatementContext | undefined;
    ifStatement(): IfStatementContext | undefined;
    leaveStatement(): LeaveStatementContext | undefined;
    loopStatement(): LoopStatementContext | undefined;
    repeatStatement(): RepeatStatementContext | undefined;
    whileStatement(): WhileStatementContext | undefined;
    iterateStatement(): IterateStatementContext | undefined;
    returnStatement(): ReturnStatementContext | undefined;
    cursorStatement(): CursorStatementContext | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class AdministrationStatementContext extends ParserRuleContext {
    alterUser(): AlterUserContext | undefined;
    createUser(): CreateUserContext | undefined;
    dropUser(): DropUserContext | undefined;
    grantStatement(): GrantStatementContext | undefined;
    grantProxy(): GrantProxyContext | undefined;
    renameUser(): RenameUserContext | undefined;
    revokeStatement(): RevokeStatementContext | undefined;
    revokeProxy(): RevokeProxyContext | undefined;
    analyzeTable(): AnalyzeTableContext | undefined;
    checkTable(): CheckTableContext | undefined;
    checksumTable(): ChecksumTableContext | undefined;
    optimizeTable(): OptimizeTableContext | undefined;
    repairTable(): RepairTableContext | undefined;
    createUdfunction(): CreateUdfunctionContext | undefined;
    installPlugin(): InstallPluginContext | undefined;
    uninstallPlugin(): UninstallPluginContext | undefined;
    setStatement(): SetStatementContext | undefined;
    showStatement(): ShowStatementContext | undefined;
    binlogStatement(): BinlogStatementContext | undefined;
    cacheIndexStatement(): CacheIndexStatementContext | undefined;
    flushStatement(): FlushStatementContext | undefined;
    killStatement(): KillStatementContext | undefined;
    loadIndexIntoCache(): LoadIndexIntoCacheContext | undefined;
    resetStatement(): ResetStatementContext | undefined;
    shutdownStatement(): ShutdownStatementContext | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class UtilityStatementContext extends ParserRuleContext {
    simpleDescribeStatement(): SimpleDescribeStatementContext | undefined;
    fullDescribeStatement(): FullDescribeStatementContext | undefined;
    helpStatement(): HelpStatementContext | undefined;
    useStatement(): UseStatementContext | undefined;
    signalStatement(): SignalStatementContext | undefined;
    resignalStatement(): ResignalStatementContext | undefined;
    diagnosticsStatement(): DiagnosticsStatementContext | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class CreateDatabaseContext extends ParserRuleContext {
    _dbFormat: Token;
    CREATE(): TerminalNode;
    uid(): UidContext;
    DATABASE(): TerminalNode | undefined;
    SCHEMA(): TerminalNode | undefined;
    ifNotExists(): IfNotExistsContext | undefined;
    createDatabaseOption(): CreateDatabaseOptionContext[];
    createDatabaseOption(i: number): CreateDatabaseOptionContext;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class CreateEventContext extends ParserRuleContext {
    CREATE(): TerminalNode;
    EVENT(): TerminalNode;
    fullId(): FullIdContext;
    ON(): TerminalNode[];
    ON(i: number): TerminalNode;
    SCHEDULE(): TerminalNode;
    scheduleExpression(): ScheduleExpressionContext;
    DO(): TerminalNode;
    routineBody(): RoutineBodyContext;
    ownerStatement(): OwnerStatementContext | undefined;
    ifNotExists(): IfNotExistsContext | undefined;
    COMPLETION(): TerminalNode | undefined;
    PRESERVE(): TerminalNode | undefined;
    enableType(): EnableTypeContext | undefined;
    COMMENT(): TerminalNode | undefined;
    STRING_LITERAL(): TerminalNode | undefined;
    NOT(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class CreateIndexContext extends ParserRuleContext {
    _intimeAction: Token;
    _indexCategory: Token;
    _algType: Token;
    _lockType: Token;
    CREATE(): TerminalNode;
    INDEX(): TerminalNode;
    uid(): UidContext;
    ON(): TerminalNode;
    tableName(): TableNameContext;
    indexColumnNames(): IndexColumnNamesContext;
    indexType(): IndexTypeContext | undefined;
    indexOption(): IndexOptionContext[];
    indexOption(i: number): IndexOptionContext;
    ALGORITHM(): TerminalNode[];
    ALGORITHM(i: number): TerminalNode;
    LOCK(): TerminalNode[];
    LOCK(i: number): TerminalNode;
    ONLINE(): TerminalNode | undefined;
    OFFLINE(): TerminalNode | undefined;
    UNIQUE(): TerminalNode | undefined;
    FULLTEXT(): TerminalNode | undefined;
    SPATIAL(): TerminalNode | undefined;
    DEFAULT(): TerminalNode[];
    DEFAULT(i: number): TerminalNode;
    INPLACE(): TerminalNode[];
    INPLACE(i: number): TerminalNode;
    COPY(): TerminalNode[];
    COPY(i: number): TerminalNode;
    NONE(): TerminalNode[];
    NONE(i: number): TerminalNode;
    SHARED(): TerminalNode[];
    SHARED(i: number): TerminalNode;
    EXCLUSIVE(): TerminalNode[];
    EXCLUSIVE(i: number): TerminalNode;
    EQUAL_SYMBOL(): TerminalNode[];
    EQUAL_SYMBOL(i: number): TerminalNode;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class CreateLogfileGroupContext extends ParserRuleContext {
    _undoFile: Token;
    _initSize: FileSizeLiteralContext;
    _undoSize: FileSizeLiteralContext;
    _redoSize: FileSizeLiteralContext;
    _comment: Token;
    CREATE(): TerminalNode;
    LOGFILE(): TerminalNode;
    GROUP(): TerminalNode;
    uid(): UidContext[];
    uid(i: number): UidContext;
    ADD(): TerminalNode;
    UNDOFILE(): TerminalNode;
    ENGINE(): TerminalNode;
    engineName(): EngineNameContext;
    STRING_LITERAL(): TerminalNode[];
    STRING_LITERAL(i: number): TerminalNode;
    INITIAL_SIZE(): TerminalNode | undefined;
    UNDO_BUFFER_SIZE(): TerminalNode | undefined;
    REDO_BUFFER_SIZE(): TerminalNode | undefined;
    NODEGROUP(): TerminalNode | undefined;
    WAIT(): TerminalNode | undefined;
    COMMENT(): TerminalNode | undefined;
    EQUAL_SYMBOL(): TerminalNode[];
    EQUAL_SYMBOL(i: number): TerminalNode;
    fileSizeLiteral(): FileSizeLiteralContext[];
    fileSizeLiteral(i: number): FileSizeLiteralContext;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class CreateProcedureContext extends ParserRuleContext {
    CREATE(): TerminalNode;
    PROCEDURE(): TerminalNode;
    fullId(): FullIdContext;
    LR_BRACKET(): TerminalNode;
    RR_BRACKET(): TerminalNode;
    routineBody(): RoutineBodyContext;
    ownerStatement(): OwnerStatementContext | undefined;
    procedureParameter(): ProcedureParameterContext[];
    procedureParameter(i: number): ProcedureParameterContext;
    COMMA(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    routineOption(): RoutineOptionContext[];
    routineOption(i: number): RoutineOptionContext;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class CreateFunctionContext extends ParserRuleContext {
    CREATE(): TerminalNode;
    FUNCTION(): TerminalNode;
    fullId(): FullIdContext;
    LR_BRACKET(): TerminalNode;
    RR_BRACKET(): TerminalNode;
    RETURNS(): TerminalNode;
    dataType(): DataTypeContext;
    routineBody(): RoutineBodyContext | undefined;
    returnStatement(): ReturnStatementContext | undefined;
    ownerStatement(): OwnerStatementContext | undefined;
    functionParameter(): FunctionParameterContext[];
    functionParameter(i: number): FunctionParameterContext;
    COMMA(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    routineOption(): RoutineOptionContext[];
    routineOption(i: number): RoutineOptionContext;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class CreateServerContext extends ParserRuleContext {
    _wrapperName: Token;
    CREATE(): TerminalNode;
    SERVER(): TerminalNode;
    uid(): UidContext;
    FOREIGN(): TerminalNode;
    DATA(): TerminalNode;
    WRAPPER(): TerminalNode;
    OPTIONS(): TerminalNode;
    LR_BRACKET(): TerminalNode;
    serverOption(): ServerOptionContext[];
    serverOption(i: number): ServerOptionContext;
    RR_BRACKET(): TerminalNode;
    MYSQL(): TerminalNode | undefined;
    STRING_LITERAL(): TerminalNode | undefined;
    COMMA(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class CreateTableContext extends ParserRuleContext {
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    copyFrom(ctx: CreateTableContext): void;
}
export declare class CopyCreateTableContext extends CreateTableContext {
    _parenthesisTable: TableNameContext;
    CREATE(): TerminalNode;
    TABLE(): TerminalNode;
    tableName(): TableNameContext[];
    tableName(i: number): TableNameContext;
    LIKE(): TerminalNode | undefined;
    LR_BRACKET(): TerminalNode | undefined;
    RR_BRACKET(): TerminalNode | undefined;
    TEMPORARY(): TerminalNode | undefined;
    ifNotExists(): IfNotExistsContext | undefined;
    constructor(ctx: CreateTableContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class QueryCreateTableContext extends CreateTableContext {
    _keyViolate: Token;
    CREATE(): TerminalNode;
    TABLE(): TerminalNode;
    tableName(): TableNameContext;
    selectStatement(): SelectStatementContext;
    TEMPORARY(): TerminalNode | undefined;
    ifNotExists(): IfNotExistsContext | undefined;
    createDefinitions(): CreateDefinitionsContext | undefined;
    tableOption(): TableOptionContext[];
    tableOption(i: number): TableOptionContext;
    partitionDefinitions(): PartitionDefinitionsContext | undefined;
    AS(): TerminalNode | undefined;
    IGNORE(): TerminalNode | undefined;
    REPLACE(): TerminalNode | undefined;
    COMMA(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    constructor(ctx: CreateTableContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class ColumnCreateTableContext extends CreateTableContext {
    CREATE(): TerminalNode;
    TABLE(): TerminalNode;
    tableName(): TableNameContext;
    createDefinitions(): CreateDefinitionsContext;
    TEMPORARY(): TerminalNode | undefined;
    ifNotExists(): IfNotExistsContext | undefined;
    tableOption(): TableOptionContext[];
    tableOption(i: number): TableOptionContext;
    partitionDefinitions(): PartitionDefinitionsContext | undefined;
    COMMA(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    constructor(ctx: CreateTableContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class CreateTablespaceInnodbContext extends ParserRuleContext {
    _datafile: Token;
    _fileBlockSize: FileSizeLiteralContext;
    CREATE(): TerminalNode;
    TABLESPACE(): TerminalNode;
    uid(): UidContext;
    ADD(): TerminalNode;
    DATAFILE(): TerminalNode;
    STRING_LITERAL(): TerminalNode;
    FILE_BLOCK_SIZE(): TerminalNode | undefined;
    EQUAL_SYMBOL(): TerminalNode[];
    EQUAL_SYMBOL(i: number): TerminalNode;
    ENGINE(): TerminalNode | undefined;
    engineName(): EngineNameContext | undefined;
    fileSizeLiteral(): FileSizeLiteralContext | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class CreateTablespaceNdbContext extends ParserRuleContext {
    _datafile: Token;
    _extentSize: FileSizeLiteralContext;
    _initialSize: FileSizeLiteralContext;
    _autoextendSize: FileSizeLiteralContext;
    _maxSize: FileSizeLiteralContext;
    _comment: Token;
    CREATE(): TerminalNode;
    TABLESPACE(): TerminalNode;
    uid(): UidContext[];
    uid(i: number): UidContext;
    ADD(): TerminalNode;
    DATAFILE(): TerminalNode;
    USE(): TerminalNode;
    LOGFILE(): TerminalNode;
    GROUP(): TerminalNode;
    ENGINE(): TerminalNode;
    engineName(): EngineNameContext;
    STRING_LITERAL(): TerminalNode[];
    STRING_LITERAL(i: number): TerminalNode;
    EXTENT_SIZE(): TerminalNode | undefined;
    INITIAL_SIZE(): TerminalNode | undefined;
    AUTOEXTEND_SIZE(): TerminalNode | undefined;
    MAX_SIZE(): TerminalNode | undefined;
    NODEGROUP(): TerminalNode | undefined;
    WAIT(): TerminalNode | undefined;
    COMMENT(): TerminalNode | undefined;
    EQUAL_SYMBOL(): TerminalNode[];
    EQUAL_SYMBOL(i: number): TerminalNode;
    fileSizeLiteral(): FileSizeLiteralContext[];
    fileSizeLiteral(i: number): FileSizeLiteralContext;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class CreateTriggerContext extends ParserRuleContext {
    _thisTrigger: FullIdContext;
    _triggerTime: Token;
    _triggerEvent: Token;
    _triggerPlace: Token;
    _otherTrigger: FullIdContext;
    CREATE(): TerminalNode;
    TRIGGER(): TerminalNode;
    ON(): TerminalNode;
    tableName(): TableNameContext;
    FOR(): TerminalNode;
    EACH(): TerminalNode;
    ROW(): TerminalNode;
    routineBody(): RoutineBodyContext;
    fullId(): FullIdContext[];
    fullId(i: number): FullIdContext;
    BEFORE(): TerminalNode | undefined;
    AFTER(): TerminalNode | undefined;
    INSERT(): TerminalNode | undefined;
    UPDATE(): TerminalNode | undefined;
    DELETE(): TerminalNode | undefined;
    ownerStatement(): OwnerStatementContext | undefined;
    FOLLOWS(): TerminalNode | undefined;
    PRECEDES(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class CreateViewContext extends ParserRuleContext {
    _algType: Token;
    _secContext: Token;
    _checkOption: Token;
    CREATE(): TerminalNode;
    VIEW(): TerminalNode;
    fullId(): FullIdContext;
    AS(): TerminalNode;
    selectStatement(): SelectStatementContext;
    OR(): TerminalNode | undefined;
    REPLACE(): TerminalNode | undefined;
    ALGORITHM(): TerminalNode | undefined;
    EQUAL_SYMBOL(): TerminalNode | undefined;
    ownerStatement(): OwnerStatementContext | undefined;
    SQL(): TerminalNode | undefined;
    SECURITY(): TerminalNode | undefined;
    LR_BRACKET(): TerminalNode | undefined;
    uidList(): UidListContext | undefined;
    RR_BRACKET(): TerminalNode | undefined;
    WITH(): TerminalNode | undefined;
    CHECK(): TerminalNode | undefined;
    OPTION(): TerminalNode | undefined;
    UNDEFINED(): TerminalNode | undefined;
    MERGE(): TerminalNode | undefined;
    TEMPTABLE(): TerminalNode | undefined;
    DEFINER(): TerminalNode | undefined;
    INVOKER(): TerminalNode | undefined;
    CASCADED(): TerminalNode | undefined;
    LOCAL(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class CreateDatabaseOptionContext extends ParserRuleContext {
    CHARACTER(): TerminalNode | undefined;
    SET(): TerminalNode | undefined;
    CHARSET(): TerminalNode | undefined;
    charsetName(): CharsetNameContext | undefined;
    DEFAULT(): TerminalNode[];
    DEFAULT(i: number): TerminalNode;
    EQUAL_SYMBOL(): TerminalNode | undefined;
    COLLATE(): TerminalNode | undefined;
    collationName(): CollationNameContext | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class OwnerStatementContext extends ParserRuleContext {
    DEFINER(): TerminalNode;
    EQUAL_SYMBOL(): TerminalNode;
    userName(): UserNameContext | undefined;
    CURRENT_USER(): TerminalNode | undefined;
    LR_BRACKET(): TerminalNode | undefined;
    RR_BRACKET(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class ScheduleExpressionContext extends ParserRuleContext {
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    copyFrom(ctx: ScheduleExpressionContext): void;
}
export declare class PreciseScheduleContext extends ScheduleExpressionContext {
    AT(): TerminalNode;
    timestampValue(): TimestampValueContext;
    intervalExpr(): IntervalExprContext[];
    intervalExpr(i: number): IntervalExprContext;
    constructor(ctx: ScheduleExpressionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class IntervalScheduleContext extends ScheduleExpressionContext {
    _startTimestamp: TimestampValueContext;
    _intervalExpr: IntervalExprContext;
    _startIntervals: IntervalExprContext[];
    _endTimestamp: TimestampValueContext;
    _endIntervals: IntervalExprContext[];
    EVERY(): TerminalNode;
    intervalType(): IntervalTypeContext;
    decimalLiteral(): DecimalLiteralContext | undefined;
    expression(): ExpressionContext | undefined;
    STARTS(): TerminalNode | undefined;
    ENDS(): TerminalNode | undefined;
    timestampValue(): TimestampValueContext[];
    timestampValue(i: number): TimestampValueContext;
    intervalExpr(): IntervalExprContext[];
    intervalExpr(i: number): IntervalExprContext;
    constructor(ctx: ScheduleExpressionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class TimestampValueContext extends ParserRuleContext {
    CURRENT_TIMESTAMP(): TerminalNode | undefined;
    stringLiteral(): StringLiteralContext | undefined;
    decimalLiteral(): DecimalLiteralContext | undefined;
    expression(): ExpressionContext | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class IntervalExprContext extends ParserRuleContext {
    PLUS(): TerminalNode;
    INTERVAL(): TerminalNode;
    intervalType(): IntervalTypeContext;
    decimalLiteral(): DecimalLiteralContext | undefined;
    expression(): ExpressionContext | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class IntervalTypeContext extends ParserRuleContext {
    intervalTypeBase(): IntervalTypeBaseContext | undefined;
    YEAR(): TerminalNode | undefined;
    YEAR_MONTH(): TerminalNode | undefined;
    DAY_HOUR(): TerminalNode | undefined;
    DAY_MINUTE(): TerminalNode | undefined;
    DAY_SECOND(): TerminalNode | undefined;
    HOUR_MINUTE(): TerminalNode | undefined;
    HOUR_SECOND(): TerminalNode | undefined;
    MINUTE_SECOND(): TerminalNode | undefined;
    SECOND_MICROSECOND(): TerminalNode | undefined;
    MINUTE_MICROSECOND(): TerminalNode | undefined;
    HOUR_MICROSECOND(): TerminalNode | undefined;
    DAY_MICROSECOND(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class EnableTypeContext extends ParserRuleContext {
    ENABLE(): TerminalNode | undefined;
    DISABLE(): TerminalNode | undefined;
    ON(): TerminalNode | undefined;
    SLAVE(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class IndexTypeContext extends ParserRuleContext {
    USING(): TerminalNode;
    BTREE(): TerminalNode | undefined;
    HASH(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class IndexOptionContext extends ParserRuleContext {
    KEY_BLOCK_SIZE(): TerminalNode | undefined;
    fileSizeLiteral(): FileSizeLiteralContext | undefined;
    EQUAL_SYMBOL(): TerminalNode | undefined;
    indexType(): IndexTypeContext | undefined;
    WITH(): TerminalNode | undefined;
    PARSER(): TerminalNode | undefined;
    uid(): UidContext | undefined;
    COMMENT(): TerminalNode | undefined;
    STRING_LITERAL(): TerminalNode | undefined;
    INVISIBLE(): TerminalNode | undefined;
    VISIBLE(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class ProcedureParameterContext extends ParserRuleContext {
    _direction: Token;
    uid(): UidContext;
    dataType(): DataTypeContext;
    IN(): TerminalNode | undefined;
    OUT(): TerminalNode | undefined;
    INOUT(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class FunctionParameterContext extends ParserRuleContext {
    uid(): UidContext;
    dataType(): DataTypeContext;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class RoutineOptionContext extends ParserRuleContext {
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    copyFrom(ctx: RoutineOptionContext): void;
}
export declare class RoutineCommentContext extends RoutineOptionContext {
    COMMENT(): TerminalNode;
    STRING_LITERAL(): TerminalNode;
    constructor(ctx: RoutineOptionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class RoutineLanguageContext extends RoutineOptionContext {
    LANGUAGE(): TerminalNode;
    SQL(): TerminalNode;
    constructor(ctx: RoutineOptionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class RoutineBehaviorContext extends RoutineOptionContext {
    DETERMINISTIC(): TerminalNode;
    NOT(): TerminalNode | undefined;
    constructor(ctx: RoutineOptionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class RoutineDataContext extends RoutineOptionContext {
    CONTAINS(): TerminalNode | undefined;
    SQL(): TerminalNode | undefined;
    NO(): TerminalNode | undefined;
    READS(): TerminalNode | undefined;
    DATA(): TerminalNode | undefined;
    MODIFIES(): TerminalNode | undefined;
    constructor(ctx: RoutineOptionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class RoutineSecurityContext extends RoutineOptionContext {
    _context: Token;
    SQL(): TerminalNode;
    SECURITY(): TerminalNode;
    DEFINER(): TerminalNode | undefined;
    INVOKER(): TerminalNode | undefined;
    constructor(ctx: RoutineOptionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class ServerOptionContext extends ParserRuleContext {
    HOST(): TerminalNode | undefined;
    STRING_LITERAL(): TerminalNode | undefined;
    DATABASE(): TerminalNode | undefined;
    USER(): TerminalNode | undefined;
    PASSWORD(): TerminalNode | undefined;
    SOCKET(): TerminalNode | undefined;
    OWNER(): TerminalNode | undefined;
    PORT(): TerminalNode | undefined;
    decimalLiteral(): DecimalLiteralContext | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class CreateDefinitionsContext extends ParserRuleContext {
    LR_BRACKET(): TerminalNode;
    createDefinition(): CreateDefinitionContext[];
    createDefinition(i: number): CreateDefinitionContext;
    RR_BRACKET(): TerminalNode;
    COMMA(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class CreateDefinitionContext extends ParserRuleContext {
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    copyFrom(ctx: CreateDefinitionContext): void;
}
export declare class ColumnDeclarationContext extends CreateDefinitionContext {
    uid(): UidContext;
    columnDefinition(): ColumnDefinitionContext;
    constructor(ctx: CreateDefinitionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class ConstraintDeclarationContext extends CreateDefinitionContext {
    tableConstraint(): TableConstraintContext;
    constructor(ctx: CreateDefinitionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class IndexDeclarationContext extends CreateDefinitionContext {
    indexColumnDefinition(): IndexColumnDefinitionContext;
    constructor(ctx: CreateDefinitionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class ColumnDefinitionContext extends ParserRuleContext {
    dataType(): DataTypeContext;
    columnConstraint(): ColumnConstraintContext[];
    columnConstraint(i: number): ColumnConstraintContext;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class ColumnConstraintContext extends ParserRuleContext {
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    copyFrom(ctx: ColumnConstraintContext): void;
}
export declare class NullColumnConstraintContext extends ColumnConstraintContext {
    nullNotnull(): NullNotnullContext;
    constructor(ctx: ColumnConstraintContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class DefaultColumnConstraintContext extends ColumnConstraintContext {
    DEFAULT(): TerminalNode;
    defaultValue(): DefaultValueContext;
    constructor(ctx: ColumnConstraintContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class AutoIncrementColumnConstraintContext extends ColumnConstraintContext {
    AUTO_INCREMENT(): TerminalNode | undefined;
    ON(): TerminalNode | undefined;
    UPDATE(): TerminalNode | undefined;
    currentTimestamp(): CurrentTimestampContext | undefined;
    constructor(ctx: ColumnConstraintContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class PrimaryKeyColumnConstraintContext extends ColumnConstraintContext {
    KEY(): TerminalNode;
    PRIMARY(): TerminalNode | undefined;
    constructor(ctx: ColumnConstraintContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class UniqueKeyColumnConstraintContext extends ColumnConstraintContext {
    UNIQUE(): TerminalNode;
    KEY(): TerminalNode | undefined;
    constructor(ctx: ColumnConstraintContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class CommentColumnConstraintContext extends ColumnConstraintContext {
    COMMENT(): TerminalNode;
    STRING_LITERAL(): TerminalNode;
    constructor(ctx: ColumnConstraintContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class FormatColumnConstraintContext extends ColumnConstraintContext {
    _colformat: Token;
    COLUMN_FORMAT(): TerminalNode;
    FIXED(): TerminalNode | undefined;
    DYNAMIC(): TerminalNode | undefined;
    DEFAULT(): TerminalNode | undefined;
    constructor(ctx: ColumnConstraintContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class StorageColumnConstraintContext extends ColumnConstraintContext {
    _storageval: Token;
    STORAGE(): TerminalNode;
    DISK(): TerminalNode | undefined;
    MEMORY(): TerminalNode | undefined;
    DEFAULT(): TerminalNode | undefined;
    constructor(ctx: ColumnConstraintContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class ReferenceColumnConstraintContext extends ColumnConstraintContext {
    referenceDefinition(): ReferenceDefinitionContext;
    constructor(ctx: ColumnConstraintContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class CollateColumnConstraintContext extends ColumnConstraintContext {
    COLLATE(): TerminalNode;
    collationName(): CollationNameContext;
    constructor(ctx: ColumnConstraintContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class GeneratedColumnConstraintContext extends ColumnConstraintContext {
    AS(): TerminalNode;
    LR_BRACKET(): TerminalNode;
    expression(): ExpressionContext;
    RR_BRACKET(): TerminalNode;
    GENERATED(): TerminalNode | undefined;
    ALWAYS(): TerminalNode | undefined;
    VIRTUAL(): TerminalNode | undefined;
    STORED(): TerminalNode | undefined;
    constructor(ctx: ColumnConstraintContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class SerialDefaultColumnConstraintContext extends ColumnConstraintContext {
    SERIAL(): TerminalNode;
    DEFAULT(): TerminalNode;
    VALUE(): TerminalNode;
    constructor(ctx: ColumnConstraintContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class CheckColumnConstraintContext extends ColumnConstraintContext {
    _name: UidContext;
    CHECK(): TerminalNode;
    LR_BRACKET(): TerminalNode;
    expression(): ExpressionContext;
    RR_BRACKET(): TerminalNode;
    CONSTRAINT(): TerminalNode | undefined;
    uid(): UidContext | undefined;
    constructor(ctx: ColumnConstraintContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class TableConstraintContext extends ParserRuleContext {
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    copyFrom(ctx: TableConstraintContext): void;
}
export declare class PrimaryKeyTableConstraintContext extends TableConstraintContext {
    _name: UidContext;
    _index: UidContext;
    PRIMARY(): TerminalNode;
    KEY(): TerminalNode;
    indexColumnNames(): IndexColumnNamesContext;
    CONSTRAINT(): TerminalNode | undefined;
    indexType(): IndexTypeContext | undefined;
    indexOption(): IndexOptionContext[];
    indexOption(i: number): IndexOptionContext;
    uid(): UidContext[];
    uid(i: number): UidContext;
    constructor(ctx: TableConstraintContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class UniqueKeyTableConstraintContext extends TableConstraintContext {
    _name: UidContext;
    _indexFormat: Token;
    _index: UidContext;
    UNIQUE(): TerminalNode;
    indexColumnNames(): IndexColumnNamesContext;
    CONSTRAINT(): TerminalNode | undefined;
    indexType(): IndexTypeContext | undefined;
    indexOption(): IndexOptionContext[];
    indexOption(i: number): IndexOptionContext;
    uid(): UidContext[];
    uid(i: number): UidContext;
    INDEX(): TerminalNode | undefined;
    KEY(): TerminalNode | undefined;
    constructor(ctx: TableConstraintContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class ForeignKeyTableConstraintContext extends TableConstraintContext {
    _name: UidContext;
    _index: UidContext;
    FOREIGN(): TerminalNode;
    KEY(): TerminalNode;
    indexColumnNames(): IndexColumnNamesContext;
    referenceDefinition(): ReferenceDefinitionContext;
    CONSTRAINT(): TerminalNode | undefined;
    uid(): UidContext[];
    uid(i: number): UidContext;
    constructor(ctx: TableConstraintContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class CheckTableConstraintContext extends TableConstraintContext {
    _name: UidContext;
    CHECK(): TerminalNode;
    LR_BRACKET(): TerminalNode;
    expression(): ExpressionContext;
    RR_BRACKET(): TerminalNode;
    CONSTRAINT(): TerminalNode | undefined;
    uid(): UidContext | undefined;
    constructor(ctx: TableConstraintContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class ReferenceDefinitionContext extends ParserRuleContext {
    _matchType: Token;
    REFERENCES(): TerminalNode;
    tableName(): TableNameContext;
    indexColumnNames(): IndexColumnNamesContext | undefined;
    MATCH(): TerminalNode | undefined;
    referenceAction(): ReferenceActionContext | undefined;
    FULL(): TerminalNode | undefined;
    PARTIAL(): TerminalNode | undefined;
    SIMPLE(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class ReferenceActionContext extends ParserRuleContext {
    _onDelete: ReferenceControlTypeContext;
    _onUpdate: ReferenceControlTypeContext;
    ON(): TerminalNode[];
    ON(i: number): TerminalNode;
    DELETE(): TerminalNode | undefined;
    referenceControlType(): ReferenceControlTypeContext[];
    referenceControlType(i: number): ReferenceControlTypeContext;
    UPDATE(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class ReferenceControlTypeContext extends ParserRuleContext {
    RESTRICT(): TerminalNode | undefined;
    CASCADE(): TerminalNode | undefined;
    SET(): TerminalNode | undefined;
    NULL_LITERAL(): TerminalNode | undefined;
    NO(): TerminalNode | undefined;
    ACTION(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class IndexColumnDefinitionContext extends ParserRuleContext {
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    copyFrom(ctx: IndexColumnDefinitionContext): void;
}
export declare class SimpleIndexDeclarationContext extends IndexColumnDefinitionContext {
    _indexFormat: Token;
    indexColumnNames(): IndexColumnNamesContext;
    INDEX(): TerminalNode | undefined;
    KEY(): TerminalNode | undefined;
    uid(): UidContext | undefined;
    indexType(): IndexTypeContext | undefined;
    indexOption(): IndexOptionContext[];
    indexOption(i: number): IndexOptionContext;
    constructor(ctx: IndexColumnDefinitionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class SpecialIndexDeclarationContext extends IndexColumnDefinitionContext {
    _indexFormat: Token;
    indexColumnNames(): IndexColumnNamesContext;
    FULLTEXT(): TerminalNode | undefined;
    SPATIAL(): TerminalNode | undefined;
    uid(): UidContext | undefined;
    indexOption(): IndexOptionContext[];
    indexOption(i: number): IndexOptionContext;
    INDEX(): TerminalNode | undefined;
    KEY(): TerminalNode | undefined;
    constructor(ctx: IndexColumnDefinitionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class TableOptionContext extends ParserRuleContext {
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    copyFrom(ctx: TableOptionContext): void;
}
export declare class TableOptionEngineContext extends TableOptionContext {
    ENGINE(): TerminalNode;
    engineName(): EngineNameContext;
    EQUAL_SYMBOL(): TerminalNode | undefined;
    constructor(ctx: TableOptionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class TableOptionAutoIncrementContext extends TableOptionContext {
    AUTO_INCREMENT(): TerminalNode;
    decimalLiteral(): DecimalLiteralContext;
    EQUAL_SYMBOL(): TerminalNode | undefined;
    constructor(ctx: TableOptionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class TableOptionAverageContext extends TableOptionContext {
    AVG_ROW_LENGTH(): TerminalNode;
    decimalLiteral(): DecimalLiteralContext;
    EQUAL_SYMBOL(): TerminalNode | undefined;
    constructor(ctx: TableOptionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class TableOptionCharsetContext extends TableOptionContext {
    CHARACTER(): TerminalNode | undefined;
    SET(): TerminalNode | undefined;
    CHARSET(): TerminalNode | undefined;
    charsetName(): CharsetNameContext | undefined;
    DEFAULT(): TerminalNode[];
    DEFAULT(i: number): TerminalNode;
    EQUAL_SYMBOL(): TerminalNode | undefined;
    constructor(ctx: TableOptionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class TableOptionChecksumContext extends TableOptionContext {
    _boolValue: Token;
    CHECKSUM(): TerminalNode | undefined;
    PAGE_CHECKSUM(): TerminalNode | undefined;
    ZERO_DECIMAL(): TerminalNode | undefined;
    ONE_DECIMAL(): TerminalNode | undefined;
    EQUAL_SYMBOL(): TerminalNode | undefined;
    constructor(ctx: TableOptionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class TableOptionCollateContext extends TableOptionContext {
    COLLATE(): TerminalNode;
    collationName(): CollationNameContext;
    DEFAULT(): TerminalNode | undefined;
    EQUAL_SYMBOL(): TerminalNode | undefined;
    constructor(ctx: TableOptionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class TableOptionCommentContext extends TableOptionContext {
    COMMENT(): TerminalNode;
    STRING_LITERAL(): TerminalNode;
    EQUAL_SYMBOL(): TerminalNode | undefined;
    constructor(ctx: TableOptionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class TableOptionCompressionContext extends TableOptionContext {
    COMPRESSION(): TerminalNode;
    STRING_LITERAL(): TerminalNode | undefined;
    ID(): TerminalNode | undefined;
    EQUAL_SYMBOL(): TerminalNode | undefined;
    constructor(ctx: TableOptionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class TableOptionConnectionContext extends TableOptionContext {
    CONNECTION(): TerminalNode;
    STRING_LITERAL(): TerminalNode;
    EQUAL_SYMBOL(): TerminalNode | undefined;
    constructor(ctx: TableOptionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class TableOptionDataDirectoryContext extends TableOptionContext {
    DATA(): TerminalNode;
    DIRECTORY(): TerminalNode;
    STRING_LITERAL(): TerminalNode;
    EQUAL_SYMBOL(): TerminalNode | undefined;
    constructor(ctx: TableOptionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class TableOptionDelayContext extends TableOptionContext {
    _boolValue: Token;
    DELAY_KEY_WRITE(): TerminalNode;
    ZERO_DECIMAL(): TerminalNode | undefined;
    ONE_DECIMAL(): TerminalNode | undefined;
    EQUAL_SYMBOL(): TerminalNode | undefined;
    constructor(ctx: TableOptionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class TableOptionEncryptionContext extends TableOptionContext {
    ENCRYPTION(): TerminalNode;
    STRING_LITERAL(): TerminalNode;
    EQUAL_SYMBOL(): TerminalNode | undefined;
    constructor(ctx: TableOptionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class TableOptionIndexDirectoryContext extends TableOptionContext {
    INDEX(): TerminalNode;
    DIRECTORY(): TerminalNode;
    STRING_LITERAL(): TerminalNode;
    EQUAL_SYMBOL(): TerminalNode | undefined;
    constructor(ctx: TableOptionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class TableOptionInsertMethodContext extends TableOptionContext {
    _insertMethod: Token;
    INSERT_METHOD(): TerminalNode;
    NO(): TerminalNode | undefined;
    FIRST(): TerminalNode | undefined;
    LAST(): TerminalNode | undefined;
    EQUAL_SYMBOL(): TerminalNode | undefined;
    constructor(ctx: TableOptionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class TableOptionKeyBlockSizeContext extends TableOptionContext {
    KEY_BLOCK_SIZE(): TerminalNode;
    fileSizeLiteral(): FileSizeLiteralContext;
    EQUAL_SYMBOL(): TerminalNode | undefined;
    constructor(ctx: TableOptionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class TableOptionMaxRowsContext extends TableOptionContext {
    MAX_ROWS(): TerminalNode;
    decimalLiteral(): DecimalLiteralContext;
    EQUAL_SYMBOL(): TerminalNode | undefined;
    constructor(ctx: TableOptionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class TableOptionMinRowsContext extends TableOptionContext {
    MIN_ROWS(): TerminalNode;
    decimalLiteral(): DecimalLiteralContext;
    EQUAL_SYMBOL(): TerminalNode | undefined;
    constructor(ctx: TableOptionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class TableOptionPackKeysContext extends TableOptionContext {
    _extBoolValue: Token;
    PACK_KEYS(): TerminalNode;
    ZERO_DECIMAL(): TerminalNode | undefined;
    ONE_DECIMAL(): TerminalNode | undefined;
    DEFAULT(): TerminalNode | undefined;
    EQUAL_SYMBOL(): TerminalNode | undefined;
    constructor(ctx: TableOptionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class TableOptionPasswordContext extends TableOptionContext {
    PASSWORD(): TerminalNode;
    STRING_LITERAL(): TerminalNode;
    EQUAL_SYMBOL(): TerminalNode | undefined;
    constructor(ctx: TableOptionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class TableOptionRowFormatContext extends TableOptionContext {
    _rowFormat: Token;
    ROW_FORMAT(): TerminalNode;
    DEFAULT(): TerminalNode | undefined;
    DYNAMIC(): TerminalNode | undefined;
    FIXED(): TerminalNode | undefined;
    COMPRESSED(): TerminalNode | undefined;
    REDUNDANT(): TerminalNode | undefined;
    COMPACT(): TerminalNode | undefined;
    EQUAL_SYMBOL(): TerminalNode | undefined;
    constructor(ctx: TableOptionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class TableOptionRecalculationContext extends TableOptionContext {
    _extBoolValue: Token;
    STATS_AUTO_RECALC(): TerminalNode;
    DEFAULT(): TerminalNode | undefined;
    ZERO_DECIMAL(): TerminalNode | undefined;
    ONE_DECIMAL(): TerminalNode | undefined;
    EQUAL_SYMBOL(): TerminalNode | undefined;
    constructor(ctx: TableOptionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class TableOptionPersistentContext extends TableOptionContext {
    _extBoolValue: Token;
    STATS_PERSISTENT(): TerminalNode;
    DEFAULT(): TerminalNode | undefined;
    ZERO_DECIMAL(): TerminalNode | undefined;
    ONE_DECIMAL(): TerminalNode | undefined;
    EQUAL_SYMBOL(): TerminalNode | undefined;
    constructor(ctx: TableOptionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class TableOptionSamplePageContext extends TableOptionContext {
    STATS_SAMPLE_PAGES(): TerminalNode;
    decimalLiteral(): DecimalLiteralContext;
    EQUAL_SYMBOL(): TerminalNode | undefined;
    constructor(ctx: TableOptionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class TableOptionTablespaceContext extends TableOptionContext {
    TABLESPACE(): TerminalNode | undefined;
    uid(): UidContext | undefined;
    tablespaceStorage(): TablespaceStorageContext | undefined;
    constructor(ctx: TableOptionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class TableOptionUnionContext extends TableOptionContext {
    UNION(): TerminalNode;
    LR_BRACKET(): TerminalNode;
    tables(): TablesContext;
    RR_BRACKET(): TerminalNode;
    EQUAL_SYMBOL(): TerminalNode | undefined;
    constructor(ctx: TableOptionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class TablespaceStorageContext extends ParserRuleContext {
    STORAGE(): TerminalNode;
    DISK(): TerminalNode | undefined;
    MEMORY(): TerminalNode | undefined;
    DEFAULT(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class PartitionDefinitionsContext extends ParserRuleContext {
    _count: DecimalLiteralContext;
    _subCount: DecimalLiteralContext;
    PARTITION(): TerminalNode;
    BY(): TerminalNode[];
    BY(i: number): TerminalNode;
    partitionFunctionDefinition(): PartitionFunctionDefinitionContext;
    PARTITIONS(): TerminalNode | undefined;
    SUBPARTITION(): TerminalNode | undefined;
    subpartitionFunctionDefinition(): SubpartitionFunctionDefinitionContext | undefined;
    LR_BRACKET(): TerminalNode | undefined;
    partitionDefinition(): PartitionDefinitionContext[];
    partitionDefinition(i: number): PartitionDefinitionContext;
    RR_BRACKET(): TerminalNode | undefined;
    decimalLiteral(): DecimalLiteralContext[];
    decimalLiteral(i: number): DecimalLiteralContext;
    SUBPARTITIONS(): TerminalNode | undefined;
    COMMA(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class PartitionFunctionDefinitionContext extends ParserRuleContext {
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    copyFrom(ctx: PartitionFunctionDefinitionContext): void;
}
export declare class PartitionFunctionHashContext extends PartitionFunctionDefinitionContext {
    HASH(): TerminalNode;
    LR_BRACKET(): TerminalNode;
    expression(): ExpressionContext;
    RR_BRACKET(): TerminalNode;
    LINEAR(): TerminalNode | undefined;
    constructor(ctx: PartitionFunctionDefinitionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class PartitionFunctionKeyContext extends PartitionFunctionDefinitionContext {
    _algType: Token;
    KEY(): TerminalNode;
    LR_BRACKET(): TerminalNode;
    uidList(): UidListContext;
    RR_BRACKET(): TerminalNode;
    LINEAR(): TerminalNode | undefined;
    ALGORITHM(): TerminalNode | undefined;
    EQUAL_SYMBOL(): TerminalNode | undefined;
    ONE_DECIMAL(): TerminalNode | undefined;
    TWO_DECIMAL(): TerminalNode | undefined;
    constructor(ctx: PartitionFunctionDefinitionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class PartitionFunctionRangeContext extends PartitionFunctionDefinitionContext {
    RANGE(): TerminalNode;
    LR_BRACKET(): TerminalNode | undefined;
    expression(): ExpressionContext | undefined;
    RR_BRACKET(): TerminalNode | undefined;
    COLUMNS(): TerminalNode | undefined;
    uidList(): UidListContext | undefined;
    constructor(ctx: PartitionFunctionDefinitionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class PartitionFunctionListContext extends PartitionFunctionDefinitionContext {
    LIST(): TerminalNode;
    LR_BRACKET(): TerminalNode | undefined;
    expression(): ExpressionContext | undefined;
    RR_BRACKET(): TerminalNode | undefined;
    COLUMNS(): TerminalNode | undefined;
    uidList(): UidListContext | undefined;
    constructor(ctx: PartitionFunctionDefinitionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class SubpartitionFunctionDefinitionContext extends ParserRuleContext {
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    copyFrom(ctx: SubpartitionFunctionDefinitionContext): void;
}
export declare class SubPartitionFunctionHashContext extends SubpartitionFunctionDefinitionContext {
    HASH(): TerminalNode;
    LR_BRACKET(): TerminalNode;
    expression(): ExpressionContext;
    RR_BRACKET(): TerminalNode;
    LINEAR(): TerminalNode | undefined;
    constructor(ctx: SubpartitionFunctionDefinitionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class SubPartitionFunctionKeyContext extends SubpartitionFunctionDefinitionContext {
    _algType: Token;
    KEY(): TerminalNode;
    LR_BRACKET(): TerminalNode;
    uidList(): UidListContext;
    RR_BRACKET(): TerminalNode;
    LINEAR(): TerminalNode | undefined;
    ALGORITHM(): TerminalNode | undefined;
    EQUAL_SYMBOL(): TerminalNode | undefined;
    ONE_DECIMAL(): TerminalNode | undefined;
    TWO_DECIMAL(): TerminalNode | undefined;
    constructor(ctx: SubpartitionFunctionDefinitionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class PartitionDefinitionContext extends ParserRuleContext {
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    copyFrom(ctx: PartitionDefinitionContext): void;
}
export declare class PartitionComparisionContext extends PartitionDefinitionContext {
    PARTITION(): TerminalNode;
    uid(): UidContext;
    VALUES(): TerminalNode;
    LESS(): TerminalNode;
    THAN(): TerminalNode;
    LR_BRACKET(): TerminalNode | undefined;
    partitionDefinerAtom(): PartitionDefinerAtomContext[];
    partitionDefinerAtom(i: number): PartitionDefinerAtomContext;
    RR_BRACKET(): TerminalNode | undefined;
    COMMA(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    partitionOption(): PartitionOptionContext[];
    partitionOption(i: number): PartitionOptionContext;
    subpartitionDefinition(): SubpartitionDefinitionContext[];
    subpartitionDefinition(i: number): SubpartitionDefinitionContext;
    constructor(ctx: PartitionDefinitionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class PartitionListAtomContext extends PartitionDefinitionContext {
    PARTITION(): TerminalNode;
    uid(): UidContext;
    VALUES(): TerminalNode;
    IN(): TerminalNode;
    LR_BRACKET(): TerminalNode;
    partitionDefinerAtom(): PartitionDefinerAtomContext[];
    partitionDefinerAtom(i: number): PartitionDefinerAtomContext;
    RR_BRACKET(): TerminalNode;
    COMMA(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    partitionOption(): PartitionOptionContext[];
    partitionOption(i: number): PartitionOptionContext;
    subpartitionDefinition(): SubpartitionDefinitionContext[];
    subpartitionDefinition(i: number): SubpartitionDefinitionContext;
    constructor(ctx: PartitionDefinitionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class PartitionListVectorContext extends PartitionDefinitionContext {
    PARTITION(): TerminalNode;
    uid(): UidContext;
    VALUES(): TerminalNode;
    IN(): TerminalNode;
    LR_BRACKET(): TerminalNode;
    partitionDefinerVector(): PartitionDefinerVectorContext[];
    partitionDefinerVector(i: number): PartitionDefinerVectorContext;
    RR_BRACKET(): TerminalNode;
    COMMA(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    partitionOption(): PartitionOptionContext[];
    partitionOption(i: number): PartitionOptionContext;
    subpartitionDefinition(): SubpartitionDefinitionContext[];
    subpartitionDefinition(i: number): SubpartitionDefinitionContext;
    constructor(ctx: PartitionDefinitionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class PartitionSimpleContext extends PartitionDefinitionContext {
    PARTITION(): TerminalNode;
    uid(): UidContext;
    partitionOption(): PartitionOptionContext[];
    partitionOption(i: number): PartitionOptionContext;
    subpartitionDefinition(): SubpartitionDefinitionContext[];
    subpartitionDefinition(i: number): SubpartitionDefinitionContext;
    COMMA(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    constructor(ctx: PartitionDefinitionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class PartitionDefinerAtomContext extends ParserRuleContext {
    constant(): ConstantContext | undefined;
    expression(): ExpressionContext | undefined;
    MAXVALUE(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class PartitionDefinerVectorContext extends ParserRuleContext {
    LR_BRACKET(): TerminalNode;
    partitionDefinerAtom(): PartitionDefinerAtomContext[];
    partitionDefinerAtom(i: number): PartitionDefinerAtomContext;
    RR_BRACKET(): TerminalNode;
    COMMA(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class SubpartitionDefinitionContext extends ParserRuleContext {
    SUBPARTITION(): TerminalNode;
    uid(): UidContext;
    partitionOption(): PartitionOptionContext[];
    partitionOption(i: number): PartitionOptionContext;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class PartitionOptionContext extends ParserRuleContext {
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    copyFrom(ctx: PartitionOptionContext): void;
}
export declare class PartitionOptionEngineContext extends PartitionOptionContext {
    ENGINE(): TerminalNode;
    engineName(): EngineNameContext;
    STORAGE(): TerminalNode | undefined;
    EQUAL_SYMBOL(): TerminalNode | undefined;
    constructor(ctx: PartitionOptionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class PartitionOptionCommentContext extends PartitionOptionContext {
    _comment: Token;
    COMMENT(): TerminalNode;
    STRING_LITERAL(): TerminalNode;
    EQUAL_SYMBOL(): TerminalNode | undefined;
    constructor(ctx: PartitionOptionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class PartitionOptionDataDirectoryContext extends PartitionOptionContext {
    _dataDirectory: Token;
    DATA(): TerminalNode;
    DIRECTORY(): TerminalNode;
    STRING_LITERAL(): TerminalNode;
    EQUAL_SYMBOL(): TerminalNode | undefined;
    constructor(ctx: PartitionOptionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class PartitionOptionIndexDirectoryContext extends PartitionOptionContext {
    _indexDirectory: Token;
    INDEX(): TerminalNode;
    DIRECTORY(): TerminalNode;
    STRING_LITERAL(): TerminalNode;
    EQUAL_SYMBOL(): TerminalNode | undefined;
    constructor(ctx: PartitionOptionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class PartitionOptionMaxRowsContext extends PartitionOptionContext {
    _maxRows: DecimalLiteralContext;
    MAX_ROWS(): TerminalNode;
    decimalLiteral(): DecimalLiteralContext;
    EQUAL_SYMBOL(): TerminalNode | undefined;
    constructor(ctx: PartitionOptionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class PartitionOptionMinRowsContext extends PartitionOptionContext {
    _minRows: DecimalLiteralContext;
    MIN_ROWS(): TerminalNode;
    decimalLiteral(): DecimalLiteralContext;
    EQUAL_SYMBOL(): TerminalNode | undefined;
    constructor(ctx: PartitionOptionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class PartitionOptionTablespaceContext extends PartitionOptionContext {
    _tablespace: UidContext;
    TABLESPACE(): TerminalNode;
    uid(): UidContext;
    EQUAL_SYMBOL(): TerminalNode | undefined;
    constructor(ctx: PartitionOptionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class PartitionOptionNodeGroupContext extends PartitionOptionContext {
    _nodegroup: UidContext;
    NODEGROUP(): TerminalNode;
    uid(): UidContext;
    EQUAL_SYMBOL(): TerminalNode | undefined;
    constructor(ctx: PartitionOptionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class AlterDatabaseContext extends ParserRuleContext {
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    copyFrom(ctx: AlterDatabaseContext): void;
}
export declare class AlterSimpleDatabaseContext extends AlterDatabaseContext {
    _dbFormat: Token;
    ALTER(): TerminalNode;
    DATABASE(): TerminalNode | undefined;
    SCHEMA(): TerminalNode | undefined;
    uid(): UidContext | undefined;
    createDatabaseOption(): CreateDatabaseOptionContext[];
    createDatabaseOption(i: number): CreateDatabaseOptionContext;
    constructor(ctx: AlterDatabaseContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class AlterUpgradeNameContext extends AlterDatabaseContext {
    _dbFormat: Token;
    ALTER(): TerminalNode;
    uid(): UidContext;
    UPGRADE(): TerminalNode;
    DATA(): TerminalNode;
    DIRECTORY(): TerminalNode;
    NAME(): TerminalNode;
    DATABASE(): TerminalNode | undefined;
    SCHEMA(): TerminalNode | undefined;
    constructor(ctx: AlterDatabaseContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class AlterEventContext extends ParserRuleContext {
    ALTER(): TerminalNode;
    EVENT(): TerminalNode;
    fullId(): FullIdContext[];
    fullId(i: number): FullIdContext;
    ownerStatement(): OwnerStatementContext | undefined;
    ON(): TerminalNode[];
    ON(i: number): TerminalNode;
    SCHEDULE(): TerminalNode | undefined;
    scheduleExpression(): ScheduleExpressionContext | undefined;
    COMPLETION(): TerminalNode | undefined;
    PRESERVE(): TerminalNode | undefined;
    RENAME(): TerminalNode | undefined;
    TO(): TerminalNode | undefined;
    enableType(): EnableTypeContext | undefined;
    COMMENT(): TerminalNode | undefined;
    STRING_LITERAL(): TerminalNode | undefined;
    DO(): TerminalNode | undefined;
    routineBody(): RoutineBodyContext | undefined;
    NOT(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class AlterFunctionContext extends ParserRuleContext {
    ALTER(): TerminalNode;
    FUNCTION(): TerminalNode;
    fullId(): FullIdContext;
    routineOption(): RoutineOptionContext[];
    routineOption(i: number): RoutineOptionContext;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class AlterInstanceContext extends ParserRuleContext {
    ALTER(): TerminalNode;
    INSTANCE(): TerminalNode;
    ROTATE(): TerminalNode;
    INNODB(): TerminalNode;
    MASTER(): TerminalNode;
    KEY(): TerminalNode;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class AlterLogfileGroupContext extends ParserRuleContext {
    ALTER(): TerminalNode;
    LOGFILE(): TerminalNode;
    GROUP(): TerminalNode;
    uid(): UidContext;
    ADD(): TerminalNode;
    UNDOFILE(): TerminalNode;
    STRING_LITERAL(): TerminalNode;
    ENGINE(): TerminalNode;
    engineName(): EngineNameContext;
    INITIAL_SIZE(): TerminalNode | undefined;
    fileSizeLiteral(): FileSizeLiteralContext | undefined;
    WAIT(): TerminalNode | undefined;
    EQUAL_SYMBOL(): TerminalNode[];
    EQUAL_SYMBOL(i: number): TerminalNode;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class AlterProcedureContext extends ParserRuleContext {
    ALTER(): TerminalNode;
    PROCEDURE(): TerminalNode;
    fullId(): FullIdContext;
    routineOption(): RoutineOptionContext[];
    routineOption(i: number): RoutineOptionContext;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class AlterServerContext extends ParserRuleContext {
    ALTER(): TerminalNode;
    SERVER(): TerminalNode;
    uid(): UidContext;
    OPTIONS(): TerminalNode;
    LR_BRACKET(): TerminalNode;
    serverOption(): ServerOptionContext[];
    serverOption(i: number): ServerOptionContext;
    RR_BRACKET(): TerminalNode;
    COMMA(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class AlterTableContext extends ParserRuleContext {
    _intimeAction: Token;
    ALTER(): TerminalNode;
    TABLE(): TerminalNode;
    tableName(): TableNameContext;
    IGNORE(): TerminalNode | undefined;
    alterSpecification(): AlterSpecificationContext[];
    alterSpecification(i: number): AlterSpecificationContext;
    partitionDefinitions(): PartitionDefinitionsContext | undefined;
    ONLINE(): TerminalNode | undefined;
    OFFLINE(): TerminalNode | undefined;
    COMMA(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class AlterTablespaceContext extends ParserRuleContext {
    _objectAction: Token;
    ALTER(): TerminalNode;
    TABLESPACE(): TerminalNode;
    uid(): UidContext;
    DATAFILE(): TerminalNode;
    STRING_LITERAL(): TerminalNode;
    ENGINE(): TerminalNode;
    engineName(): EngineNameContext;
    ADD(): TerminalNode | undefined;
    DROP(): TerminalNode | undefined;
    INITIAL_SIZE(): TerminalNode | undefined;
    EQUAL_SYMBOL(): TerminalNode[];
    EQUAL_SYMBOL(i: number): TerminalNode;
    fileSizeLiteral(): FileSizeLiteralContext | undefined;
    WAIT(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class AlterViewContext extends ParserRuleContext {
    _algType: Token;
    _secContext: Token;
    _checkOpt: Token;
    ALTER(): TerminalNode;
    VIEW(): TerminalNode;
    fullId(): FullIdContext;
    AS(): TerminalNode;
    selectStatement(): SelectStatementContext;
    ALGORITHM(): TerminalNode | undefined;
    EQUAL_SYMBOL(): TerminalNode | undefined;
    ownerStatement(): OwnerStatementContext | undefined;
    SQL(): TerminalNode | undefined;
    SECURITY(): TerminalNode | undefined;
    LR_BRACKET(): TerminalNode | undefined;
    uidList(): UidListContext | undefined;
    RR_BRACKET(): TerminalNode | undefined;
    WITH(): TerminalNode | undefined;
    CHECK(): TerminalNode | undefined;
    OPTION(): TerminalNode | undefined;
    UNDEFINED(): TerminalNode | undefined;
    MERGE(): TerminalNode | undefined;
    TEMPTABLE(): TerminalNode | undefined;
    DEFINER(): TerminalNode | undefined;
    INVOKER(): TerminalNode | undefined;
    CASCADED(): TerminalNode | undefined;
    LOCAL(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class AlterSpecificationContext extends ParserRuleContext {
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    copyFrom(ctx: AlterSpecificationContext): void;
}
export declare class AlterByTableOptionContext extends AlterSpecificationContext {
    tableOption(): TableOptionContext[];
    tableOption(i: number): TableOptionContext;
    COMMA(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    constructor(ctx: AlterSpecificationContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class AlterByAddColumnContext extends AlterSpecificationContext {
    ADD(): TerminalNode;
    uid(): UidContext[];
    uid(i: number): UidContext;
    columnDefinition(): ColumnDefinitionContext;
    COLUMN(): TerminalNode | undefined;
    FIRST(): TerminalNode | undefined;
    AFTER(): TerminalNode | undefined;
    constructor(ctx: AlterSpecificationContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class AlterByAddColumnsContext extends AlterSpecificationContext {
    ADD(): TerminalNode;
    LR_BRACKET(): TerminalNode;
    uid(): UidContext[];
    uid(i: number): UidContext;
    columnDefinition(): ColumnDefinitionContext[];
    columnDefinition(i: number): ColumnDefinitionContext;
    RR_BRACKET(): TerminalNode;
    COLUMN(): TerminalNode | undefined;
    COMMA(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    constructor(ctx: AlterSpecificationContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class AlterByAddIndexContext extends AlterSpecificationContext {
    _indexFormat: Token;
    ADD(): TerminalNode;
    indexColumnNames(): IndexColumnNamesContext;
    INDEX(): TerminalNode | undefined;
    KEY(): TerminalNode | undefined;
    uid(): UidContext | undefined;
    indexType(): IndexTypeContext | undefined;
    indexOption(): IndexOptionContext[];
    indexOption(i: number): IndexOptionContext;
    constructor(ctx: AlterSpecificationContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class AlterByAddPrimaryKeyContext extends AlterSpecificationContext {
    _name: UidContext;
    _index: UidContext;
    ADD(): TerminalNode;
    PRIMARY(): TerminalNode;
    KEY(): TerminalNode;
    indexColumnNames(): IndexColumnNamesContext;
    CONSTRAINT(): TerminalNode | undefined;
    indexType(): IndexTypeContext | undefined;
    indexOption(): IndexOptionContext[];
    indexOption(i: number): IndexOptionContext;
    uid(): UidContext[];
    uid(i: number): UidContext;
    constructor(ctx: AlterSpecificationContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class AlterByAddUniqueKeyContext extends AlterSpecificationContext {
    _name: UidContext;
    _indexFormat: Token;
    _indexName: UidContext;
    ADD(): TerminalNode;
    UNIQUE(): TerminalNode;
    indexColumnNames(): IndexColumnNamesContext;
    CONSTRAINT(): TerminalNode | undefined;
    indexType(): IndexTypeContext | undefined;
    indexOption(): IndexOptionContext[];
    indexOption(i: number): IndexOptionContext;
    uid(): UidContext[];
    uid(i: number): UidContext;
    INDEX(): TerminalNode | undefined;
    KEY(): TerminalNode | undefined;
    constructor(ctx: AlterSpecificationContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class AlterByAddSpecialIndexContext extends AlterSpecificationContext {
    _keyType: Token;
    _indexFormat: Token;
    ADD(): TerminalNode;
    indexColumnNames(): IndexColumnNamesContext;
    FULLTEXT(): TerminalNode | undefined;
    SPATIAL(): TerminalNode | undefined;
    uid(): UidContext | undefined;
    indexOption(): IndexOptionContext[];
    indexOption(i: number): IndexOptionContext;
    INDEX(): TerminalNode | undefined;
    KEY(): TerminalNode | undefined;
    constructor(ctx: AlterSpecificationContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class AlterByAddForeignKeyContext extends AlterSpecificationContext {
    _name: UidContext;
    _indexName: UidContext;
    ADD(): TerminalNode;
    FOREIGN(): TerminalNode;
    KEY(): TerminalNode;
    indexColumnNames(): IndexColumnNamesContext;
    referenceDefinition(): ReferenceDefinitionContext;
    CONSTRAINT(): TerminalNode | undefined;
    uid(): UidContext[];
    uid(i: number): UidContext;
    constructor(ctx: AlterSpecificationContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class AlterByAddCheckTableConstraintContext extends AlterSpecificationContext {
    _name: UidContext;
    ADD(): TerminalNode;
    CHECK(): TerminalNode;
    LR_BRACKET(): TerminalNode;
    expression(): ExpressionContext;
    RR_BRACKET(): TerminalNode;
    CONSTRAINT(): TerminalNode | undefined;
    uid(): UidContext | undefined;
    constructor(ctx: AlterSpecificationContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class AlterBySetAlgorithmContext extends AlterSpecificationContext {
    _algType: Token;
    ALGORITHM(): TerminalNode;
    DEFAULT(): TerminalNode | undefined;
    INPLACE(): TerminalNode | undefined;
    COPY(): TerminalNode | undefined;
    EQUAL_SYMBOL(): TerminalNode | undefined;
    constructor(ctx: AlterSpecificationContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class AlterByChangeDefaultContext extends AlterSpecificationContext {
    ALTER(): TerminalNode;
    uid(): UidContext;
    SET(): TerminalNode | undefined;
    DEFAULT(): TerminalNode | undefined;
    defaultValue(): DefaultValueContext | undefined;
    DROP(): TerminalNode | undefined;
    COLUMN(): TerminalNode | undefined;
    constructor(ctx: AlterSpecificationContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class AlterByChangeColumnContext extends AlterSpecificationContext {
    _oldColumn: UidContext;
    _newColumn: UidContext;
    _afterColumn: UidContext;
    CHANGE(): TerminalNode;
    columnDefinition(): ColumnDefinitionContext;
    uid(): UidContext[];
    uid(i: number): UidContext;
    COLUMN(): TerminalNode | undefined;
    FIRST(): TerminalNode | undefined;
    AFTER(): TerminalNode | undefined;
    constructor(ctx: AlterSpecificationContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class AlterByRenameColumnContext extends AlterSpecificationContext {
    _oldColumn: UidContext;
    _newColumn: UidContext;
    RENAME(): TerminalNode;
    COLUMN(): TerminalNode;
    TO(): TerminalNode;
    uid(): UidContext[];
    uid(i: number): UidContext;
    constructor(ctx: AlterSpecificationContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class AlterByLockContext extends AlterSpecificationContext {
    _lockType: Token;
    LOCK(): TerminalNode;
    DEFAULT(): TerminalNode | undefined;
    NONE(): TerminalNode | undefined;
    SHARED(): TerminalNode | undefined;
    EXCLUSIVE(): TerminalNode | undefined;
    EQUAL_SYMBOL(): TerminalNode | undefined;
    constructor(ctx: AlterSpecificationContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class AlterByModifyColumnContext extends AlterSpecificationContext {
    MODIFY(): TerminalNode;
    uid(): UidContext[];
    uid(i: number): UidContext;
    columnDefinition(): ColumnDefinitionContext;
    COLUMN(): TerminalNode | undefined;
    FIRST(): TerminalNode | undefined;
    AFTER(): TerminalNode | undefined;
    constructor(ctx: AlterSpecificationContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class AlterByDropColumnContext extends AlterSpecificationContext {
    DROP(): TerminalNode;
    uid(): UidContext;
    COLUMN(): TerminalNode | undefined;
    RESTRICT(): TerminalNode | undefined;
    constructor(ctx: AlterSpecificationContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class AlterByDropPrimaryKeyContext extends AlterSpecificationContext {
    DROP(): TerminalNode;
    PRIMARY(): TerminalNode;
    KEY(): TerminalNode;
    constructor(ctx: AlterSpecificationContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class AlterByRenameIndexContext extends AlterSpecificationContext {
    _indexFormat: Token;
    RENAME(): TerminalNode;
    uid(): UidContext[];
    uid(i: number): UidContext;
    TO(): TerminalNode;
    INDEX(): TerminalNode | undefined;
    KEY(): TerminalNode | undefined;
    constructor(ctx: AlterSpecificationContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class AlterByAlterIndexVisibilityContext extends AlterSpecificationContext {
    ALTER(): TerminalNode;
    INDEX(): TerminalNode;
    uid(): UidContext;
    VISIBLE(): TerminalNode | undefined;
    INVISIBLE(): TerminalNode | undefined;
    constructor(ctx: AlterSpecificationContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class AlterByDropIndexContext extends AlterSpecificationContext {
    _indexFormat: Token;
    DROP(): TerminalNode;
    uid(): UidContext;
    INDEX(): TerminalNode | undefined;
    KEY(): TerminalNode | undefined;
    constructor(ctx: AlterSpecificationContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class AlterByDropForeignKeyContext extends AlterSpecificationContext {
    DROP(): TerminalNode;
    FOREIGN(): TerminalNode;
    KEY(): TerminalNode;
    uid(): UidContext;
    constructor(ctx: AlterSpecificationContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class AlterByDisableKeysContext extends AlterSpecificationContext {
    DISABLE(): TerminalNode;
    KEYS(): TerminalNode;
    constructor(ctx: AlterSpecificationContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class AlterByEnableKeysContext extends AlterSpecificationContext {
    ENABLE(): TerminalNode;
    KEYS(): TerminalNode;
    constructor(ctx: AlterSpecificationContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class AlterByRenameContext extends AlterSpecificationContext {
    _renameFormat: Token;
    RENAME(): TerminalNode;
    uid(): UidContext | undefined;
    fullId(): FullIdContext | undefined;
    TO(): TerminalNode | undefined;
    AS(): TerminalNode | undefined;
    constructor(ctx: AlterSpecificationContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class AlterByOrderContext extends AlterSpecificationContext {
    ORDER(): TerminalNode;
    BY(): TerminalNode;
    uidList(): UidListContext;
    constructor(ctx: AlterSpecificationContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class AlterByConvertCharsetContext extends AlterSpecificationContext {
    CONVERT(): TerminalNode;
    TO(): TerminalNode;
    CHARACTER(): TerminalNode;
    SET(): TerminalNode;
    charsetName(): CharsetNameContext;
    COLLATE(): TerminalNode | undefined;
    collationName(): CollationNameContext | undefined;
    constructor(ctx: AlterSpecificationContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class AlterByDefaultCharsetContext extends AlterSpecificationContext {
    CHARACTER(): TerminalNode;
    SET(): TerminalNode;
    EQUAL_SYMBOL(): TerminalNode[];
    EQUAL_SYMBOL(i: number): TerminalNode;
    charsetName(): CharsetNameContext;
    DEFAULT(): TerminalNode | undefined;
    COLLATE(): TerminalNode | undefined;
    collationName(): CollationNameContext | undefined;
    constructor(ctx: AlterSpecificationContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class AlterByDiscardTablespaceContext extends AlterSpecificationContext {
    DISCARD(): TerminalNode;
    TABLESPACE(): TerminalNode;
    constructor(ctx: AlterSpecificationContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class AlterByImportTablespaceContext extends AlterSpecificationContext {
    IMPORT(): TerminalNode;
    TABLESPACE(): TerminalNode;
    constructor(ctx: AlterSpecificationContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class AlterByForceContext extends AlterSpecificationContext {
    FORCE(): TerminalNode;
    constructor(ctx: AlterSpecificationContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class AlterByValidateContext extends AlterSpecificationContext {
    _validationFormat: Token;
    VALIDATION(): TerminalNode;
    WITHOUT(): TerminalNode | undefined;
    WITH(): TerminalNode | undefined;
    constructor(ctx: AlterSpecificationContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class AlterByAddPartitionContext extends AlterSpecificationContext {
    ADD(): TerminalNode;
    PARTITION(): TerminalNode;
    LR_BRACKET(): TerminalNode;
    partitionDefinition(): PartitionDefinitionContext[];
    partitionDefinition(i: number): PartitionDefinitionContext;
    RR_BRACKET(): TerminalNode;
    COMMA(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    constructor(ctx: AlterSpecificationContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class AlterByDropPartitionContext extends AlterSpecificationContext {
    DROP(): TerminalNode;
    PARTITION(): TerminalNode;
    uidList(): UidListContext;
    constructor(ctx: AlterSpecificationContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class AlterByDiscardPartitionContext extends AlterSpecificationContext {
    DISCARD(): TerminalNode;
    PARTITION(): TerminalNode;
    TABLESPACE(): TerminalNode;
    uidList(): UidListContext | undefined;
    ALL(): TerminalNode | undefined;
    constructor(ctx: AlterSpecificationContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class AlterByImportPartitionContext extends AlterSpecificationContext {
    IMPORT(): TerminalNode;
    PARTITION(): TerminalNode;
    TABLESPACE(): TerminalNode;
    uidList(): UidListContext | undefined;
    ALL(): TerminalNode | undefined;
    constructor(ctx: AlterSpecificationContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class AlterByTruncatePartitionContext extends AlterSpecificationContext {
    TRUNCATE(): TerminalNode;
    PARTITION(): TerminalNode;
    uidList(): UidListContext | undefined;
    ALL(): TerminalNode | undefined;
    constructor(ctx: AlterSpecificationContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class AlterByCoalescePartitionContext extends AlterSpecificationContext {
    COALESCE(): TerminalNode;
    PARTITION(): TerminalNode;
    decimalLiteral(): DecimalLiteralContext;
    constructor(ctx: AlterSpecificationContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class AlterByReorganizePartitionContext extends AlterSpecificationContext {
    REORGANIZE(): TerminalNode;
    PARTITION(): TerminalNode;
    uidList(): UidListContext;
    INTO(): TerminalNode;
    LR_BRACKET(): TerminalNode;
    partitionDefinition(): PartitionDefinitionContext[];
    partitionDefinition(i: number): PartitionDefinitionContext;
    RR_BRACKET(): TerminalNode;
    COMMA(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    constructor(ctx: AlterSpecificationContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class AlterByExchangePartitionContext extends AlterSpecificationContext {
    _validationFormat: Token;
    EXCHANGE(): TerminalNode;
    PARTITION(): TerminalNode;
    uid(): UidContext;
    WITH(): TerminalNode[];
    WITH(i: number): TerminalNode;
    TABLE(): TerminalNode;
    tableName(): TableNameContext;
    VALIDATION(): TerminalNode | undefined;
    WITHOUT(): TerminalNode | undefined;
    constructor(ctx: AlterSpecificationContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class AlterByAnalyzePartitionContext extends AlterSpecificationContext {
    ANALYZE(): TerminalNode;
    PARTITION(): TerminalNode;
    uidList(): UidListContext | undefined;
    ALL(): TerminalNode | undefined;
    constructor(ctx: AlterSpecificationContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class AlterByCheckPartitionContext extends AlterSpecificationContext {
    CHECK(): TerminalNode;
    PARTITION(): TerminalNode;
    uidList(): UidListContext | undefined;
    ALL(): TerminalNode | undefined;
    constructor(ctx: AlterSpecificationContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class AlterByOptimizePartitionContext extends AlterSpecificationContext {
    OPTIMIZE(): TerminalNode;
    PARTITION(): TerminalNode;
    uidList(): UidListContext | undefined;
    ALL(): TerminalNode | undefined;
    constructor(ctx: AlterSpecificationContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class AlterByRebuildPartitionContext extends AlterSpecificationContext {
    REBUILD(): TerminalNode;
    PARTITION(): TerminalNode;
    uidList(): UidListContext | undefined;
    ALL(): TerminalNode | undefined;
    constructor(ctx: AlterSpecificationContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class AlterByRepairPartitionContext extends AlterSpecificationContext {
    REPAIR(): TerminalNode;
    PARTITION(): TerminalNode;
    uidList(): UidListContext | undefined;
    ALL(): TerminalNode | undefined;
    constructor(ctx: AlterSpecificationContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class AlterByRemovePartitioningContext extends AlterSpecificationContext {
    REMOVE(): TerminalNode;
    PARTITIONING(): TerminalNode;
    constructor(ctx: AlterSpecificationContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class AlterByUpgradePartitioningContext extends AlterSpecificationContext {
    UPGRADE(): TerminalNode;
    PARTITIONING(): TerminalNode;
    constructor(ctx: AlterSpecificationContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class DropDatabaseContext extends ParserRuleContext {
    _dbFormat: Token;
    DROP(): TerminalNode;
    uid(): UidContext;
    DATABASE(): TerminalNode | undefined;
    SCHEMA(): TerminalNode | undefined;
    ifExists(): IfExistsContext | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class DropEventContext extends ParserRuleContext {
    DROP(): TerminalNode;
    EVENT(): TerminalNode;
    fullId(): FullIdContext;
    ifExists(): IfExistsContext | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class DropIndexContext extends ParserRuleContext {
    _intimeAction: Token;
    _algType: Token;
    _lockType: Token;
    DROP(): TerminalNode;
    INDEX(): TerminalNode;
    uid(): UidContext;
    ON(): TerminalNode;
    tableName(): TableNameContext;
    ALGORITHM(): TerminalNode[];
    ALGORITHM(i: number): TerminalNode;
    LOCK(): TerminalNode[];
    LOCK(i: number): TerminalNode;
    ONLINE(): TerminalNode | undefined;
    OFFLINE(): TerminalNode | undefined;
    DEFAULT(): TerminalNode[];
    DEFAULT(i: number): TerminalNode;
    INPLACE(): TerminalNode[];
    INPLACE(i: number): TerminalNode;
    COPY(): TerminalNode[];
    COPY(i: number): TerminalNode;
    NONE(): TerminalNode[];
    NONE(i: number): TerminalNode;
    SHARED(): TerminalNode[];
    SHARED(i: number): TerminalNode;
    EXCLUSIVE(): TerminalNode[];
    EXCLUSIVE(i: number): TerminalNode;
    EQUAL_SYMBOL(): TerminalNode[];
    EQUAL_SYMBOL(i: number): TerminalNode;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class DropLogfileGroupContext extends ParserRuleContext {
    DROP(): TerminalNode;
    LOGFILE(): TerminalNode;
    GROUP(): TerminalNode;
    uid(): UidContext;
    ENGINE(): TerminalNode;
    EQUAL_SYMBOL(): TerminalNode;
    engineName(): EngineNameContext;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class DropProcedureContext extends ParserRuleContext {
    DROP(): TerminalNode;
    PROCEDURE(): TerminalNode;
    fullId(): FullIdContext;
    ifExists(): IfExistsContext | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class DropFunctionContext extends ParserRuleContext {
    DROP(): TerminalNode;
    FUNCTION(): TerminalNode;
    fullId(): FullIdContext;
    ifExists(): IfExistsContext | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class DropServerContext extends ParserRuleContext {
    DROP(): TerminalNode;
    SERVER(): TerminalNode;
    uid(): UidContext;
    ifExists(): IfExistsContext | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class DropTableContext extends ParserRuleContext {
    _dropType: Token;
    DROP(): TerminalNode;
    TABLE(): TerminalNode;
    tables(): TablesContext;
    TEMPORARY(): TerminalNode | undefined;
    ifExists(): IfExistsContext | undefined;
    RESTRICT(): TerminalNode | undefined;
    CASCADE(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class DropTablespaceContext extends ParserRuleContext {
    DROP(): TerminalNode;
    TABLESPACE(): TerminalNode;
    uid(): UidContext;
    ENGINE(): TerminalNode | undefined;
    engineName(): EngineNameContext | undefined;
    EQUAL_SYMBOL(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class DropTriggerContext extends ParserRuleContext {
    DROP(): TerminalNode;
    TRIGGER(): TerminalNode;
    fullId(): FullIdContext;
    ifExists(): IfExistsContext | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class DropViewContext extends ParserRuleContext {
    _dropType: Token;
    DROP(): TerminalNode;
    VIEW(): TerminalNode;
    fullId(): FullIdContext[];
    fullId(i: number): FullIdContext;
    ifExists(): IfExistsContext | undefined;
    COMMA(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    RESTRICT(): TerminalNode | undefined;
    CASCADE(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class RenameTableContext extends ParserRuleContext {
    RENAME(): TerminalNode;
    TABLE(): TerminalNode;
    renameTableClause(): RenameTableClauseContext[];
    renameTableClause(i: number): RenameTableClauseContext;
    COMMA(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class RenameTableClauseContext extends ParserRuleContext {
    tableName(): TableNameContext[];
    tableName(i: number): TableNameContext;
    TO(): TerminalNode;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class TruncateTableContext extends ParserRuleContext {
    TRUNCATE(): TerminalNode;
    tableName(): TableNameContext;
    TABLE(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class CallStatementContext extends ParserRuleContext {
    CALL(): TerminalNode;
    fullId(): FullIdContext;
    LR_BRACKET(): TerminalNode | undefined;
    RR_BRACKET(): TerminalNode | undefined;
    constants(): ConstantsContext | undefined;
    expressions(): ExpressionsContext | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class DeleteStatementContext extends ParserRuleContext {
    singleDeleteStatement(): SingleDeleteStatementContext | undefined;
    multipleDeleteStatement(): MultipleDeleteStatementContext | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class DoStatementContext extends ParserRuleContext {
    DO(): TerminalNode;
    expressions(): ExpressionsContext;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class HandlerStatementContext extends ParserRuleContext {
    handlerOpenStatement(): HandlerOpenStatementContext | undefined;
    handlerReadIndexStatement(): HandlerReadIndexStatementContext | undefined;
    handlerReadStatement(): HandlerReadStatementContext | undefined;
    handlerCloseStatement(): HandlerCloseStatementContext | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class InsertStatementContext extends ParserRuleContext {
    _priority: Token;
    _partitions: UidListContext;
    _columns: UidListContext;
    _setFirst: UpdatedElementContext;
    _updatedElement: UpdatedElementContext;
    _setElements: UpdatedElementContext[];
    _duplicatedFirst: UpdatedElementContext;
    _duplicatedElements: UpdatedElementContext[];
    INSERT(): TerminalNode;
    tableName(): TableNameContext;
    insertStatementValue(): InsertStatementValueContext | undefined;
    SET(): TerminalNode | undefined;
    IGNORE(): TerminalNode | undefined;
    INTO(): TerminalNode | undefined;
    PARTITION(): TerminalNode | undefined;
    LR_BRACKET(): TerminalNode[];
    LR_BRACKET(i: number): TerminalNode;
    RR_BRACKET(): TerminalNode[];
    RR_BRACKET(i: number): TerminalNode;
    updatedElement(): UpdatedElementContext[];
    updatedElement(i: number): UpdatedElementContext;
    ON(): TerminalNode | undefined;
    DUPLICATE(): TerminalNode | undefined;
    KEY(): TerminalNode | undefined;
    UPDATE(): TerminalNode | undefined;
    LOW_PRIORITY(): TerminalNode | undefined;
    DELAYED(): TerminalNode | undefined;
    HIGH_PRIORITY(): TerminalNode | undefined;
    COMMA(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    uidList(): UidListContext[];
    uidList(i: number): UidListContext;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class LoadDataStatementContext extends ParserRuleContext {
    _priority: Token;
    _filename: Token;
    _violation: Token;
    _charset: CharsetNameContext;
    _fieldsFormat: Token;
    _linesFormat: Token;
    LOAD(): TerminalNode;
    DATA(): TerminalNode;
    INFILE(): TerminalNode;
    INTO(): TerminalNode;
    TABLE(): TerminalNode;
    tableName(): TableNameContext;
    STRING_LITERAL(): TerminalNode;
    LOCAL(): TerminalNode | undefined;
    PARTITION(): TerminalNode | undefined;
    LR_BRACKET(): TerminalNode[];
    LR_BRACKET(i: number): TerminalNode;
    uidList(): UidListContext | undefined;
    RR_BRACKET(): TerminalNode[];
    RR_BRACKET(i: number): TerminalNode;
    CHARACTER(): TerminalNode | undefined;
    SET(): TerminalNode[];
    SET(i: number): TerminalNode;
    LINES(): TerminalNode[];
    LINES(i: number): TerminalNode;
    IGNORE(): TerminalNode[];
    IGNORE(i: number): TerminalNode;
    decimalLiteral(): DecimalLiteralContext | undefined;
    assignmentField(): AssignmentFieldContext[];
    assignmentField(i: number): AssignmentFieldContext;
    updatedElement(): UpdatedElementContext[];
    updatedElement(i: number): UpdatedElementContext;
    charsetName(): CharsetNameContext | undefined;
    LOW_PRIORITY(): TerminalNode | undefined;
    CONCURRENT(): TerminalNode | undefined;
    REPLACE(): TerminalNode | undefined;
    FIELDS(): TerminalNode | undefined;
    COLUMNS(): TerminalNode | undefined;
    ROWS(): TerminalNode | undefined;
    selectFieldsInto(): SelectFieldsIntoContext[];
    selectFieldsInto(i: number): SelectFieldsIntoContext;
    selectLinesInto(): SelectLinesIntoContext[];
    selectLinesInto(i: number): SelectLinesIntoContext;
    COMMA(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class LoadXmlStatementContext extends ParserRuleContext {
    _priority: Token;
    _filename: Token;
    _violation: Token;
    _charset: CharsetNameContext;
    _tag: Token;
    _linesFormat: Token;
    LOAD(): TerminalNode;
    XML(): TerminalNode;
    INFILE(): TerminalNode;
    INTO(): TerminalNode;
    TABLE(): TerminalNode;
    tableName(): TableNameContext;
    STRING_LITERAL(): TerminalNode[];
    STRING_LITERAL(i: number): TerminalNode;
    LOCAL(): TerminalNode | undefined;
    CHARACTER(): TerminalNode | undefined;
    SET(): TerminalNode[];
    SET(i: number): TerminalNode;
    ROWS(): TerminalNode[];
    ROWS(i: number): TerminalNode;
    IDENTIFIED(): TerminalNode | undefined;
    BY(): TerminalNode | undefined;
    LESS_SYMBOL(): TerminalNode | undefined;
    GREATER_SYMBOL(): TerminalNode | undefined;
    IGNORE(): TerminalNode[];
    IGNORE(i: number): TerminalNode;
    decimalLiteral(): DecimalLiteralContext | undefined;
    LR_BRACKET(): TerminalNode | undefined;
    assignmentField(): AssignmentFieldContext[];
    assignmentField(i: number): AssignmentFieldContext;
    RR_BRACKET(): TerminalNode | undefined;
    updatedElement(): UpdatedElementContext[];
    updatedElement(i: number): UpdatedElementContext;
    charsetName(): CharsetNameContext | undefined;
    LOW_PRIORITY(): TerminalNode | undefined;
    CONCURRENT(): TerminalNode | undefined;
    REPLACE(): TerminalNode | undefined;
    LINES(): TerminalNode | undefined;
    COMMA(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class ReplaceStatementContext extends ParserRuleContext {
    _priority: Token;
    _partitions: UidListContext;
    _columns: UidListContext;
    _setFirst: UpdatedElementContext;
    _updatedElement: UpdatedElementContext;
    _setElements: UpdatedElementContext[];
    REPLACE(): TerminalNode;
    tableName(): TableNameContext;
    insertStatementValue(): InsertStatementValueContext | undefined;
    SET(): TerminalNode | undefined;
    INTO(): TerminalNode | undefined;
    PARTITION(): TerminalNode | undefined;
    LR_BRACKET(): TerminalNode[];
    LR_BRACKET(i: number): TerminalNode;
    RR_BRACKET(): TerminalNode[];
    RR_BRACKET(i: number): TerminalNode;
    updatedElement(): UpdatedElementContext[];
    updatedElement(i: number): UpdatedElementContext;
    uidList(): UidListContext[];
    uidList(i: number): UidListContext;
    LOW_PRIORITY(): TerminalNode | undefined;
    DELAYED(): TerminalNode | undefined;
    COMMA(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class SelectStatementContext extends ParserRuleContext {
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    copyFrom(ctx: SelectStatementContext): void;
}
export declare class SimpleSelectContext extends SelectStatementContext {
    querySpecification(): QuerySpecificationContext;
    lockClause(): LockClauseContext | undefined;
    constructor(ctx: SelectStatementContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class ParenthesisSelectContext extends SelectStatementContext {
    queryExpression(): QueryExpressionContext;
    lockClause(): LockClauseContext | undefined;
    constructor(ctx: SelectStatementContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class UnionSelectContext extends SelectStatementContext {
    _unionType: Token;
    querySpecificationNointo(): QuerySpecificationNointoContext;
    unionStatement(): UnionStatementContext[];
    unionStatement(i: number): UnionStatementContext;
    UNION(): TerminalNode | undefined;
    orderByClause(): OrderByClauseContext | undefined;
    limitClause(): LimitClauseContext | undefined;
    lockClause(): LockClauseContext | undefined;
    querySpecification(): QuerySpecificationContext | undefined;
    queryExpression(): QueryExpressionContext | undefined;
    ALL(): TerminalNode | undefined;
    DISTINCT(): TerminalNode | undefined;
    constructor(ctx: SelectStatementContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class UnionParenthesisSelectContext extends SelectStatementContext {
    _unionType: Token;
    queryExpressionNointo(): QueryExpressionNointoContext;
    unionParenthesis(): UnionParenthesisContext[];
    unionParenthesis(i: number): UnionParenthesisContext;
    UNION(): TerminalNode | undefined;
    queryExpression(): QueryExpressionContext | undefined;
    orderByClause(): OrderByClauseContext | undefined;
    limitClause(): LimitClauseContext | undefined;
    lockClause(): LockClauseContext | undefined;
    ALL(): TerminalNode | undefined;
    DISTINCT(): TerminalNode | undefined;
    constructor(ctx: SelectStatementContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class UpdateStatementContext extends ParserRuleContext {
    singleUpdateStatement(): SingleUpdateStatementContext | undefined;
    multipleUpdateStatement(): MultipleUpdateStatementContext | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class InsertStatementValueContext extends ParserRuleContext {
    _insertFormat: Token;
    selectStatement(): SelectStatementContext | undefined;
    LR_BRACKET(): TerminalNode[];
    LR_BRACKET(i: number): TerminalNode;
    RR_BRACKET(): TerminalNode[];
    RR_BRACKET(i: number): TerminalNode;
    VALUES(): TerminalNode | undefined;
    VALUE(): TerminalNode | undefined;
    expressionsWithDefaults(): ExpressionsWithDefaultsContext[];
    expressionsWithDefaults(i: number): ExpressionsWithDefaultsContext;
    COMMA(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class UpdatedElementContext extends ParserRuleContext {
    fullColumnName(): FullColumnNameContext;
    EQUAL_SYMBOL(): TerminalNode;
    expression(): ExpressionContext | undefined;
    DEFAULT(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class AssignmentFieldContext extends ParserRuleContext {
    uid(): UidContext | undefined;
    LOCAL_ID(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class LockClauseContext extends ParserRuleContext {
    FOR(): TerminalNode | undefined;
    UPDATE(): TerminalNode | undefined;
    LOCK(): TerminalNode | undefined;
    IN(): TerminalNode | undefined;
    SHARE(): TerminalNode | undefined;
    MODE(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class SingleDeleteStatementContext extends ParserRuleContext {
    _priority: Token;
    DELETE(): TerminalNode;
    FROM(): TerminalNode;
    tableName(): TableNameContext;
    QUICK(): TerminalNode | undefined;
    IGNORE(): TerminalNode | undefined;
    PARTITION(): TerminalNode | undefined;
    LR_BRACKET(): TerminalNode | undefined;
    uidList(): UidListContext | undefined;
    RR_BRACKET(): TerminalNode | undefined;
    WHERE(): TerminalNode | undefined;
    expression(): ExpressionContext | undefined;
    orderByClause(): OrderByClauseContext | undefined;
    LIMIT(): TerminalNode | undefined;
    limitClauseAtom(): LimitClauseAtomContext | undefined;
    LOW_PRIORITY(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class MultipleDeleteStatementContext extends ParserRuleContext {
    _priority: Token;
    DELETE(): TerminalNode;
    tableName(): TableNameContext[];
    tableName(i: number): TableNameContext;
    FROM(): TerminalNode | undefined;
    tableSources(): TableSourcesContext | undefined;
    USING(): TerminalNode | undefined;
    QUICK(): TerminalNode | undefined;
    IGNORE(): TerminalNode | undefined;
    WHERE(): TerminalNode | undefined;
    expression(): ExpressionContext | undefined;
    LOW_PRIORITY(): TerminalNode | undefined;
    DOT(): TerminalNode[];
    DOT(i: number): TerminalNode;
    STAR(): TerminalNode[];
    STAR(i: number): TerminalNode;
    COMMA(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class HandlerOpenStatementContext extends ParserRuleContext {
    HANDLER(): TerminalNode;
    tableName(): TableNameContext;
    OPEN(): TerminalNode;
    uid(): UidContext | undefined;
    AS(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class HandlerReadIndexStatementContext extends ParserRuleContext {
    _index: UidContext;
    _moveOrder: Token;
    HANDLER(): TerminalNode;
    tableName(): TableNameContext;
    READ(): TerminalNode;
    uid(): UidContext;
    comparisonOperator(): ComparisonOperatorContext | undefined;
    LR_BRACKET(): TerminalNode | undefined;
    constants(): ConstantsContext | undefined;
    RR_BRACKET(): TerminalNode | undefined;
    WHERE(): TerminalNode | undefined;
    expression(): ExpressionContext | undefined;
    LIMIT(): TerminalNode | undefined;
    limitClauseAtom(): LimitClauseAtomContext | undefined;
    FIRST(): TerminalNode | undefined;
    NEXT(): TerminalNode | undefined;
    PREV(): TerminalNode | undefined;
    LAST(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class HandlerReadStatementContext extends ParserRuleContext {
    _moveOrder: Token;
    HANDLER(): TerminalNode;
    tableName(): TableNameContext;
    READ(): TerminalNode;
    FIRST(): TerminalNode | undefined;
    NEXT(): TerminalNode | undefined;
    WHERE(): TerminalNode | undefined;
    expression(): ExpressionContext | undefined;
    LIMIT(): TerminalNode | undefined;
    limitClauseAtom(): LimitClauseAtomContext | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class HandlerCloseStatementContext extends ParserRuleContext {
    HANDLER(): TerminalNode;
    tableName(): TableNameContext;
    CLOSE(): TerminalNode;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class SingleUpdateStatementContext extends ParserRuleContext {
    _priority: Token;
    UPDATE(): TerminalNode;
    tableName(): TableNameContext;
    SET(): TerminalNode;
    updatedElement(): UpdatedElementContext[];
    updatedElement(i: number): UpdatedElementContext;
    IGNORE(): TerminalNode | undefined;
    uid(): UidContext | undefined;
    COMMA(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    WHERE(): TerminalNode | undefined;
    expression(): ExpressionContext | undefined;
    orderByClause(): OrderByClauseContext | undefined;
    limitClause(): LimitClauseContext | undefined;
    LOW_PRIORITY(): TerminalNode | undefined;
    AS(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class MultipleUpdateStatementContext extends ParserRuleContext {
    _priority: Token;
    UPDATE(): TerminalNode;
    tableSources(): TableSourcesContext;
    SET(): TerminalNode;
    updatedElement(): UpdatedElementContext[];
    updatedElement(i: number): UpdatedElementContext;
    IGNORE(): TerminalNode | undefined;
    COMMA(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    WHERE(): TerminalNode | undefined;
    expression(): ExpressionContext | undefined;
    LOW_PRIORITY(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class OrderByClauseContext extends ParserRuleContext {
    ORDER(): TerminalNode;
    BY(): TerminalNode;
    orderByExpression(): OrderByExpressionContext[];
    orderByExpression(i: number): OrderByExpressionContext;
    COMMA(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class OrderByExpressionContext extends ParserRuleContext {
    _order: Token;
    expression(): ExpressionContext;
    ASC(): TerminalNode | undefined;
    DESC(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class TableSourcesContext extends ParserRuleContext {
    tableSource(): TableSourceContext[];
    tableSource(i: number): TableSourceContext;
    COMMA(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class TableSourceContext extends ParserRuleContext {
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    copyFrom(ctx: TableSourceContext): void;
}
export declare class TableSourceBaseContext extends TableSourceContext {
    tableSourceItem(): TableSourceItemContext;
    joinPart(): JoinPartContext[];
    joinPart(i: number): JoinPartContext;
    constructor(ctx: TableSourceContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class TableSourceNestedContext extends TableSourceContext {
    LR_BRACKET(): TerminalNode;
    tableSourceItem(): TableSourceItemContext;
    RR_BRACKET(): TerminalNode;
    joinPart(): JoinPartContext[];
    joinPart(i: number): JoinPartContext;
    constructor(ctx: TableSourceContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class TableSourceItemContext extends ParserRuleContext {
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    copyFrom(ctx: TableSourceItemContext): void;
}
export declare class AtomTableItemContext extends TableSourceItemContext {
    _alias: UidContext;
    tableName(): TableNameContext;
    PARTITION(): TerminalNode | undefined;
    LR_BRACKET(): TerminalNode | undefined;
    uidList(): UidListContext | undefined;
    RR_BRACKET(): TerminalNode | undefined;
    indexHint(): IndexHintContext[];
    indexHint(i: number): IndexHintContext;
    uid(): UidContext | undefined;
    AS(): TerminalNode | undefined;
    COMMA(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    constructor(ctx: TableSourceItemContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class SubqueryTableItemContext extends TableSourceItemContext {
    _parenthesisSubquery: SelectStatementContext;
    _alias: UidContext;
    uid(): UidContext;
    selectStatement(): SelectStatementContext | undefined;
    LR_BRACKET(): TerminalNode | undefined;
    RR_BRACKET(): TerminalNode | undefined;
    AS(): TerminalNode | undefined;
    constructor(ctx: TableSourceItemContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class TableSourcesItemContext extends TableSourceItemContext {
    LR_BRACKET(): TerminalNode;
    tableSources(): TableSourcesContext;
    RR_BRACKET(): TerminalNode;
    constructor(ctx: TableSourceItemContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class IndexHintContext extends ParserRuleContext {
    _indexHintAction: Token;
    _keyFormat: Token;
    LR_BRACKET(): TerminalNode;
    uidList(): UidListContext;
    RR_BRACKET(): TerminalNode;
    USE(): TerminalNode | undefined;
    IGNORE(): TerminalNode | undefined;
    FORCE(): TerminalNode | undefined;
    INDEX(): TerminalNode | undefined;
    KEY(): TerminalNode | undefined;
    FOR(): TerminalNode | undefined;
    indexHintType(): IndexHintTypeContext | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class IndexHintTypeContext extends ParserRuleContext {
    JOIN(): TerminalNode | undefined;
    ORDER(): TerminalNode | undefined;
    BY(): TerminalNode | undefined;
    GROUP(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class JoinPartContext extends ParserRuleContext {
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    copyFrom(ctx: JoinPartContext): void;
}
export declare class InnerJoinContext extends JoinPartContext {
    JOIN(): TerminalNode;
    tableSourceItem(): TableSourceItemContext;
    ON(): TerminalNode | undefined;
    expression(): ExpressionContext | undefined;
    USING(): TerminalNode | undefined;
    LR_BRACKET(): TerminalNode | undefined;
    uidList(): UidListContext | undefined;
    RR_BRACKET(): TerminalNode | undefined;
    INNER(): TerminalNode | undefined;
    CROSS(): TerminalNode | undefined;
    constructor(ctx: JoinPartContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class StraightJoinContext extends JoinPartContext {
    STRAIGHT_JOIN(): TerminalNode;
    tableSourceItem(): TableSourceItemContext;
    ON(): TerminalNode | undefined;
    expression(): ExpressionContext | undefined;
    constructor(ctx: JoinPartContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class OuterJoinContext extends JoinPartContext {
    JOIN(): TerminalNode;
    tableSourceItem(): TableSourceItemContext;
    LEFT(): TerminalNode | undefined;
    RIGHT(): TerminalNode | undefined;
    ON(): TerminalNode | undefined;
    expression(): ExpressionContext | undefined;
    USING(): TerminalNode | undefined;
    LR_BRACKET(): TerminalNode | undefined;
    uidList(): UidListContext | undefined;
    RR_BRACKET(): TerminalNode | undefined;
    OUTER(): TerminalNode | undefined;
    constructor(ctx: JoinPartContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class NaturalJoinContext extends JoinPartContext {
    NATURAL(): TerminalNode;
    JOIN(): TerminalNode;
    tableSourceItem(): TableSourceItemContext;
    LEFT(): TerminalNode | undefined;
    RIGHT(): TerminalNode | undefined;
    OUTER(): TerminalNode | undefined;
    constructor(ctx: JoinPartContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class QueryExpressionContext extends ParserRuleContext {
    LR_BRACKET(): TerminalNode;
    querySpecification(): QuerySpecificationContext | undefined;
    RR_BRACKET(): TerminalNode;
    queryExpression(): QueryExpressionContext | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class QueryExpressionNointoContext extends ParserRuleContext {
    LR_BRACKET(): TerminalNode;
    querySpecificationNointo(): QuerySpecificationNointoContext | undefined;
    RR_BRACKET(): TerminalNode;
    queryExpressionNointo(): QueryExpressionNointoContext | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class QuerySpecificationContext extends ParserRuleContext {
    SELECT(): TerminalNode;
    selectElements(): SelectElementsContext;
    selectSpec(): SelectSpecContext[];
    selectSpec(i: number): SelectSpecContext;
    selectIntoExpression(): SelectIntoExpressionContext | undefined;
    fromClause(): FromClauseContext | undefined;
    orderByClause(): OrderByClauseContext | undefined;
    limitClause(): LimitClauseContext | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class QuerySpecificationNointoContext extends ParserRuleContext {
    SELECT(): TerminalNode;
    selectElements(): SelectElementsContext;
    selectSpec(): SelectSpecContext[];
    selectSpec(i: number): SelectSpecContext;
    fromClause(): FromClauseContext | undefined;
    orderByClause(): OrderByClauseContext | undefined;
    limitClause(): LimitClauseContext | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class UnionParenthesisContext extends ParserRuleContext {
    _unionType: Token;
    UNION(): TerminalNode;
    queryExpressionNointo(): QueryExpressionNointoContext;
    ALL(): TerminalNode | undefined;
    DISTINCT(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class UnionStatementContext extends ParserRuleContext {
    _unionType: Token;
    UNION(): TerminalNode;
    querySpecificationNointo(): QuerySpecificationNointoContext | undefined;
    queryExpressionNointo(): QueryExpressionNointoContext | undefined;
    ALL(): TerminalNode | undefined;
    DISTINCT(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class SelectSpecContext extends ParserRuleContext {
    ALL(): TerminalNode | undefined;
    DISTINCT(): TerminalNode | undefined;
    DISTINCTROW(): TerminalNode | undefined;
    HIGH_PRIORITY(): TerminalNode | undefined;
    STRAIGHT_JOIN(): TerminalNode | undefined;
    SQL_SMALL_RESULT(): TerminalNode | undefined;
    SQL_BIG_RESULT(): TerminalNode | undefined;
    SQL_BUFFER_RESULT(): TerminalNode | undefined;
    SQL_CACHE(): TerminalNode | undefined;
    SQL_NO_CACHE(): TerminalNode | undefined;
    SQL_CALC_FOUND_ROWS(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class SelectElementsContext extends ParserRuleContext {
    _star: Token;
    selectElement(): SelectElementContext[];
    selectElement(i: number): SelectElementContext;
    STAR(): TerminalNode | undefined;
    COMMA(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class SelectElementContext extends ParserRuleContext {
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    copyFrom(ctx: SelectElementContext): void;
}
export declare class SelectStarElementContext extends SelectElementContext {
    fullId(): FullIdContext;
    DOT(): TerminalNode;
    STAR(): TerminalNode;
    constructor(ctx: SelectElementContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class SelectColumnElementContext extends SelectElementContext {
    fullColumnName(): FullColumnNameContext;
    uid(): UidContext | undefined;
    AS(): TerminalNode | undefined;
    constructor(ctx: SelectElementContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class SelectFunctionElementContext extends SelectElementContext {
    functionCall(): FunctionCallContext;
    uid(): UidContext | undefined;
    AS(): TerminalNode | undefined;
    constructor(ctx: SelectElementContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class SelectExpressionElementContext extends SelectElementContext {
    expression(): ExpressionContext;
    LOCAL_ID(): TerminalNode | undefined;
    VAR_ASSIGN(): TerminalNode | undefined;
    uid(): UidContext | undefined;
    AS(): TerminalNode | undefined;
    constructor(ctx: SelectElementContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class SelectIntoExpressionContext extends ParserRuleContext {
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    copyFrom(ctx: SelectIntoExpressionContext): void;
}
export declare class SelectIntoVariablesContext extends SelectIntoExpressionContext {
    INTO(): TerminalNode;
    assignmentField(): AssignmentFieldContext[];
    assignmentField(i: number): AssignmentFieldContext;
    COMMA(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    constructor(ctx: SelectIntoExpressionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class SelectIntoDumpFileContext extends SelectIntoExpressionContext {
    INTO(): TerminalNode;
    DUMPFILE(): TerminalNode;
    STRING_LITERAL(): TerminalNode;
    constructor(ctx: SelectIntoExpressionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class SelectIntoTextFileContext extends SelectIntoExpressionContext {
    _filename: Token;
    _charset: CharsetNameContext;
    _fieldsFormat: Token;
    INTO(): TerminalNode | undefined;
    OUTFILE(): TerminalNode | undefined;
    STRING_LITERAL(): TerminalNode | undefined;
    CHARACTER(): TerminalNode | undefined;
    SET(): TerminalNode | undefined;
    LINES(): TerminalNode | undefined;
    charsetName(): CharsetNameContext | undefined;
    FIELDS(): TerminalNode | undefined;
    COLUMNS(): TerminalNode | undefined;
    selectFieldsInto(): SelectFieldsIntoContext[];
    selectFieldsInto(i: number): SelectFieldsIntoContext;
    selectLinesInto(): SelectLinesIntoContext[];
    selectLinesInto(i: number): SelectLinesIntoContext;
    constructor(ctx: SelectIntoExpressionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class SelectFieldsIntoContext extends ParserRuleContext {
    _terminationField: Token;
    _enclosion: Token;
    _escaping: Token;
    TERMINATED(): TerminalNode | undefined;
    BY(): TerminalNode;
    STRING_LITERAL(): TerminalNode;
    ENCLOSED(): TerminalNode | undefined;
    OPTIONALLY(): TerminalNode | undefined;
    ESCAPED(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class SelectLinesIntoContext extends ParserRuleContext {
    _starting: Token;
    _terminationLine: Token;
    STARTING(): TerminalNode | undefined;
    BY(): TerminalNode;
    STRING_LITERAL(): TerminalNode;
    TERMINATED(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class FromClauseContext extends ParserRuleContext {
    _whereExpr: ExpressionContext;
    _havingExpr: ExpressionContext;
    FROM(): TerminalNode;
    tableSources(): TableSourcesContext;
    WHERE(): TerminalNode | undefined;
    GROUP(): TerminalNode | undefined;
    BY(): TerminalNode | undefined;
    groupByItem(): GroupByItemContext[];
    groupByItem(i: number): GroupByItemContext;
    HAVING(): TerminalNode | undefined;
    expression(): ExpressionContext[];
    expression(i: number): ExpressionContext;
    COMMA(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    WITH(): TerminalNode | undefined;
    ROLLUP(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class GroupByItemContext extends ParserRuleContext {
    _order: Token;
    expression(): ExpressionContext;
    ASC(): TerminalNode | undefined;
    DESC(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class LimitClauseContext extends ParserRuleContext {
    _offset: LimitClauseAtomContext;
    _limit: LimitClauseAtomContext;
    LIMIT(): TerminalNode;
    OFFSET(): TerminalNode | undefined;
    limitClauseAtom(): LimitClauseAtomContext[];
    limitClauseAtom(i: number): LimitClauseAtomContext;
    COMMA(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class LimitClauseAtomContext extends ParserRuleContext {
    decimalLiteral(): DecimalLiteralContext | undefined;
    mysqlVariable(): MysqlVariableContext | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class StartTransactionContext extends ParserRuleContext {
    START(): TerminalNode;
    TRANSACTION(): TerminalNode;
    transactionMode(): TransactionModeContext[];
    transactionMode(i: number): TransactionModeContext;
    COMMA(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class BeginWorkContext extends ParserRuleContext {
    BEGIN(): TerminalNode;
    WORK(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class CommitWorkContext extends ParserRuleContext {
    _nochain: Token;
    _norelease: Token;
    COMMIT(): TerminalNode;
    WORK(): TerminalNode | undefined;
    AND(): TerminalNode | undefined;
    CHAIN(): TerminalNode | undefined;
    RELEASE(): TerminalNode | undefined;
    NO(): TerminalNode[];
    NO(i: number): TerminalNode;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class RollbackWorkContext extends ParserRuleContext {
    _nochain: Token;
    _norelease: Token;
    ROLLBACK(): TerminalNode;
    WORK(): TerminalNode | undefined;
    AND(): TerminalNode | undefined;
    CHAIN(): TerminalNode | undefined;
    RELEASE(): TerminalNode | undefined;
    NO(): TerminalNode[];
    NO(i: number): TerminalNode;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class SavepointStatementContext extends ParserRuleContext {
    SAVEPOINT(): TerminalNode;
    uid(): UidContext;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class RollbackStatementContext extends ParserRuleContext {
    ROLLBACK(): TerminalNode;
    TO(): TerminalNode;
    uid(): UidContext;
    WORK(): TerminalNode | undefined;
    SAVEPOINT(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class ReleaseStatementContext extends ParserRuleContext {
    RELEASE(): TerminalNode;
    SAVEPOINT(): TerminalNode;
    uid(): UidContext;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class LockTablesContext extends ParserRuleContext {
    LOCK(): TerminalNode;
    TABLES(): TerminalNode;
    lockTableElement(): LockTableElementContext[];
    lockTableElement(i: number): LockTableElementContext;
    COMMA(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class UnlockTablesContext extends ParserRuleContext {
    UNLOCK(): TerminalNode;
    TABLES(): TerminalNode;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class SetAutocommitStatementContext extends ParserRuleContext {
    _autocommitValue: Token;
    SET(): TerminalNode;
    AUTOCOMMIT(): TerminalNode;
    EQUAL_SYMBOL(): TerminalNode;
    ZERO_DECIMAL(): TerminalNode | undefined;
    ONE_DECIMAL(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class SetTransactionStatementContext extends ParserRuleContext {
    _transactionContext: Token;
    SET(): TerminalNode;
    TRANSACTION(): TerminalNode;
    transactionOption(): TransactionOptionContext[];
    transactionOption(i: number): TransactionOptionContext;
    COMMA(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    GLOBAL(): TerminalNode | undefined;
    SESSION(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class TransactionModeContext extends ParserRuleContext {
    WITH(): TerminalNode | undefined;
    CONSISTENT(): TerminalNode | undefined;
    SNAPSHOT(): TerminalNode | undefined;
    READ(): TerminalNode | undefined;
    WRITE(): TerminalNode | undefined;
    ONLY(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class LockTableElementContext extends ParserRuleContext {
    tableName(): TableNameContext;
    lockAction(): LockActionContext;
    uid(): UidContext | undefined;
    AS(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class LockActionContext extends ParserRuleContext {
    READ(): TerminalNode | undefined;
    LOCAL(): TerminalNode | undefined;
    WRITE(): TerminalNode | undefined;
    LOW_PRIORITY(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class TransactionOptionContext extends ParserRuleContext {
    ISOLATION(): TerminalNode | undefined;
    LEVEL(): TerminalNode | undefined;
    transactionLevel(): TransactionLevelContext | undefined;
    READ(): TerminalNode | undefined;
    WRITE(): TerminalNode | undefined;
    ONLY(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class TransactionLevelContext extends ParserRuleContext {
    REPEATABLE(): TerminalNode | undefined;
    READ(): TerminalNode | undefined;
    COMMITTED(): TerminalNode | undefined;
    UNCOMMITTED(): TerminalNode | undefined;
    SERIALIZABLE(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class ChangeMasterContext extends ParserRuleContext {
    CHANGE(): TerminalNode;
    MASTER(): TerminalNode;
    TO(): TerminalNode;
    masterOption(): MasterOptionContext[];
    masterOption(i: number): MasterOptionContext;
    COMMA(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    channelOption(): ChannelOptionContext | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class ChangeReplicationFilterContext extends ParserRuleContext {
    CHANGE(): TerminalNode;
    REPLICATION(): TerminalNode;
    FILTER(): TerminalNode;
    replicationFilter(): ReplicationFilterContext[];
    replicationFilter(i: number): ReplicationFilterContext;
    COMMA(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class PurgeBinaryLogsContext extends ParserRuleContext {
    _purgeFormat: Token;
    _fileName: Token;
    _timeValue: Token;
    PURGE(): TerminalNode;
    LOGS(): TerminalNode;
    BINARY(): TerminalNode | undefined;
    MASTER(): TerminalNode | undefined;
    TO(): TerminalNode | undefined;
    BEFORE(): TerminalNode | undefined;
    STRING_LITERAL(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class ResetMasterContext extends ParserRuleContext {
    RESET(): TerminalNode;
    MASTER(): TerminalNode;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class ResetSlaveContext extends ParserRuleContext {
    RESET(): TerminalNode;
    SLAVE(): TerminalNode;
    ALL(): TerminalNode | undefined;
    channelOption(): ChannelOptionContext | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class StartSlaveContext extends ParserRuleContext {
    START(): TerminalNode;
    SLAVE(): TerminalNode;
    threadType(): ThreadTypeContext[];
    threadType(i: number): ThreadTypeContext;
    UNTIL(): TerminalNode | undefined;
    untilOption(): UntilOptionContext | undefined;
    connectionOption(): ConnectionOptionContext[];
    connectionOption(i: number): ConnectionOptionContext;
    channelOption(): ChannelOptionContext | undefined;
    COMMA(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class StopSlaveContext extends ParserRuleContext {
    STOP(): TerminalNode;
    SLAVE(): TerminalNode;
    threadType(): ThreadTypeContext[];
    threadType(i: number): ThreadTypeContext;
    COMMA(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class StartGroupReplicationContext extends ParserRuleContext {
    START(): TerminalNode;
    GROUP_REPLICATION(): TerminalNode;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class StopGroupReplicationContext extends ParserRuleContext {
    STOP(): TerminalNode;
    GROUP_REPLICATION(): TerminalNode;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class MasterOptionContext extends ParserRuleContext {
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    copyFrom(ctx: MasterOptionContext): void;
}
export declare class MasterStringOptionContext extends MasterOptionContext {
    stringMasterOption(): StringMasterOptionContext;
    EQUAL_SYMBOL(): TerminalNode;
    STRING_LITERAL(): TerminalNode;
    constructor(ctx: MasterOptionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class MasterDecimalOptionContext extends MasterOptionContext {
    decimalMasterOption(): DecimalMasterOptionContext;
    EQUAL_SYMBOL(): TerminalNode;
    decimalLiteral(): DecimalLiteralContext;
    constructor(ctx: MasterOptionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class MasterBoolOptionContext extends MasterOptionContext {
    _boolVal: Token;
    boolMasterOption(): BoolMasterOptionContext;
    EQUAL_SYMBOL(): TerminalNode;
    ZERO_DECIMAL(): TerminalNode | undefined;
    ONE_DECIMAL(): TerminalNode | undefined;
    constructor(ctx: MasterOptionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class MasterRealOptionContext extends MasterOptionContext {
    MASTER_HEARTBEAT_PERIOD(): TerminalNode;
    EQUAL_SYMBOL(): TerminalNode;
    REAL_LITERAL(): TerminalNode;
    constructor(ctx: MasterOptionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class MasterUidListOptionContext extends MasterOptionContext {
    IGNORE_SERVER_IDS(): TerminalNode;
    EQUAL_SYMBOL(): TerminalNode;
    LR_BRACKET(): TerminalNode;
    RR_BRACKET(): TerminalNode;
    uid(): UidContext[];
    uid(i: number): UidContext;
    COMMA(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    constructor(ctx: MasterOptionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class StringMasterOptionContext extends ParserRuleContext {
    MASTER_BIND(): TerminalNode | undefined;
    MASTER_HOST(): TerminalNode | undefined;
    MASTER_USER(): TerminalNode | undefined;
    MASTER_PASSWORD(): TerminalNode | undefined;
    MASTER_LOG_FILE(): TerminalNode | undefined;
    RELAY_LOG_FILE(): TerminalNode | undefined;
    MASTER_SSL_CA(): TerminalNode | undefined;
    MASTER_SSL_CAPATH(): TerminalNode | undefined;
    MASTER_SSL_CERT(): TerminalNode | undefined;
    MASTER_SSL_CRL(): TerminalNode | undefined;
    MASTER_SSL_CRLPATH(): TerminalNode | undefined;
    MASTER_SSL_KEY(): TerminalNode | undefined;
    MASTER_SSL_CIPHER(): TerminalNode | undefined;
    MASTER_TLS_VERSION(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class DecimalMasterOptionContext extends ParserRuleContext {
    MASTER_PORT(): TerminalNode | undefined;
    MASTER_CONNECT_RETRY(): TerminalNode | undefined;
    MASTER_RETRY_COUNT(): TerminalNode | undefined;
    MASTER_DELAY(): TerminalNode | undefined;
    MASTER_LOG_POS(): TerminalNode | undefined;
    RELAY_LOG_POS(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class BoolMasterOptionContext extends ParserRuleContext {
    MASTER_AUTO_POSITION(): TerminalNode | undefined;
    MASTER_SSL(): TerminalNode | undefined;
    MASTER_SSL_VERIFY_SERVER_CERT(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class ChannelOptionContext extends ParserRuleContext {
    FOR(): TerminalNode;
    CHANNEL(): TerminalNode;
    STRING_LITERAL(): TerminalNode;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class ReplicationFilterContext extends ParserRuleContext {
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    copyFrom(ctx: ReplicationFilterContext): void;
}
export declare class DoDbReplicationContext extends ReplicationFilterContext {
    REPLICATE_DO_DB(): TerminalNode;
    EQUAL_SYMBOL(): TerminalNode;
    LR_BRACKET(): TerminalNode;
    uidList(): UidListContext;
    RR_BRACKET(): TerminalNode;
    constructor(ctx: ReplicationFilterContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class IgnoreDbReplicationContext extends ReplicationFilterContext {
    REPLICATE_IGNORE_DB(): TerminalNode;
    EQUAL_SYMBOL(): TerminalNode;
    LR_BRACKET(): TerminalNode;
    uidList(): UidListContext;
    RR_BRACKET(): TerminalNode;
    constructor(ctx: ReplicationFilterContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class DoTableReplicationContext extends ReplicationFilterContext {
    REPLICATE_DO_TABLE(): TerminalNode;
    EQUAL_SYMBOL(): TerminalNode;
    LR_BRACKET(): TerminalNode;
    tables(): TablesContext;
    RR_BRACKET(): TerminalNode;
    constructor(ctx: ReplicationFilterContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class IgnoreTableReplicationContext extends ReplicationFilterContext {
    REPLICATE_IGNORE_TABLE(): TerminalNode;
    EQUAL_SYMBOL(): TerminalNode;
    LR_BRACKET(): TerminalNode;
    tables(): TablesContext;
    RR_BRACKET(): TerminalNode;
    constructor(ctx: ReplicationFilterContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class WildDoTableReplicationContext extends ReplicationFilterContext {
    REPLICATE_WILD_DO_TABLE(): TerminalNode;
    EQUAL_SYMBOL(): TerminalNode;
    LR_BRACKET(): TerminalNode;
    simpleStrings(): SimpleStringsContext;
    RR_BRACKET(): TerminalNode;
    constructor(ctx: ReplicationFilterContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class WildIgnoreTableReplicationContext extends ReplicationFilterContext {
    REPLICATE_WILD_IGNORE_TABLE(): TerminalNode;
    EQUAL_SYMBOL(): TerminalNode;
    LR_BRACKET(): TerminalNode;
    simpleStrings(): SimpleStringsContext;
    RR_BRACKET(): TerminalNode;
    constructor(ctx: ReplicationFilterContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class RewriteDbReplicationContext extends ReplicationFilterContext {
    REPLICATE_REWRITE_DB(): TerminalNode;
    EQUAL_SYMBOL(): TerminalNode;
    LR_BRACKET(): TerminalNode;
    tablePair(): TablePairContext[];
    tablePair(i: number): TablePairContext;
    RR_BRACKET(): TerminalNode;
    COMMA(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    constructor(ctx: ReplicationFilterContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class TablePairContext extends ParserRuleContext {
    _firstTable: TableNameContext;
    _secondTable: TableNameContext;
    LR_BRACKET(): TerminalNode;
    COMMA(): TerminalNode;
    RR_BRACKET(): TerminalNode;
    tableName(): TableNameContext[];
    tableName(i: number): TableNameContext;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class ThreadTypeContext extends ParserRuleContext {
    IO_THREAD(): TerminalNode | undefined;
    SQL_THREAD(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class UntilOptionContext extends ParserRuleContext {
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    copyFrom(ctx: UntilOptionContext): void;
}
export declare class GtidsUntilOptionContext extends UntilOptionContext {
    _gtids: Token;
    EQUAL_SYMBOL(): TerminalNode;
    gtuidSet(): GtuidSetContext;
    SQL_BEFORE_GTIDS(): TerminalNode | undefined;
    SQL_AFTER_GTIDS(): TerminalNode | undefined;
    constructor(ctx: UntilOptionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class MasterLogUntilOptionContext extends UntilOptionContext {
    MASTER_LOG_FILE(): TerminalNode;
    EQUAL_SYMBOL(): TerminalNode[];
    EQUAL_SYMBOL(i: number): TerminalNode;
    STRING_LITERAL(): TerminalNode;
    COMMA(): TerminalNode;
    MASTER_LOG_POS(): TerminalNode;
    decimalLiteral(): DecimalLiteralContext;
    constructor(ctx: UntilOptionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class RelayLogUntilOptionContext extends UntilOptionContext {
    RELAY_LOG_FILE(): TerminalNode;
    EQUAL_SYMBOL(): TerminalNode[];
    EQUAL_SYMBOL(i: number): TerminalNode;
    STRING_LITERAL(): TerminalNode;
    COMMA(): TerminalNode;
    RELAY_LOG_POS(): TerminalNode;
    decimalLiteral(): DecimalLiteralContext;
    constructor(ctx: UntilOptionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class SqlGapsUntilOptionContext extends UntilOptionContext {
    SQL_AFTER_MTS_GAPS(): TerminalNode;
    constructor(ctx: UntilOptionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class ConnectionOptionContext extends ParserRuleContext {
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    copyFrom(ctx: ConnectionOptionContext): void;
}
export declare class UserConnectionOptionContext extends ConnectionOptionContext {
    _conOptUser: Token;
    USER(): TerminalNode;
    EQUAL_SYMBOL(): TerminalNode;
    STRING_LITERAL(): TerminalNode;
    constructor(ctx: ConnectionOptionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class PasswordConnectionOptionContext extends ConnectionOptionContext {
    _conOptPassword: Token;
    PASSWORD(): TerminalNode;
    EQUAL_SYMBOL(): TerminalNode;
    STRING_LITERAL(): TerminalNode;
    constructor(ctx: ConnectionOptionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class DefaultAuthConnectionOptionContext extends ConnectionOptionContext {
    _conOptDefAuth: Token;
    DEFAULT_AUTH(): TerminalNode;
    EQUAL_SYMBOL(): TerminalNode;
    STRING_LITERAL(): TerminalNode;
    constructor(ctx: ConnectionOptionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class PluginDirConnectionOptionContext extends ConnectionOptionContext {
    _conOptPluginDir: Token;
    PLUGIN_DIR(): TerminalNode;
    EQUAL_SYMBOL(): TerminalNode;
    STRING_LITERAL(): TerminalNode;
    constructor(ctx: ConnectionOptionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class GtuidSetContext extends ParserRuleContext {
    uuidSet(): UuidSetContext[];
    uuidSet(i: number): UuidSetContext;
    COMMA(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    STRING_LITERAL(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class XaStartTransactionContext extends ParserRuleContext {
    _xaStart: Token;
    _xaAction: Token;
    XA(): TerminalNode;
    xid(): XidContext;
    START(): TerminalNode | undefined;
    BEGIN(): TerminalNode | undefined;
    JOIN(): TerminalNode | undefined;
    RESUME(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class XaEndTransactionContext extends ParserRuleContext {
    XA(): TerminalNode;
    END(): TerminalNode;
    xid(): XidContext;
    SUSPEND(): TerminalNode | undefined;
    FOR(): TerminalNode | undefined;
    MIGRATE(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class XaPrepareStatementContext extends ParserRuleContext {
    XA(): TerminalNode;
    PREPARE(): TerminalNode;
    xid(): XidContext;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class XaCommitWorkContext extends ParserRuleContext {
    XA(): TerminalNode;
    COMMIT(): TerminalNode;
    xid(): XidContext;
    ONE(): TerminalNode | undefined;
    PHASE(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class XaRollbackWorkContext extends ParserRuleContext {
    XA(): TerminalNode;
    ROLLBACK(): TerminalNode;
    xid(): XidContext;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class XaRecoverWorkContext extends ParserRuleContext {
    XA(): TerminalNode;
    RECOVER(): TerminalNode;
    CONVERT(): TerminalNode | undefined;
    xid(): XidContext | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class PrepareStatementContext extends ParserRuleContext {
    _query: Token;
    _variable: Token;
    PREPARE(): TerminalNode;
    uid(): UidContext;
    FROM(): TerminalNode;
    STRING_LITERAL(): TerminalNode | undefined;
    LOCAL_ID(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class ExecuteStatementContext extends ParserRuleContext {
    EXECUTE(): TerminalNode;
    uid(): UidContext;
    USING(): TerminalNode | undefined;
    userVariables(): UserVariablesContext | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class DeallocatePrepareContext extends ParserRuleContext {
    _dropFormat: Token;
    PREPARE(): TerminalNode;
    uid(): UidContext;
    DEALLOCATE(): TerminalNode | undefined;
    DROP(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class RoutineBodyContext extends ParserRuleContext {
    blockStatement(): BlockStatementContext | undefined;
    sqlStatement(): SqlStatementContext | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class BlockStatementContext extends ParserRuleContext {
    BEGIN(): TerminalNode;
    END(): TerminalNode;
    uid(): UidContext[];
    uid(i: number): UidContext;
    COLON_SYMB(): TerminalNode | undefined;
    declareVariable(): DeclareVariableContext[];
    declareVariable(i: number): DeclareVariableContext;
    SEMI(): TerminalNode[];
    SEMI(i: number): TerminalNode;
    declareCondition(): DeclareConditionContext[];
    declareCondition(i: number): DeclareConditionContext;
    declareCursor(): DeclareCursorContext[];
    declareCursor(i: number): DeclareCursorContext;
    declareHandler(): DeclareHandlerContext[];
    declareHandler(i: number): DeclareHandlerContext;
    procedureSqlStatement(): ProcedureSqlStatementContext[];
    procedureSqlStatement(i: number): ProcedureSqlStatementContext;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class CaseStatementContext extends ParserRuleContext {
    CASE(): TerminalNode[];
    CASE(i: number): TerminalNode;
    END(): TerminalNode;
    uid(): UidContext | undefined;
    expression(): ExpressionContext | undefined;
    caseAlternative(): CaseAlternativeContext[];
    caseAlternative(i: number): CaseAlternativeContext;
    ELSE(): TerminalNode | undefined;
    procedureSqlStatement(): ProcedureSqlStatementContext[];
    procedureSqlStatement(i: number): ProcedureSqlStatementContext;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class IfStatementContext extends ParserRuleContext {
    _procedureSqlStatement: ProcedureSqlStatementContext;
    _thenStatements: ProcedureSqlStatementContext[];
    _elseStatements: ProcedureSqlStatementContext[];
    IF(): TerminalNode[];
    IF(i: number): TerminalNode;
    expression(): ExpressionContext;
    THEN(): TerminalNode;
    END(): TerminalNode;
    elifAlternative(): ElifAlternativeContext[];
    elifAlternative(i: number): ElifAlternativeContext;
    ELSE(): TerminalNode | undefined;
    procedureSqlStatement(): ProcedureSqlStatementContext[];
    procedureSqlStatement(i: number): ProcedureSqlStatementContext;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class IterateStatementContext extends ParserRuleContext {
    ITERATE(): TerminalNode;
    uid(): UidContext;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class LeaveStatementContext extends ParserRuleContext {
    LEAVE(): TerminalNode;
    uid(): UidContext;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class LoopStatementContext extends ParserRuleContext {
    LOOP(): TerminalNode[];
    LOOP(i: number): TerminalNode;
    END(): TerminalNode;
    uid(): UidContext[];
    uid(i: number): UidContext;
    COLON_SYMB(): TerminalNode | undefined;
    procedureSqlStatement(): ProcedureSqlStatementContext[];
    procedureSqlStatement(i: number): ProcedureSqlStatementContext;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class RepeatStatementContext extends ParserRuleContext {
    REPEAT(): TerminalNode[];
    REPEAT(i: number): TerminalNode;
    UNTIL(): TerminalNode;
    expression(): ExpressionContext;
    END(): TerminalNode;
    uid(): UidContext[];
    uid(i: number): UidContext;
    COLON_SYMB(): TerminalNode | undefined;
    procedureSqlStatement(): ProcedureSqlStatementContext[];
    procedureSqlStatement(i: number): ProcedureSqlStatementContext;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class ReturnStatementContext extends ParserRuleContext {
    RETURN(): TerminalNode;
    expression(): ExpressionContext;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class WhileStatementContext extends ParserRuleContext {
    WHILE(): TerminalNode[];
    WHILE(i: number): TerminalNode;
    expression(): ExpressionContext;
    DO(): TerminalNode;
    END(): TerminalNode;
    uid(): UidContext[];
    uid(i: number): UidContext;
    COLON_SYMB(): TerminalNode | undefined;
    procedureSqlStatement(): ProcedureSqlStatementContext[];
    procedureSqlStatement(i: number): ProcedureSqlStatementContext;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class CursorStatementContext extends ParserRuleContext {
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    copyFrom(ctx: CursorStatementContext): void;
}
export declare class CloseCursorContext extends CursorStatementContext {
    CLOSE(): TerminalNode;
    uid(): UidContext;
    constructor(ctx: CursorStatementContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class FetchCursorContext extends CursorStatementContext {
    FETCH(): TerminalNode;
    uid(): UidContext;
    INTO(): TerminalNode;
    uidList(): UidListContext;
    FROM(): TerminalNode | undefined;
    NEXT(): TerminalNode | undefined;
    constructor(ctx: CursorStatementContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class OpenCursorContext extends CursorStatementContext {
    OPEN(): TerminalNode;
    uid(): UidContext;
    constructor(ctx: CursorStatementContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class DeclareVariableContext extends ParserRuleContext {
    DECLARE(): TerminalNode;
    uidList(): UidListContext;
    dataType(): DataTypeContext;
    DEFAULT(): TerminalNode | undefined;
    defaultValue(): DefaultValueContext | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class DeclareConditionContext extends ParserRuleContext {
    DECLARE(): TerminalNode;
    uid(): UidContext;
    CONDITION(): TerminalNode;
    FOR(): TerminalNode;
    decimalLiteral(): DecimalLiteralContext | undefined;
    SQLSTATE(): TerminalNode | undefined;
    STRING_LITERAL(): TerminalNode | undefined;
    VALUE(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class DeclareCursorContext extends ParserRuleContext {
    DECLARE(): TerminalNode;
    uid(): UidContext;
    CURSOR(): TerminalNode;
    FOR(): TerminalNode;
    selectStatement(): SelectStatementContext;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class DeclareHandlerContext extends ParserRuleContext {
    _handlerAction: Token;
    DECLARE(): TerminalNode;
    HANDLER(): TerminalNode;
    FOR(): TerminalNode;
    handlerConditionValue(): HandlerConditionValueContext[];
    handlerConditionValue(i: number): HandlerConditionValueContext;
    routineBody(): RoutineBodyContext;
    CONTINUE(): TerminalNode | undefined;
    EXIT(): TerminalNode | undefined;
    UNDO(): TerminalNode | undefined;
    COMMA(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class HandlerConditionValueContext extends ParserRuleContext {
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    copyFrom(ctx: HandlerConditionValueContext): void;
}
export declare class HandlerConditionCodeContext extends HandlerConditionValueContext {
    decimalLiteral(): DecimalLiteralContext;
    constructor(ctx: HandlerConditionValueContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class HandlerConditionStateContext extends HandlerConditionValueContext {
    SQLSTATE(): TerminalNode;
    STRING_LITERAL(): TerminalNode;
    VALUE(): TerminalNode | undefined;
    constructor(ctx: HandlerConditionValueContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class HandlerConditionNameContext extends HandlerConditionValueContext {
    uid(): UidContext;
    constructor(ctx: HandlerConditionValueContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class HandlerConditionWarningContext extends HandlerConditionValueContext {
    SQLWARNING(): TerminalNode;
    constructor(ctx: HandlerConditionValueContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class HandlerConditionNotfoundContext extends HandlerConditionValueContext {
    NOT(): TerminalNode;
    FOUND(): TerminalNode;
    constructor(ctx: HandlerConditionValueContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class HandlerConditionExceptionContext extends HandlerConditionValueContext {
    SQLEXCEPTION(): TerminalNode;
    constructor(ctx: HandlerConditionValueContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class ProcedureSqlStatementContext extends ParserRuleContext {
    SEMI(): TerminalNode;
    compoundStatement(): CompoundStatementContext | undefined;
    sqlStatement(): SqlStatementContext | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class CaseAlternativeContext extends ParserRuleContext {
    WHEN(): TerminalNode;
    THEN(): TerminalNode;
    constant(): ConstantContext | undefined;
    expression(): ExpressionContext | undefined;
    procedureSqlStatement(): ProcedureSqlStatementContext[];
    procedureSqlStatement(i: number): ProcedureSqlStatementContext;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class ElifAlternativeContext extends ParserRuleContext {
    ELSEIF(): TerminalNode;
    expression(): ExpressionContext;
    THEN(): TerminalNode;
    procedureSqlStatement(): ProcedureSqlStatementContext[];
    procedureSqlStatement(i: number): ProcedureSqlStatementContext;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class AlterUserContext extends ParserRuleContext {
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    copyFrom(ctx: AlterUserContext): void;
}
export declare class AlterUserMysqlV56Context extends AlterUserContext {
    ALTER(): TerminalNode;
    USER(): TerminalNode;
    userSpecification(): UserSpecificationContext[];
    userSpecification(i: number): UserSpecificationContext;
    COMMA(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    constructor(ctx: AlterUserContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class AlterUserMysqlV57Context extends AlterUserContext {
    _tlsNone: Token;
    ALTER(): TerminalNode;
    USER(): TerminalNode;
    userAuthOption(): UserAuthOptionContext[];
    userAuthOption(i: number): UserAuthOptionContext;
    ifExists(): IfExistsContext | undefined;
    COMMA(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    REQUIRE(): TerminalNode | undefined;
    WITH(): TerminalNode | undefined;
    userPasswordOption(): UserPasswordOptionContext[];
    userPasswordOption(i: number): UserPasswordOptionContext;
    userLockOption(): UserLockOptionContext[];
    userLockOption(i: number): UserLockOptionContext;
    tlsOption(): TlsOptionContext[];
    tlsOption(i: number): TlsOptionContext;
    NONE(): TerminalNode | undefined;
    userResourceOption(): UserResourceOptionContext[];
    userResourceOption(i: number): UserResourceOptionContext;
    AND(): TerminalNode[];
    AND(i: number): TerminalNode;
    constructor(ctx: AlterUserContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class CreateUserContext extends ParserRuleContext {
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    copyFrom(ctx: CreateUserContext): void;
}
export declare class CreateUserMysqlV56Context extends CreateUserContext {
    CREATE(): TerminalNode;
    USER(): TerminalNode;
    userAuthOption(): UserAuthOptionContext[];
    userAuthOption(i: number): UserAuthOptionContext;
    COMMA(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    constructor(ctx: CreateUserContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class CreateUserMysqlV57Context extends CreateUserContext {
    _tlsNone: Token;
    CREATE(): TerminalNode;
    USER(): TerminalNode;
    userAuthOption(): UserAuthOptionContext[];
    userAuthOption(i: number): UserAuthOptionContext;
    ifNotExists(): IfNotExistsContext | undefined;
    COMMA(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    REQUIRE(): TerminalNode | undefined;
    WITH(): TerminalNode | undefined;
    userPasswordOption(): UserPasswordOptionContext[];
    userPasswordOption(i: number): UserPasswordOptionContext;
    userLockOption(): UserLockOptionContext[];
    userLockOption(i: number): UserLockOptionContext;
    tlsOption(): TlsOptionContext[];
    tlsOption(i: number): TlsOptionContext;
    NONE(): TerminalNode | undefined;
    userResourceOption(): UserResourceOptionContext[];
    userResourceOption(i: number): UserResourceOptionContext;
    AND(): TerminalNode[];
    AND(i: number): TerminalNode;
    constructor(ctx: CreateUserContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class DropUserContext extends ParserRuleContext {
    DROP(): TerminalNode;
    USER(): TerminalNode;
    userName(): UserNameContext[];
    userName(i: number): UserNameContext;
    ifExists(): IfExistsContext | undefined;
    COMMA(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class GrantStatementContext extends ParserRuleContext {
    _privilegeObject: Token;
    _tlsNone: Token;
    GRANT(): TerminalNode[];
    GRANT(i: number): TerminalNode;
    privelegeClause(): PrivelegeClauseContext[];
    privelegeClause(i: number): PrivelegeClauseContext;
    ON(): TerminalNode;
    privilegeLevel(): PrivilegeLevelContext;
    TO(): TerminalNode;
    userAuthOption(): UserAuthOptionContext[];
    userAuthOption(i: number): UserAuthOptionContext;
    COMMA(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    REQUIRE(): TerminalNode | undefined;
    WITH(): TerminalNode | undefined;
    TABLE(): TerminalNode | undefined;
    FUNCTION(): TerminalNode | undefined;
    PROCEDURE(): TerminalNode | undefined;
    tlsOption(): TlsOptionContext[];
    tlsOption(i: number): TlsOptionContext;
    NONE(): TerminalNode | undefined;
    OPTION(): TerminalNode[];
    OPTION(i: number): TerminalNode;
    userResourceOption(): UserResourceOptionContext[];
    userResourceOption(i: number): UserResourceOptionContext;
    AND(): TerminalNode[];
    AND(i: number): TerminalNode;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class GrantProxyContext extends ParserRuleContext {
    _fromFirst: UserNameContext;
    _toFirst: UserNameContext;
    _userName: UserNameContext;
    _toOther: UserNameContext[];
    GRANT(): TerminalNode[];
    GRANT(i: number): TerminalNode;
    PROXY(): TerminalNode;
    ON(): TerminalNode;
    TO(): TerminalNode;
    userName(): UserNameContext[];
    userName(i: number): UserNameContext;
    COMMA(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    WITH(): TerminalNode | undefined;
    OPTION(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class RenameUserContext extends ParserRuleContext {
    RENAME(): TerminalNode;
    USER(): TerminalNode;
    renameUserClause(): RenameUserClauseContext[];
    renameUserClause(i: number): RenameUserClauseContext;
    COMMA(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class RevokeStatementContext extends ParserRuleContext {
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    copyFrom(ctx: RevokeStatementContext): void;
}
export declare class DetailRevokeContext extends RevokeStatementContext {
    _privilegeObject: Token;
    REVOKE(): TerminalNode;
    privelegeClause(): PrivelegeClauseContext[];
    privelegeClause(i: number): PrivelegeClauseContext;
    ON(): TerminalNode;
    privilegeLevel(): PrivilegeLevelContext;
    FROM(): TerminalNode;
    userName(): UserNameContext[];
    userName(i: number): UserNameContext;
    COMMA(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    TABLE(): TerminalNode | undefined;
    FUNCTION(): TerminalNode | undefined;
    PROCEDURE(): TerminalNode | undefined;
    constructor(ctx: RevokeStatementContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class ShortRevokeContext extends RevokeStatementContext {
    REVOKE(): TerminalNode;
    ALL(): TerminalNode;
    COMMA(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    GRANT(): TerminalNode;
    OPTION(): TerminalNode;
    FROM(): TerminalNode;
    userName(): UserNameContext[];
    userName(i: number): UserNameContext;
    PRIVILEGES(): TerminalNode | undefined;
    constructor(ctx: RevokeStatementContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class RevokeProxyContext extends ParserRuleContext {
    _onUser: UserNameContext;
    _fromFirst: UserNameContext;
    _userName: UserNameContext;
    _fromOther: UserNameContext[];
    REVOKE(): TerminalNode;
    PROXY(): TerminalNode;
    ON(): TerminalNode;
    FROM(): TerminalNode;
    userName(): UserNameContext[];
    userName(i: number): UserNameContext;
    COMMA(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class SetPasswordStatementContext extends ParserRuleContext {
    SET(): TerminalNode;
    PASSWORD(): TerminalNode;
    EQUAL_SYMBOL(): TerminalNode;
    passwordFunctionClause(): PasswordFunctionClauseContext | undefined;
    STRING_LITERAL(): TerminalNode | undefined;
    FOR(): TerminalNode | undefined;
    userName(): UserNameContext | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class UserSpecificationContext extends ParserRuleContext {
    userName(): UserNameContext;
    userPasswordOption(): UserPasswordOptionContext;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class UserAuthOptionContext extends ParserRuleContext {
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    copyFrom(ctx: UserAuthOptionContext): void;
}
export declare class PasswordAuthOptionContext extends UserAuthOptionContext {
    _hashed: Token;
    userName(): UserNameContext;
    IDENTIFIED(): TerminalNode;
    BY(): TerminalNode;
    PASSWORD(): TerminalNode;
    STRING_LITERAL(): TerminalNode;
    constructor(ctx: UserAuthOptionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class StringAuthOptionContext extends UserAuthOptionContext {
    userName(): UserNameContext;
    IDENTIFIED(): TerminalNode;
    BY(): TerminalNode;
    STRING_LITERAL(): TerminalNode;
    WITH(): TerminalNode | undefined;
    authPlugin(): AuthPluginContext | undefined;
    constructor(ctx: UserAuthOptionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class HashAuthOptionContext extends UserAuthOptionContext {
    userName(): UserNameContext;
    IDENTIFIED(): TerminalNode;
    WITH(): TerminalNode;
    authPlugin(): AuthPluginContext;
    AS(): TerminalNode | undefined;
    STRING_LITERAL(): TerminalNode | undefined;
    constructor(ctx: UserAuthOptionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class SimpleAuthOptionContext extends UserAuthOptionContext {
    userName(): UserNameContext;
    constructor(ctx: UserAuthOptionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class TlsOptionContext extends ParserRuleContext {
    SSL(): TerminalNode | undefined;
    X509(): TerminalNode | undefined;
    CIPHER(): TerminalNode | undefined;
    STRING_LITERAL(): TerminalNode | undefined;
    ISSUER(): TerminalNode | undefined;
    SUBJECT(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class UserResourceOptionContext extends ParserRuleContext {
    MAX_QUERIES_PER_HOUR(): TerminalNode | undefined;
    decimalLiteral(): DecimalLiteralContext;
    MAX_UPDATES_PER_HOUR(): TerminalNode | undefined;
    MAX_CONNECTIONS_PER_HOUR(): TerminalNode | undefined;
    MAX_USER_CONNECTIONS(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class UserPasswordOptionContext extends ParserRuleContext {
    _expireType: Token;
    PASSWORD(): TerminalNode;
    EXPIRE(): TerminalNode;
    decimalLiteral(): DecimalLiteralContext | undefined;
    DAY(): TerminalNode | undefined;
    DEFAULT(): TerminalNode | undefined;
    NEVER(): TerminalNode | undefined;
    INTERVAL(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class UserLockOptionContext extends ParserRuleContext {
    _lockType: Token;
    ACCOUNT(): TerminalNode;
    LOCK(): TerminalNode | undefined;
    UNLOCK(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class PrivelegeClauseContext extends ParserRuleContext {
    privilege(): PrivilegeContext;
    LR_BRACKET(): TerminalNode | undefined;
    uidList(): UidListContext | undefined;
    RR_BRACKET(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class PrivilegeContext extends ParserRuleContext {
    ALL(): TerminalNode | undefined;
    PRIVILEGES(): TerminalNode | undefined;
    ALTER(): TerminalNode | undefined;
    ROUTINE(): TerminalNode | undefined;
    CREATE(): TerminalNode | undefined;
    TEMPORARY(): TerminalNode | undefined;
    TABLES(): TerminalNode | undefined;
    VIEW(): TerminalNode | undefined;
    USER(): TerminalNode | undefined;
    TABLESPACE(): TerminalNode | undefined;
    ROLE(): TerminalNode | undefined;
    DELETE(): TerminalNode | undefined;
    DROP(): TerminalNode | undefined;
    EVENT(): TerminalNode | undefined;
    EXECUTE(): TerminalNode | undefined;
    FILE(): TerminalNode | undefined;
    GRANT(): TerminalNode | undefined;
    OPTION(): TerminalNode | undefined;
    INDEX(): TerminalNode | undefined;
    INSERT(): TerminalNode | undefined;
    LOCK(): TerminalNode | undefined;
    PROCESS(): TerminalNode | undefined;
    PROXY(): TerminalNode | undefined;
    REFERENCES(): TerminalNode | undefined;
    RELOAD(): TerminalNode | undefined;
    REPLICATION(): TerminalNode | undefined;
    CLIENT(): TerminalNode | undefined;
    SLAVE(): TerminalNode | undefined;
    SELECT(): TerminalNode | undefined;
    SHOW(): TerminalNode | undefined;
    DATABASES(): TerminalNode | undefined;
    SHUTDOWN(): TerminalNode | undefined;
    SUPER(): TerminalNode | undefined;
    TRIGGER(): TerminalNode | undefined;
    UPDATE(): TerminalNode | undefined;
    USAGE(): TerminalNode | undefined;
    AUDIT_ADMIN(): TerminalNode | undefined;
    BACKUP_ADMIN(): TerminalNode | undefined;
    BINLOG_ADMIN(): TerminalNode | undefined;
    BINLOG_ENCRYPTION_ADMIN(): TerminalNode | undefined;
    CLONE_ADMIN(): TerminalNode | undefined;
    CONNECTION_ADMIN(): TerminalNode | undefined;
    ENCRYPTION_KEY_ADMIN(): TerminalNode | undefined;
    FIREWALL_ADMIN(): TerminalNode | undefined;
    FIREWALL_USER(): TerminalNode | undefined;
    GROUP_REPLICATION_ADMIN(): TerminalNode | undefined;
    INNODB_REDO_LOG_ARCHIVE(): TerminalNode | undefined;
    NDB_STORED_USER(): TerminalNode | undefined;
    PERSIST_RO_VARIABLES_ADMIN(): TerminalNode | undefined;
    REPLICATION_APPLIER(): TerminalNode | undefined;
    REPLICATION_SLAVE_ADMIN(): TerminalNode | undefined;
    RESOURCE_GROUP_ADMIN(): TerminalNode | undefined;
    RESOURCE_GROUP_USER(): TerminalNode | undefined;
    ROLE_ADMIN(): TerminalNode | undefined;
    SESSION_VARIABLES_ADMIN(): TerminalNode | undefined;
    SET_USER_ID(): TerminalNode | undefined;
    SHOW_ROUTINE(): TerminalNode | undefined;
    SYSTEM_VARIABLES_ADMIN(): TerminalNode | undefined;
    TABLE_ENCRYPTION_ADMIN(): TerminalNode | undefined;
    VERSION_TOKEN_ADMIN(): TerminalNode | undefined;
    XA_RECOVER_ADMIN(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class PrivilegeLevelContext extends ParserRuleContext {
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    copyFrom(ctx: PrivilegeLevelContext): void;
}
export declare class CurrentSchemaPriviLevelContext extends PrivilegeLevelContext {
    STAR(): TerminalNode;
    constructor(ctx: PrivilegeLevelContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class GlobalPrivLevelContext extends PrivilegeLevelContext {
    STAR(): TerminalNode[];
    STAR(i: number): TerminalNode;
    DOT(): TerminalNode;
    constructor(ctx: PrivilegeLevelContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class DefiniteSchemaPrivLevelContext extends PrivilegeLevelContext {
    uid(): UidContext;
    DOT(): TerminalNode;
    STAR(): TerminalNode;
    constructor(ctx: PrivilegeLevelContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class DefiniteFullTablePrivLevelContext extends PrivilegeLevelContext {
    uid(): UidContext[];
    uid(i: number): UidContext;
    DOT(): TerminalNode;
    constructor(ctx: PrivilegeLevelContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class DefiniteFullTablePrivLevel2Context extends PrivilegeLevelContext {
    uid(): UidContext;
    dottedId(): DottedIdContext;
    constructor(ctx: PrivilegeLevelContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class DefiniteTablePrivLevelContext extends PrivilegeLevelContext {
    uid(): UidContext;
    constructor(ctx: PrivilegeLevelContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class RenameUserClauseContext extends ParserRuleContext {
    _fromFirst: UserNameContext;
    _toFirst: UserNameContext;
    TO(): TerminalNode;
    userName(): UserNameContext[];
    userName(i: number): UserNameContext;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class AnalyzeTableContext extends ParserRuleContext {
    _actionOption: Token;
    ANALYZE(): TerminalNode;
    TABLE(): TerminalNode;
    tables(): TablesContext;
    NO_WRITE_TO_BINLOG(): TerminalNode | undefined;
    LOCAL(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class CheckTableContext extends ParserRuleContext {
    CHECK(): TerminalNode;
    TABLE(): TerminalNode;
    tables(): TablesContext;
    checkTableOption(): CheckTableOptionContext[];
    checkTableOption(i: number): CheckTableOptionContext;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class ChecksumTableContext extends ParserRuleContext {
    _actionOption: Token;
    CHECKSUM(): TerminalNode;
    TABLE(): TerminalNode;
    tables(): TablesContext;
    QUICK(): TerminalNode | undefined;
    EXTENDED(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class OptimizeTableContext extends ParserRuleContext {
    _actionOption: Token;
    OPTIMIZE(): TerminalNode;
    TABLE(): TerminalNode;
    tables(): TablesContext;
    NO_WRITE_TO_BINLOG(): TerminalNode | undefined;
    LOCAL(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class RepairTableContext extends ParserRuleContext {
    _actionOption: Token;
    REPAIR(): TerminalNode;
    TABLE(): TerminalNode;
    tables(): TablesContext;
    QUICK(): TerminalNode | undefined;
    EXTENDED(): TerminalNode | undefined;
    USE_FRM(): TerminalNode | undefined;
    NO_WRITE_TO_BINLOG(): TerminalNode | undefined;
    LOCAL(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class CheckTableOptionContext extends ParserRuleContext {
    FOR(): TerminalNode | undefined;
    UPGRADE(): TerminalNode | undefined;
    QUICK(): TerminalNode | undefined;
    FAST(): TerminalNode | undefined;
    MEDIUM(): TerminalNode | undefined;
    EXTENDED(): TerminalNode | undefined;
    CHANGED(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class CreateUdfunctionContext extends ParserRuleContext {
    _returnType: Token;
    CREATE(): TerminalNode;
    FUNCTION(): TerminalNode;
    uid(): UidContext;
    RETURNS(): TerminalNode;
    SONAME(): TerminalNode;
    STRING_LITERAL(): TerminalNode;
    STRING(): TerminalNode | undefined;
    INTEGER(): TerminalNode | undefined;
    REAL(): TerminalNode | undefined;
    DECIMAL(): TerminalNode | undefined;
    AGGREGATE(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class InstallPluginContext extends ParserRuleContext {
    INSTALL(): TerminalNode;
    PLUGIN(): TerminalNode;
    uid(): UidContext;
    SONAME(): TerminalNode;
    STRING_LITERAL(): TerminalNode;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class UninstallPluginContext extends ParserRuleContext {
    UNINSTALL(): TerminalNode;
    PLUGIN(): TerminalNode;
    uid(): UidContext;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class SetStatementContext extends ParserRuleContext {
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    copyFrom(ctx: SetStatementContext): void;
}
export declare class SetVariableContext extends SetStatementContext {
    SET(): TerminalNode;
    variableClause(): VariableClauseContext[];
    variableClause(i: number): VariableClauseContext;
    expression(): ExpressionContext[];
    expression(i: number): ExpressionContext;
    EQUAL_SYMBOL(): TerminalNode[];
    EQUAL_SYMBOL(i: number): TerminalNode;
    VAR_ASSIGN(): TerminalNode[];
    VAR_ASSIGN(i: number): TerminalNode;
    COMMA(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    constructor(ctx: SetStatementContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class SetCharsetContext extends SetStatementContext {
    SET(): TerminalNode[];
    SET(i: number): TerminalNode;
    CHARACTER(): TerminalNode | undefined;
    CHARSET(): TerminalNode | undefined;
    charsetName(): CharsetNameContext | undefined;
    DEFAULT(): TerminalNode | undefined;
    constructor(ctx: SetStatementContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class SetNamesContext extends SetStatementContext {
    SET(): TerminalNode;
    NAMES(): TerminalNode;
    charsetName(): CharsetNameContext | undefined;
    DEFAULT(): TerminalNode | undefined;
    COLLATE(): TerminalNode | undefined;
    collationName(): CollationNameContext | undefined;
    constructor(ctx: SetStatementContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class SetPasswordContext extends SetStatementContext {
    setPasswordStatement(): SetPasswordStatementContext;
    constructor(ctx: SetStatementContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class SetTransactionContext extends SetStatementContext {
    setTransactionStatement(): SetTransactionStatementContext;
    constructor(ctx: SetStatementContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class SetAutocommitContext extends SetStatementContext {
    setAutocommitStatement(): SetAutocommitStatementContext;
    constructor(ctx: SetStatementContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class SetNewValueInsideTriggerContext extends SetStatementContext {
    SET(): TerminalNode;
    fullId(): FullIdContext[];
    fullId(i: number): FullIdContext;
    expression(): ExpressionContext[];
    expression(i: number): ExpressionContext;
    EQUAL_SYMBOL(): TerminalNode[];
    EQUAL_SYMBOL(i: number): TerminalNode;
    VAR_ASSIGN(): TerminalNode[];
    VAR_ASSIGN(i: number): TerminalNode;
    COMMA(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    constructor(ctx: SetStatementContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class ShowStatementContext extends ParserRuleContext {
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    copyFrom(ctx: ShowStatementContext): void;
}
export declare class ShowMasterLogsContext extends ShowStatementContext {
    _logFormat: Token;
    SHOW(): TerminalNode;
    LOGS(): TerminalNode;
    BINARY(): TerminalNode | undefined;
    MASTER(): TerminalNode | undefined;
    constructor(ctx: ShowStatementContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class ShowLogEventsContext extends ShowStatementContext {
    _logFormat: Token;
    _filename: Token;
    _fromPosition: DecimalLiteralContext;
    _offset: DecimalLiteralContext;
    _rowCount: DecimalLiteralContext;
    SHOW(): TerminalNode;
    EVENTS(): TerminalNode;
    BINLOG(): TerminalNode | undefined;
    RELAYLOG(): TerminalNode | undefined;
    IN(): TerminalNode | undefined;
    FROM(): TerminalNode | undefined;
    LIMIT(): TerminalNode | undefined;
    STRING_LITERAL(): TerminalNode | undefined;
    decimalLiteral(): DecimalLiteralContext[];
    decimalLiteral(i: number): DecimalLiteralContext;
    COMMA(): TerminalNode | undefined;
    constructor(ctx: ShowStatementContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class ShowObjectFilterContext extends ShowStatementContext {
    SHOW(): TerminalNode;
    showCommonEntity(): ShowCommonEntityContext;
    showFilter(): ShowFilterContext | undefined;
    constructor(ctx: ShowStatementContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class ShowColumnsContext extends ShowStatementContext {
    _columnsFormat: Token;
    _tableFormat: Token;
    _schemaFormat: Token;
    SHOW(): TerminalNode;
    tableName(): TableNameContext;
    COLUMNS(): TerminalNode | undefined;
    FIELDS(): TerminalNode | undefined;
    FROM(): TerminalNode[];
    FROM(i: number): TerminalNode;
    IN(): TerminalNode[];
    IN(i: number): TerminalNode;
    FULL(): TerminalNode | undefined;
    uid(): UidContext | undefined;
    showFilter(): ShowFilterContext | undefined;
    constructor(ctx: ShowStatementContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class ShowCreateDbContext extends ShowStatementContext {
    _schemaFormat: Token;
    SHOW(): TerminalNode;
    CREATE(): TerminalNode;
    uid(): UidContext;
    DATABASE(): TerminalNode | undefined;
    SCHEMA(): TerminalNode | undefined;
    ifNotExists(): IfNotExistsContext | undefined;
    constructor(ctx: ShowStatementContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class ShowCreateFullIdObjectContext extends ShowStatementContext {
    _namedEntity: Token;
    SHOW(): TerminalNode;
    CREATE(): TerminalNode;
    fullId(): FullIdContext;
    EVENT(): TerminalNode | undefined;
    FUNCTION(): TerminalNode | undefined;
    PROCEDURE(): TerminalNode | undefined;
    TABLE(): TerminalNode | undefined;
    TRIGGER(): TerminalNode | undefined;
    VIEW(): TerminalNode | undefined;
    constructor(ctx: ShowStatementContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class ShowCreateUserContext extends ShowStatementContext {
    SHOW(): TerminalNode;
    CREATE(): TerminalNode;
    USER(): TerminalNode;
    userName(): UserNameContext;
    constructor(ctx: ShowStatementContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class ShowEngineContext extends ShowStatementContext {
    _engineOption: Token;
    SHOW(): TerminalNode;
    ENGINE(): TerminalNode;
    engineName(): EngineNameContext;
    STATUS(): TerminalNode | undefined;
    MUTEX(): TerminalNode | undefined;
    constructor(ctx: ShowStatementContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class ShowGlobalInfoContext extends ShowStatementContext {
    SHOW(): TerminalNode;
    showGlobalInfoClause(): ShowGlobalInfoClauseContext;
    constructor(ctx: ShowStatementContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class ShowErrorsContext extends ShowStatementContext {
    _errorFormat: Token;
    _offset: DecimalLiteralContext;
    _rowCount: DecimalLiteralContext;
    SHOW(): TerminalNode;
    ERRORS(): TerminalNode | undefined;
    WARNINGS(): TerminalNode | undefined;
    LIMIT(): TerminalNode | undefined;
    decimalLiteral(): DecimalLiteralContext[];
    decimalLiteral(i: number): DecimalLiteralContext;
    COMMA(): TerminalNode | undefined;
    constructor(ctx: ShowStatementContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class ShowCountErrorsContext extends ShowStatementContext {
    _errorFormat: Token;
    SHOW(): TerminalNode;
    COUNT(): TerminalNode;
    LR_BRACKET(): TerminalNode;
    STAR(): TerminalNode;
    RR_BRACKET(): TerminalNode;
    ERRORS(): TerminalNode | undefined;
    WARNINGS(): TerminalNode | undefined;
    constructor(ctx: ShowStatementContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class ShowSchemaFilterContext extends ShowStatementContext {
    _schemaFormat: Token;
    SHOW(): TerminalNode;
    showSchemaEntity(): ShowSchemaEntityContext;
    uid(): UidContext | undefined;
    showFilter(): ShowFilterContext | undefined;
    FROM(): TerminalNode | undefined;
    IN(): TerminalNode | undefined;
    constructor(ctx: ShowStatementContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class ShowRoutineContext extends ShowStatementContext {
    _routine: Token;
    SHOW(): TerminalNode;
    CODE(): TerminalNode;
    fullId(): FullIdContext;
    FUNCTION(): TerminalNode | undefined;
    PROCEDURE(): TerminalNode | undefined;
    constructor(ctx: ShowStatementContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class ShowGrantsContext extends ShowStatementContext {
    SHOW(): TerminalNode;
    GRANTS(): TerminalNode;
    FOR(): TerminalNode | undefined;
    userName(): UserNameContext | undefined;
    constructor(ctx: ShowStatementContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class ShowIndexesContext extends ShowStatementContext {
    _indexFormat: Token;
    _tableFormat: Token;
    _schemaFormat: Token;
    SHOW(): TerminalNode;
    tableName(): TableNameContext;
    INDEX(): TerminalNode | undefined;
    INDEXES(): TerminalNode | undefined;
    KEYS(): TerminalNode | undefined;
    FROM(): TerminalNode[];
    FROM(i: number): TerminalNode;
    IN(): TerminalNode[];
    IN(i: number): TerminalNode;
    uid(): UidContext | undefined;
    WHERE(): TerminalNode | undefined;
    expression(): ExpressionContext | undefined;
    constructor(ctx: ShowStatementContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class ShowOpenTablesContext extends ShowStatementContext {
    _schemaFormat: Token;
    SHOW(): TerminalNode;
    OPEN(): TerminalNode;
    TABLES(): TerminalNode;
    uid(): UidContext | undefined;
    showFilter(): ShowFilterContext | undefined;
    FROM(): TerminalNode | undefined;
    IN(): TerminalNode | undefined;
    constructor(ctx: ShowStatementContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class ShowProfileContext extends ShowStatementContext {
    _queryCount: DecimalLiteralContext;
    _offset: DecimalLiteralContext;
    _rowCount: DecimalLiteralContext;
    SHOW(): TerminalNode;
    PROFILE(): TerminalNode;
    showProfileType(): ShowProfileTypeContext[];
    showProfileType(i: number): ShowProfileTypeContext;
    LIMIT(): TerminalNode | undefined;
    COMMA(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    FOR(): TerminalNode | undefined;
    QUERY(): TerminalNode | undefined;
    decimalLiteral(): DecimalLiteralContext[];
    decimalLiteral(i: number): DecimalLiteralContext;
    constructor(ctx: ShowStatementContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class ShowSlaveStatusContext extends ShowStatementContext {
    SHOW(): TerminalNode;
    SLAVE(): TerminalNode;
    STATUS(): TerminalNode;
    FOR(): TerminalNode | undefined;
    CHANNEL(): TerminalNode | undefined;
    STRING_LITERAL(): TerminalNode | undefined;
    constructor(ctx: ShowStatementContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class VariableClauseContext extends ParserRuleContext {
    LOCAL_ID(): TerminalNode | undefined;
    GLOBAL_ID(): TerminalNode | undefined;
    uid(): UidContext | undefined;
    GLOBAL(): TerminalNode | undefined;
    SESSION(): TerminalNode | undefined;
    LOCAL(): TerminalNode | undefined;
    AT_SIGN(): TerminalNode[];
    AT_SIGN(i: number): TerminalNode;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class ShowCommonEntityContext extends ParserRuleContext {
    CHARACTER(): TerminalNode | undefined;
    SET(): TerminalNode | undefined;
    COLLATION(): TerminalNode | undefined;
    DATABASES(): TerminalNode | undefined;
    SCHEMAS(): TerminalNode | undefined;
    FUNCTION(): TerminalNode | undefined;
    STATUS(): TerminalNode | undefined;
    PROCEDURE(): TerminalNode | undefined;
    VARIABLES(): TerminalNode | undefined;
    GLOBAL(): TerminalNode | undefined;
    SESSION(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class ShowFilterContext extends ParserRuleContext {
    LIKE(): TerminalNode | undefined;
    STRING_LITERAL(): TerminalNode | undefined;
    WHERE(): TerminalNode | undefined;
    expression(): ExpressionContext | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class ShowGlobalInfoClauseContext extends ParserRuleContext {
    ENGINES(): TerminalNode | undefined;
    STORAGE(): TerminalNode | undefined;
    MASTER(): TerminalNode | undefined;
    STATUS(): TerminalNode | undefined;
    PLUGINS(): TerminalNode | undefined;
    PRIVILEGES(): TerminalNode | undefined;
    PROCESSLIST(): TerminalNode | undefined;
    FULL(): TerminalNode | undefined;
    PROFILES(): TerminalNode | undefined;
    SLAVE(): TerminalNode | undefined;
    HOSTS(): TerminalNode | undefined;
    AUTHORS(): TerminalNode | undefined;
    CONTRIBUTORS(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class ShowSchemaEntityContext extends ParserRuleContext {
    EVENTS(): TerminalNode | undefined;
    TABLE(): TerminalNode | undefined;
    STATUS(): TerminalNode | undefined;
    TABLES(): TerminalNode | undefined;
    FULL(): TerminalNode | undefined;
    TRIGGERS(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class ShowProfileTypeContext extends ParserRuleContext {
    ALL(): TerminalNode | undefined;
    BLOCK(): TerminalNode | undefined;
    IO(): TerminalNode | undefined;
    CONTEXT(): TerminalNode | undefined;
    SWITCHES(): TerminalNode | undefined;
    CPU(): TerminalNode | undefined;
    IPC(): TerminalNode | undefined;
    MEMORY(): TerminalNode | undefined;
    PAGE(): TerminalNode | undefined;
    FAULTS(): TerminalNode | undefined;
    SOURCE(): TerminalNode | undefined;
    SWAPS(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class BinlogStatementContext extends ParserRuleContext {
    BINLOG(): TerminalNode;
    STRING_LITERAL(): TerminalNode;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class CacheIndexStatementContext extends ParserRuleContext {
    _schema: UidContext;
    CACHE(): TerminalNode;
    INDEX(): TerminalNode;
    tableIndexes(): TableIndexesContext[];
    tableIndexes(i: number): TableIndexesContext;
    IN(): TerminalNode;
    uid(): UidContext;
    COMMA(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    PARTITION(): TerminalNode | undefined;
    LR_BRACKET(): TerminalNode | undefined;
    RR_BRACKET(): TerminalNode | undefined;
    uidList(): UidListContext | undefined;
    ALL(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class FlushStatementContext extends ParserRuleContext {
    _flushFormat: Token;
    FLUSH(): TerminalNode;
    flushOption(): FlushOptionContext[];
    flushOption(i: number): FlushOptionContext;
    COMMA(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    NO_WRITE_TO_BINLOG(): TerminalNode | undefined;
    LOCAL(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class KillStatementContext extends ParserRuleContext {
    _connectionFormat: Token;
    KILL(): TerminalNode;
    decimalLiteral(): DecimalLiteralContext[];
    decimalLiteral(i: number): DecimalLiteralContext;
    CONNECTION(): TerminalNode | undefined;
    QUERY(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class LoadIndexIntoCacheContext extends ParserRuleContext {
    LOAD(): TerminalNode;
    INDEX(): TerminalNode;
    INTO(): TerminalNode;
    CACHE(): TerminalNode;
    loadedTableIndexes(): LoadedTableIndexesContext[];
    loadedTableIndexes(i: number): LoadedTableIndexesContext;
    COMMA(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class ResetStatementContext extends ParserRuleContext {
    RESET(): TerminalNode;
    QUERY(): TerminalNode;
    CACHE(): TerminalNode;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class ShutdownStatementContext extends ParserRuleContext {
    SHUTDOWN(): TerminalNode;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class TableIndexesContext extends ParserRuleContext {
    _indexFormat: Token;
    tableName(): TableNameContext;
    LR_BRACKET(): TerminalNode | undefined;
    uidList(): UidListContext | undefined;
    RR_BRACKET(): TerminalNode | undefined;
    INDEX(): TerminalNode | undefined;
    KEY(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class FlushOptionContext extends ParserRuleContext {
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    copyFrom(ctx: FlushOptionContext): void;
}
export declare class SimpleFlushOptionContext extends FlushOptionContext {
    DES_KEY_FILE(): TerminalNode | undefined;
    HOSTS(): TerminalNode | undefined;
    LOGS(): TerminalNode | undefined;
    OPTIMIZER_COSTS(): TerminalNode | undefined;
    PRIVILEGES(): TerminalNode | undefined;
    QUERY(): TerminalNode | undefined;
    CACHE(): TerminalNode | undefined;
    STATUS(): TerminalNode | undefined;
    USER_RESOURCES(): TerminalNode | undefined;
    TABLES(): TerminalNode | undefined;
    WITH(): TerminalNode | undefined;
    READ(): TerminalNode | undefined;
    LOCK(): TerminalNode | undefined;
    BINARY(): TerminalNode | undefined;
    ENGINE(): TerminalNode | undefined;
    ERROR(): TerminalNode | undefined;
    GENERAL(): TerminalNode | undefined;
    RELAY(): TerminalNode | undefined;
    SLOW(): TerminalNode | undefined;
    constructor(ctx: FlushOptionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class ChannelFlushOptionContext extends FlushOptionContext {
    RELAY(): TerminalNode;
    LOGS(): TerminalNode;
    channelOption(): ChannelOptionContext | undefined;
    constructor(ctx: FlushOptionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class TableFlushOptionContext extends FlushOptionContext {
    TABLES(): TerminalNode;
    tables(): TablesContext;
    flushTableOption(): FlushTableOptionContext | undefined;
    constructor(ctx: FlushOptionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class FlushTableOptionContext extends ParserRuleContext {
    WITH(): TerminalNode | undefined;
    READ(): TerminalNode | undefined;
    LOCK(): TerminalNode | undefined;
    FOR(): TerminalNode | undefined;
    EXPORT(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class LoadedTableIndexesContext extends ParserRuleContext {
    _partitionList: UidListContext;
    _indexFormat: Token;
    _indexList: UidListContext;
    tableName(): TableNameContext;
    PARTITION(): TerminalNode | undefined;
    LR_BRACKET(): TerminalNode[];
    LR_BRACKET(i: number): TerminalNode;
    RR_BRACKET(): TerminalNode[];
    RR_BRACKET(i: number): TerminalNode;
    IGNORE(): TerminalNode | undefined;
    LEAVES(): TerminalNode | undefined;
    uidList(): UidListContext[];
    uidList(i: number): UidListContext;
    ALL(): TerminalNode | undefined;
    INDEX(): TerminalNode | undefined;
    KEY(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class SimpleDescribeStatementContext extends ParserRuleContext {
    _command: Token;
    _column: UidContext;
    _pattern: Token;
    tableName(): TableNameContext;
    EXPLAIN(): TerminalNode | undefined;
    DESCRIBE(): TerminalNode | undefined;
    DESC(): TerminalNode | undefined;
    uid(): UidContext | undefined;
    STRING_LITERAL(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class FullDescribeStatementContext extends ParserRuleContext {
    _command: Token;
    _formatType: Token;
    _formatValue: Token;
    describeObjectClause(): DescribeObjectClauseContext;
    EXPLAIN(): TerminalNode | undefined;
    DESCRIBE(): TerminalNode | undefined;
    DESC(): TerminalNode | undefined;
    EQUAL_SYMBOL(): TerminalNode | undefined;
    EXTENDED(): TerminalNode | undefined;
    PARTITIONS(): TerminalNode | undefined;
    FORMAT(): TerminalNode | undefined;
    TRADITIONAL(): TerminalNode | undefined;
    JSON(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class HelpStatementContext extends ParserRuleContext {
    HELP(): TerminalNode;
    STRING_LITERAL(): TerminalNode;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class UseStatementContext extends ParserRuleContext {
    USE(): TerminalNode;
    uid(): UidContext;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class SignalStatementContext extends ParserRuleContext {
    SIGNAL(): TerminalNode;
    ID(): TerminalNode | undefined;
    REVERSE_QUOTE_ID(): TerminalNode | undefined;
    SET(): TerminalNode | undefined;
    signalConditionInformation(): SignalConditionInformationContext[];
    signalConditionInformation(i: number): SignalConditionInformationContext;
    SQLSTATE(): TerminalNode | undefined;
    stringLiteral(): StringLiteralContext | undefined;
    COMMA(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    VALUE(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class ResignalStatementContext extends ParserRuleContext {
    RESIGNAL(): TerminalNode;
    ID(): TerminalNode | undefined;
    REVERSE_QUOTE_ID(): TerminalNode | undefined;
    SET(): TerminalNode | undefined;
    signalConditionInformation(): SignalConditionInformationContext[];
    signalConditionInformation(i: number): SignalConditionInformationContext;
    SQLSTATE(): TerminalNode | undefined;
    stringLiteral(): StringLiteralContext | undefined;
    COMMA(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    VALUE(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class SignalConditionInformationContext extends ParserRuleContext {
    EQUAL_SYMBOL(): TerminalNode;
    CLASS_ORIGIN(): TerminalNode | undefined;
    SUBCLASS_ORIGIN(): TerminalNode | undefined;
    MESSAGE_TEXT(): TerminalNode | undefined;
    MYSQL_ERRNO(): TerminalNode | undefined;
    CONSTRAINT_CATALOG(): TerminalNode | undefined;
    CONSTRAINT_SCHEMA(): TerminalNode | undefined;
    CONSTRAINT_NAME(): TerminalNode | undefined;
    CATALOG_NAME(): TerminalNode | undefined;
    SCHEMA_NAME(): TerminalNode | undefined;
    TABLE_NAME(): TerminalNode | undefined;
    COLUMN_NAME(): TerminalNode | undefined;
    CURSOR_NAME(): TerminalNode | undefined;
    stringLiteral(): StringLiteralContext | undefined;
    DECIMAL_LITERAL(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class DiagnosticsStatementContext extends ParserRuleContext {
    GET(): TerminalNode;
    DIAGNOSTICS(): TerminalNode;
    CURRENT(): TerminalNode | undefined;
    STACKED(): TerminalNode | undefined;
    variableClause(): VariableClauseContext[];
    variableClause(i: number): VariableClauseContext;
    EQUAL_SYMBOL(): TerminalNode[];
    EQUAL_SYMBOL(i: number): TerminalNode;
    CONDITION(): TerminalNode | undefined;
    diagnosticsConditionInformationName(): DiagnosticsConditionInformationNameContext[];
    diagnosticsConditionInformationName(i: number): DiagnosticsConditionInformationNameContext;
    NUMBER(): TerminalNode[];
    NUMBER(i: number): TerminalNode;
    ROW_COUNT(): TerminalNode[];
    ROW_COUNT(i: number): TerminalNode;
    decimalLiteral(): DecimalLiteralContext | undefined;
    COMMA(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class DiagnosticsConditionInformationNameContext extends ParserRuleContext {
    CLASS_ORIGIN(): TerminalNode | undefined;
    SUBCLASS_ORIGIN(): TerminalNode | undefined;
    RETURNED_SQLSTATE(): TerminalNode | undefined;
    MESSAGE_TEXT(): TerminalNode | undefined;
    MYSQL_ERRNO(): TerminalNode | undefined;
    CONSTRAINT_CATALOG(): TerminalNode | undefined;
    CONSTRAINT_SCHEMA(): TerminalNode | undefined;
    CONSTRAINT_NAME(): TerminalNode | undefined;
    CATALOG_NAME(): TerminalNode | undefined;
    SCHEMA_NAME(): TerminalNode | undefined;
    TABLE_NAME(): TerminalNode | undefined;
    COLUMN_NAME(): TerminalNode | undefined;
    CURSOR_NAME(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class DescribeObjectClauseContext extends ParserRuleContext {
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    copyFrom(ctx: DescribeObjectClauseContext): void;
}
export declare class DescribeStatementsContext extends DescribeObjectClauseContext {
    selectStatement(): SelectStatementContext | undefined;
    deleteStatement(): DeleteStatementContext | undefined;
    insertStatement(): InsertStatementContext | undefined;
    replaceStatement(): ReplaceStatementContext | undefined;
    updateStatement(): UpdateStatementContext | undefined;
    constructor(ctx: DescribeObjectClauseContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class DescribeConnectionContext extends DescribeObjectClauseContext {
    FOR(): TerminalNode;
    CONNECTION(): TerminalNode;
    uid(): UidContext;
    constructor(ctx: DescribeObjectClauseContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class FullIdContext extends ParserRuleContext {
    uid(): UidContext[];
    uid(i: number): UidContext;
    DOT_ID(): TerminalNode | undefined;
    DOT(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class TableNameContext extends ParserRuleContext {
    fullId(): FullIdContext;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class FullColumnNameContext extends ParserRuleContext {
    uid(): UidContext;
    dottedId(): DottedIdContext[];
    dottedId(i: number): DottedIdContext;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class IndexColumnNameContext extends ParserRuleContext {
    _sortType: Token;
    uid(): UidContext | undefined;
    STRING_LITERAL(): TerminalNode | undefined;
    LR_BRACKET(): TerminalNode | undefined;
    decimalLiteral(): DecimalLiteralContext | undefined;
    RR_BRACKET(): TerminalNode | undefined;
    ASC(): TerminalNode | undefined;
    DESC(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class UserNameContext extends ParserRuleContext {
    STRING_USER_NAME(): TerminalNode | undefined;
    ID(): TerminalNode | undefined;
    STRING_LITERAL(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class MysqlVariableContext extends ParserRuleContext {
    LOCAL_ID(): TerminalNode | undefined;
    GLOBAL_ID(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class CharsetNameContext extends ParserRuleContext {
    BINARY(): TerminalNode | undefined;
    charsetNameBase(): CharsetNameBaseContext | undefined;
    STRING_LITERAL(): TerminalNode | undefined;
    CHARSET_REVERSE_QOUTE_STRING(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class CollationNameContext extends ParserRuleContext {
    uid(): UidContext | undefined;
    STRING_LITERAL(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class EngineNameContext extends ParserRuleContext {
    ARCHIVE(): TerminalNode | undefined;
    BLACKHOLE(): TerminalNode | undefined;
    CSV(): TerminalNode | undefined;
    FEDERATED(): TerminalNode | undefined;
    INNODB(): TerminalNode | undefined;
    MEMORY(): TerminalNode | undefined;
    MRG_MYISAM(): TerminalNode | undefined;
    MYISAM(): TerminalNode | undefined;
    NDB(): TerminalNode | undefined;
    NDBCLUSTER(): TerminalNode | undefined;
    PERFORMANCE_SCHEMA(): TerminalNode | undefined;
    TOKUDB(): TerminalNode | undefined;
    ID(): TerminalNode | undefined;
    STRING_LITERAL(): TerminalNode | undefined;
    REVERSE_QUOTE_ID(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class UuidSetContext extends ParserRuleContext {
    decimalLiteral(): DecimalLiteralContext[];
    decimalLiteral(i: number): DecimalLiteralContext;
    MINUS(): TerminalNode[];
    MINUS(i: number): TerminalNode;
    COLON_SYMB(): TerminalNode[];
    COLON_SYMB(i: number): TerminalNode;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class XidContext extends ParserRuleContext {
    _globalTableUid: XuidStringIdContext;
    _qualifier: XuidStringIdContext;
    _idFormat: DecimalLiteralContext;
    xuidStringId(): XuidStringIdContext[];
    xuidStringId(i: number): XuidStringIdContext;
    COMMA(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    decimalLiteral(): DecimalLiteralContext | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class XuidStringIdContext extends ParserRuleContext {
    STRING_LITERAL(): TerminalNode | undefined;
    BIT_STRING(): TerminalNode | undefined;
    HEXADECIMAL_LITERAL(): TerminalNode[];
    HEXADECIMAL_LITERAL(i: number): TerminalNode;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class AuthPluginContext extends ParserRuleContext {
    uid(): UidContext | undefined;
    STRING_LITERAL(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class UidContext extends ParserRuleContext {
    simpleId(): SimpleIdContext | undefined;
    REVERSE_QUOTE_ID(): TerminalNode | undefined;
    CHARSET_REVERSE_QOUTE_STRING(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class SimpleIdContext extends ParserRuleContext {
    ID(): TerminalNode | undefined;
    charsetNameBase(): CharsetNameBaseContext | undefined;
    transactionLevelBase(): TransactionLevelBaseContext | undefined;
    engineName(): EngineNameContext | undefined;
    privilegesBase(): PrivilegesBaseContext | undefined;
    intervalTypeBase(): IntervalTypeBaseContext | undefined;
    dataTypeBase(): DataTypeBaseContext | undefined;
    keywordsCanBeId(): KeywordsCanBeIdContext | undefined;
    functionNameBase(): FunctionNameBaseContext | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class DottedIdContext extends ParserRuleContext {
    DOT_ID(): TerminalNode | undefined;
    DOT(): TerminalNode | undefined;
    uid(): UidContext | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class DecimalLiteralContext extends ParserRuleContext {
    DECIMAL_LITERAL(): TerminalNode | undefined;
    ZERO_DECIMAL(): TerminalNode | undefined;
    ONE_DECIMAL(): TerminalNode | undefined;
    TWO_DECIMAL(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class FileSizeLiteralContext extends ParserRuleContext {
    FILESIZE_LITERAL(): TerminalNode | undefined;
    decimalLiteral(): DecimalLiteralContext | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class StringLiteralContext extends ParserRuleContext {
    STRING_LITERAL(): TerminalNode[];
    STRING_LITERAL(i: number): TerminalNode;
    START_NATIONAL_STRING_LITERAL(): TerminalNode | undefined;
    STRING_CHARSET_NAME(): TerminalNode | undefined;
    COLLATE(): TerminalNode | undefined;
    collationName(): CollationNameContext | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class BooleanLiteralContext extends ParserRuleContext {
    TRUE(): TerminalNode | undefined;
    FALSE(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class HexadecimalLiteralContext extends ParserRuleContext {
    HEXADECIMAL_LITERAL(): TerminalNode;
    STRING_CHARSET_NAME(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class NullNotnullContext extends ParserRuleContext {
    NULL_LITERAL(): TerminalNode | undefined;
    NULL_SPEC_LITERAL(): TerminalNode | undefined;
    NOT(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class ConstantContext extends ParserRuleContext {
    _nullLiteral: Token;
    stringLiteral(): StringLiteralContext | undefined;
    decimalLiteral(): DecimalLiteralContext | undefined;
    MINUS(): TerminalNode | undefined;
    hexadecimalLiteral(): HexadecimalLiteralContext | undefined;
    booleanLiteral(): BooleanLiteralContext | undefined;
    REAL_LITERAL(): TerminalNode | undefined;
    BIT_STRING(): TerminalNode | undefined;
    NULL_LITERAL(): TerminalNode | undefined;
    NULL_SPEC_LITERAL(): TerminalNode | undefined;
    NOT(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class DataTypeContext extends ParserRuleContext {
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    copyFrom(ctx: DataTypeContext): void;
}
export declare class StringDataTypeContext extends DataTypeContext {
    _typeName: Token;
    CHAR(): TerminalNode | undefined;
    CHARACTER(): TerminalNode[];
    CHARACTER(i: number): TerminalNode;
    VARCHAR(): TerminalNode | undefined;
    TINYTEXT(): TerminalNode | undefined;
    TEXT(): TerminalNode | undefined;
    MEDIUMTEXT(): TerminalNode | undefined;
    LONGTEXT(): TerminalNode | undefined;
    NCHAR(): TerminalNode | undefined;
    NVARCHAR(): TerminalNode | undefined;
    LONG(): TerminalNode | undefined;
    lengthOneDimension(): LengthOneDimensionContext | undefined;
    BINARY(): TerminalNode | undefined;
    charsetName(): CharsetNameContext | undefined;
    COLLATE(): TerminalNode | undefined;
    collationName(): CollationNameContext | undefined;
    SET(): TerminalNode | undefined;
    CHARSET(): TerminalNode | undefined;
    constructor(ctx: DataTypeContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class NationalStringDataTypeContext extends DataTypeContext {
    _typeName: Token;
    NATIONAL(): TerminalNode | undefined;
    VARCHAR(): TerminalNode | undefined;
    CHARACTER(): TerminalNode | undefined;
    lengthOneDimension(): LengthOneDimensionContext | undefined;
    BINARY(): TerminalNode | undefined;
    NCHAR(): TerminalNode | undefined;
    constructor(ctx: DataTypeContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class NationalVaryingStringDataTypeContext extends DataTypeContext {
    _typeName: Token;
    NATIONAL(): TerminalNode;
    VARYING(): TerminalNode;
    CHAR(): TerminalNode | undefined;
    CHARACTER(): TerminalNode | undefined;
    lengthOneDimension(): LengthOneDimensionContext | undefined;
    BINARY(): TerminalNode | undefined;
    constructor(ctx: DataTypeContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class DimensionDataTypeContext extends DataTypeContext {
    _typeName: Token;
    TINYINT(): TerminalNode | undefined;
    SMALLINT(): TerminalNode | undefined;
    MEDIUMINT(): TerminalNode | undefined;
    INT(): TerminalNode | undefined;
    INTEGER(): TerminalNode | undefined;
    BIGINT(): TerminalNode | undefined;
    MIDDLEINT(): TerminalNode | undefined;
    INT1(): TerminalNode | undefined;
    INT2(): TerminalNode | undefined;
    INT3(): TerminalNode | undefined;
    INT4(): TerminalNode | undefined;
    INT8(): TerminalNode | undefined;
    lengthOneDimension(): LengthOneDimensionContext | undefined;
    ZEROFILL(): TerminalNode | undefined;
    SIGNED(): TerminalNode | undefined;
    UNSIGNED(): TerminalNode | undefined;
    REAL(): TerminalNode | undefined;
    lengthTwoDimension(): LengthTwoDimensionContext | undefined;
    DOUBLE(): TerminalNode | undefined;
    PRECISION(): TerminalNode | undefined;
    DECIMAL(): TerminalNode | undefined;
    DEC(): TerminalNode | undefined;
    FIXED(): TerminalNode | undefined;
    NUMERIC(): TerminalNode | undefined;
    FLOAT(): TerminalNode | undefined;
    FLOAT4(): TerminalNode | undefined;
    FLOAT8(): TerminalNode | undefined;
    lengthTwoOptionalDimension(): LengthTwoOptionalDimensionContext | undefined;
    BIT(): TerminalNode | undefined;
    TIME(): TerminalNode | undefined;
    TIMESTAMP(): TerminalNode | undefined;
    DATETIME(): TerminalNode | undefined;
    BINARY(): TerminalNode | undefined;
    VARBINARY(): TerminalNode | undefined;
    YEAR(): TerminalNode | undefined;
    constructor(ctx: DataTypeContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class SimpleDataTypeContext extends DataTypeContext {
    _typeName: Token;
    DATE(): TerminalNode | undefined;
    TINYBLOB(): TerminalNode | undefined;
    BLOB(): TerminalNode | undefined;
    MEDIUMBLOB(): TerminalNode | undefined;
    LONGBLOB(): TerminalNode | undefined;
    BOOL(): TerminalNode | undefined;
    BOOLEAN(): TerminalNode | undefined;
    SERIAL(): TerminalNode | undefined;
    constructor(ctx: DataTypeContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class CollectionDataTypeContext extends DataTypeContext {
    _typeName: Token;
    collectionOptions(): CollectionOptionsContext;
    ENUM(): TerminalNode | undefined;
    SET(): TerminalNode[];
    SET(i: number): TerminalNode;
    BINARY(): TerminalNode | undefined;
    charsetName(): CharsetNameContext | undefined;
    CHARACTER(): TerminalNode | undefined;
    CHARSET(): TerminalNode | undefined;
    constructor(ctx: DataTypeContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class SpatialDataTypeContext extends DataTypeContext {
    _typeName: Token;
    GEOMETRYCOLLECTION(): TerminalNode | undefined;
    GEOMCOLLECTION(): TerminalNode | undefined;
    LINESTRING(): TerminalNode | undefined;
    MULTILINESTRING(): TerminalNode | undefined;
    MULTIPOINT(): TerminalNode | undefined;
    MULTIPOLYGON(): TerminalNode | undefined;
    POINT(): TerminalNode | undefined;
    POLYGON(): TerminalNode | undefined;
    JSON(): TerminalNode | undefined;
    GEOMETRY(): TerminalNode | undefined;
    constructor(ctx: DataTypeContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class LongVarcharDataTypeContext extends DataTypeContext {
    _typeName: Token;
    LONG(): TerminalNode;
    VARCHAR(): TerminalNode | undefined;
    BINARY(): TerminalNode | undefined;
    charsetName(): CharsetNameContext | undefined;
    COLLATE(): TerminalNode | undefined;
    collationName(): CollationNameContext | undefined;
    CHARACTER(): TerminalNode | undefined;
    SET(): TerminalNode | undefined;
    CHARSET(): TerminalNode | undefined;
    constructor(ctx: DataTypeContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class LongVarbinaryDataTypeContext extends DataTypeContext {
    LONG(): TerminalNode;
    VARBINARY(): TerminalNode;
    constructor(ctx: DataTypeContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class CollectionOptionsContext extends ParserRuleContext {
    LR_BRACKET(): TerminalNode;
    STRING_LITERAL(): TerminalNode[];
    STRING_LITERAL(i: number): TerminalNode;
    RR_BRACKET(): TerminalNode;
    COMMA(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class ConvertedDataTypeContext extends ParserRuleContext {
    _typeName: Token;
    BINARY(): TerminalNode | undefined;
    NCHAR(): TerminalNode | undefined;
    lengthOneDimension(): LengthOneDimensionContext | undefined;
    CHAR(): TerminalNode | undefined;
    charsetName(): CharsetNameContext | undefined;
    CHARACTER(): TerminalNode | undefined;
    SET(): TerminalNode | undefined;
    CHARSET(): TerminalNode | undefined;
    DATE(): TerminalNode | undefined;
    DATETIME(): TerminalNode | undefined;
    TIME(): TerminalNode | undefined;
    JSON(): TerminalNode | undefined;
    DECIMAL(): TerminalNode | undefined;
    lengthTwoDimension(): LengthTwoDimensionContext | undefined;
    SIGNED(): TerminalNode | undefined;
    UNSIGNED(): TerminalNode | undefined;
    INTEGER(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class LengthOneDimensionContext extends ParserRuleContext {
    LR_BRACKET(): TerminalNode;
    decimalLiteral(): DecimalLiteralContext;
    RR_BRACKET(): TerminalNode;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class LengthTwoDimensionContext extends ParserRuleContext {
    LR_BRACKET(): TerminalNode;
    decimalLiteral(): DecimalLiteralContext[];
    decimalLiteral(i: number): DecimalLiteralContext;
    COMMA(): TerminalNode;
    RR_BRACKET(): TerminalNode;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class LengthTwoOptionalDimensionContext extends ParserRuleContext {
    LR_BRACKET(): TerminalNode;
    decimalLiteral(): DecimalLiteralContext[];
    decimalLiteral(i: number): DecimalLiteralContext;
    RR_BRACKET(): TerminalNode;
    COMMA(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class UidListContext extends ParserRuleContext {
    uid(): UidContext[];
    uid(i: number): UidContext;
    COMMA(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class TablesContext extends ParserRuleContext {
    tableName(): TableNameContext[];
    tableName(i: number): TableNameContext;
    COMMA(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class IndexColumnNamesContext extends ParserRuleContext {
    LR_BRACKET(): TerminalNode;
    indexColumnName(): IndexColumnNameContext[];
    indexColumnName(i: number): IndexColumnNameContext;
    RR_BRACKET(): TerminalNode;
    COMMA(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class ExpressionsContext extends ParserRuleContext {
    expression(): ExpressionContext[];
    expression(i: number): ExpressionContext;
    COMMA(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class ExpressionsWithDefaultsContext extends ParserRuleContext {
    expressionOrDefault(): ExpressionOrDefaultContext[];
    expressionOrDefault(i: number): ExpressionOrDefaultContext;
    COMMA(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class ConstantsContext extends ParserRuleContext {
    constant(): ConstantContext[];
    constant(i: number): ConstantContext;
    COMMA(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class SimpleStringsContext extends ParserRuleContext {
    STRING_LITERAL(): TerminalNode[];
    STRING_LITERAL(i: number): TerminalNode;
    COMMA(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class UserVariablesContext extends ParserRuleContext {
    LOCAL_ID(): TerminalNode[];
    LOCAL_ID(i: number): TerminalNode;
    COMMA(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class DefaultValueContext extends ParserRuleContext {
    NULL_LITERAL(): TerminalNode | undefined;
    constant(): ConstantContext | undefined;
    unaryOperator(): UnaryOperatorContext | undefined;
    currentTimestamp(): CurrentTimestampContext[];
    currentTimestamp(i: number): CurrentTimestampContext;
    ON(): TerminalNode | undefined;
    UPDATE(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class CurrentTimestampContext extends ParserRuleContext {
    NOW(): TerminalNode | undefined;
    LR_BRACKET(): TerminalNode | undefined;
    RR_BRACKET(): TerminalNode | undefined;
    CURRENT_TIMESTAMP(): TerminalNode | undefined;
    LOCALTIME(): TerminalNode | undefined;
    LOCALTIMESTAMP(): TerminalNode | undefined;
    decimalLiteral(): DecimalLiteralContext | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class ExpressionOrDefaultContext extends ParserRuleContext {
    expression(): ExpressionContext | undefined;
    DEFAULT(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class IfExistsContext extends ParserRuleContext {
    IF(): TerminalNode;
    EXISTS(): TerminalNode;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class IfNotExistsContext extends ParserRuleContext {
    IF(): TerminalNode;
    NOT(): TerminalNode;
    EXISTS(): TerminalNode;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class FunctionCallContext extends ParserRuleContext {
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    copyFrom(ctx: FunctionCallContext): void;
}
export declare class SpecificFunctionCallContext extends FunctionCallContext {
    specificFunction(): SpecificFunctionContext;
    constructor(ctx: FunctionCallContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class AggregateFunctionCallContext extends FunctionCallContext {
    aggregateWindowedFunction(): AggregateWindowedFunctionContext;
    constructor(ctx: FunctionCallContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class ScalarFunctionCallContext extends FunctionCallContext {
    scalarFunctionName(): ScalarFunctionNameContext;
    LR_BRACKET(): TerminalNode;
    RR_BRACKET(): TerminalNode;
    functionArgs(): FunctionArgsContext | undefined;
    constructor(ctx: FunctionCallContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class UdfFunctionCallContext extends FunctionCallContext {
    fullId(): FullIdContext;
    LR_BRACKET(): TerminalNode;
    RR_BRACKET(): TerminalNode;
    functionArgs(): FunctionArgsContext | undefined;
    constructor(ctx: FunctionCallContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class PasswordFunctionCallContext extends FunctionCallContext {
    passwordFunctionClause(): PasswordFunctionClauseContext;
    constructor(ctx: FunctionCallContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class SpecificFunctionContext extends ParserRuleContext {
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    copyFrom(ctx: SpecificFunctionContext): void;
}
export declare class SimpleFunctionCallContext extends SpecificFunctionContext {
    CURRENT_DATE(): TerminalNode | undefined;
    CURRENT_TIME(): TerminalNode | undefined;
    CURRENT_TIMESTAMP(): TerminalNode | undefined;
    CURRENT_USER(): TerminalNode | undefined;
    LOCALTIME(): TerminalNode | undefined;
    constructor(ctx: SpecificFunctionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class DataTypeFunctionCallContext extends SpecificFunctionContext {
    _separator: Token;
    CONVERT(): TerminalNode | undefined;
    LR_BRACKET(): TerminalNode;
    expression(): ExpressionContext;
    convertedDataType(): ConvertedDataTypeContext | undefined;
    RR_BRACKET(): TerminalNode;
    COMMA(): TerminalNode | undefined;
    USING(): TerminalNode | undefined;
    charsetName(): CharsetNameContext | undefined;
    CAST(): TerminalNode | undefined;
    AS(): TerminalNode | undefined;
    constructor(ctx: SpecificFunctionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class ValuesFunctionCallContext extends SpecificFunctionContext {
    VALUES(): TerminalNode;
    LR_BRACKET(): TerminalNode;
    fullColumnName(): FullColumnNameContext;
    RR_BRACKET(): TerminalNode;
    constructor(ctx: SpecificFunctionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class CaseFunctionCallContext extends SpecificFunctionContext {
    _elseArg: FunctionArgContext;
    CASE(): TerminalNode;
    expression(): ExpressionContext | undefined;
    END(): TerminalNode;
    caseFuncAlternative(): CaseFuncAlternativeContext[];
    caseFuncAlternative(i: number): CaseFuncAlternativeContext;
    ELSE(): TerminalNode | undefined;
    functionArg(): FunctionArgContext | undefined;
    constructor(ctx: SpecificFunctionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class CharFunctionCallContext extends SpecificFunctionContext {
    CHAR(): TerminalNode;
    LR_BRACKET(): TerminalNode;
    functionArgs(): FunctionArgsContext;
    RR_BRACKET(): TerminalNode;
    USING(): TerminalNode | undefined;
    charsetName(): CharsetNameContext | undefined;
    constructor(ctx: SpecificFunctionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class PositionFunctionCallContext extends SpecificFunctionContext {
    _positionString: StringLiteralContext;
    _positionExpression: ExpressionContext;
    _inString: StringLiteralContext;
    _inExpression: ExpressionContext;
    POSITION(): TerminalNode;
    LR_BRACKET(): TerminalNode;
    IN(): TerminalNode;
    RR_BRACKET(): TerminalNode;
    stringLiteral(): StringLiteralContext[];
    stringLiteral(i: number): StringLiteralContext;
    expression(): ExpressionContext[];
    expression(i: number): ExpressionContext;
    constructor(ctx: SpecificFunctionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class SubstrFunctionCallContext extends SpecificFunctionContext {
    _sourceString: StringLiteralContext;
    _sourceExpression: ExpressionContext;
    _fromDecimal: DecimalLiteralContext;
    _fromExpression: ExpressionContext;
    _forDecimal: DecimalLiteralContext;
    _forExpression: ExpressionContext;
    LR_BRACKET(): TerminalNode;
    FROM(): TerminalNode;
    RR_BRACKET(): TerminalNode;
    SUBSTR(): TerminalNode | undefined;
    SUBSTRING(): TerminalNode | undefined;
    stringLiteral(): StringLiteralContext | undefined;
    expression(): ExpressionContext[];
    expression(i: number): ExpressionContext;
    decimalLiteral(): DecimalLiteralContext[];
    decimalLiteral(i: number): DecimalLiteralContext;
    FOR(): TerminalNode | undefined;
    constructor(ctx: SpecificFunctionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class TrimFunctionCallContext extends SpecificFunctionContext {
    _positioinForm: Token;
    _sourceString: StringLiteralContext;
    _sourceExpression: ExpressionContext;
    _fromString: StringLiteralContext;
    _fromExpression: ExpressionContext;
    TRIM(): TerminalNode;
    LR_BRACKET(): TerminalNode;
    FROM(): TerminalNode;
    RR_BRACKET(): TerminalNode;
    BOTH(): TerminalNode | undefined;
    LEADING(): TerminalNode | undefined;
    TRAILING(): TerminalNode | undefined;
    stringLiteral(): StringLiteralContext[];
    stringLiteral(i: number): StringLiteralContext;
    expression(): ExpressionContext[];
    expression(i: number): ExpressionContext;
    constructor(ctx: SpecificFunctionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class WeightFunctionCallContext extends SpecificFunctionContext {
    _stringFormat: Token;
    WEIGHT_STRING(): TerminalNode;
    LR_BRACKET(): TerminalNode[];
    LR_BRACKET(i: number): TerminalNode;
    RR_BRACKET(): TerminalNode[];
    RR_BRACKET(i: number): TerminalNode;
    stringLiteral(): StringLiteralContext | undefined;
    expression(): ExpressionContext | undefined;
    AS(): TerminalNode | undefined;
    decimalLiteral(): DecimalLiteralContext | undefined;
    levelsInWeightString(): LevelsInWeightStringContext | undefined;
    CHAR(): TerminalNode | undefined;
    BINARY(): TerminalNode | undefined;
    constructor(ctx: SpecificFunctionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class ExtractFunctionCallContext extends SpecificFunctionContext {
    _sourceString: StringLiteralContext;
    _sourceExpression: ExpressionContext;
    EXTRACT(): TerminalNode;
    LR_BRACKET(): TerminalNode;
    intervalType(): IntervalTypeContext;
    FROM(): TerminalNode;
    RR_BRACKET(): TerminalNode;
    stringLiteral(): StringLiteralContext | undefined;
    expression(): ExpressionContext | undefined;
    constructor(ctx: SpecificFunctionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class GetFormatFunctionCallContext extends SpecificFunctionContext {
    _datetimeFormat: Token;
    GET_FORMAT(): TerminalNode;
    LR_BRACKET(): TerminalNode;
    COMMA(): TerminalNode;
    stringLiteral(): StringLiteralContext;
    RR_BRACKET(): TerminalNode;
    DATE(): TerminalNode | undefined;
    TIME(): TerminalNode | undefined;
    DATETIME(): TerminalNode | undefined;
    constructor(ctx: SpecificFunctionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class CaseFuncAlternativeContext extends ParserRuleContext {
    _condition: FunctionArgContext;
    _consequent: FunctionArgContext;
    WHEN(): TerminalNode;
    THEN(): TerminalNode;
    functionArg(): FunctionArgContext[];
    functionArg(i: number): FunctionArgContext;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class LevelsInWeightStringContext extends ParserRuleContext {
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    copyFrom(ctx: LevelsInWeightStringContext): void;
}
export declare class LevelWeightListContext extends LevelsInWeightStringContext {
    LEVEL(): TerminalNode;
    levelInWeightListElement(): LevelInWeightListElementContext[];
    levelInWeightListElement(i: number): LevelInWeightListElementContext;
    COMMA(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    constructor(ctx: LevelsInWeightStringContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class LevelWeightRangeContext extends LevelsInWeightStringContext {
    _firstLevel: DecimalLiteralContext;
    _lastLevel: DecimalLiteralContext;
    LEVEL(): TerminalNode;
    MINUS(): TerminalNode;
    decimalLiteral(): DecimalLiteralContext[];
    decimalLiteral(i: number): DecimalLiteralContext;
    constructor(ctx: LevelsInWeightStringContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class LevelInWeightListElementContext extends ParserRuleContext {
    _orderType: Token;
    decimalLiteral(): DecimalLiteralContext;
    ASC(): TerminalNode | undefined;
    DESC(): TerminalNode | undefined;
    REVERSE(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class AggregateWindowedFunctionContext extends ParserRuleContext {
    _aggregator: Token;
    _starArg: Token;
    _separator: Token;
    LR_BRACKET(): TerminalNode;
    functionArg(): FunctionArgContext | undefined;
    RR_BRACKET(): TerminalNode;
    AVG(): TerminalNode | undefined;
    MAX(): TerminalNode | undefined;
    MIN(): TerminalNode | undefined;
    SUM(): TerminalNode | undefined;
    ALL(): TerminalNode | undefined;
    DISTINCT(): TerminalNode | undefined;
    COUNT(): TerminalNode | undefined;
    STAR(): TerminalNode | undefined;
    functionArgs(): FunctionArgsContext | undefined;
    BIT_AND(): TerminalNode | undefined;
    BIT_OR(): TerminalNode | undefined;
    BIT_XOR(): TerminalNode | undefined;
    STD(): TerminalNode | undefined;
    STDDEV(): TerminalNode | undefined;
    STDDEV_POP(): TerminalNode | undefined;
    STDDEV_SAMP(): TerminalNode | undefined;
    VAR_POP(): TerminalNode | undefined;
    VAR_SAMP(): TerminalNode | undefined;
    VARIANCE(): TerminalNode | undefined;
    GROUP_CONCAT(): TerminalNode | undefined;
    ORDER(): TerminalNode | undefined;
    BY(): TerminalNode | undefined;
    orderByExpression(): OrderByExpressionContext[];
    orderByExpression(i: number): OrderByExpressionContext;
    SEPARATOR(): TerminalNode | undefined;
    STRING_LITERAL(): TerminalNode | undefined;
    COMMA(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class ScalarFunctionNameContext extends ParserRuleContext {
    functionNameBase(): FunctionNameBaseContext | undefined;
    ASCII(): TerminalNode | undefined;
    CURDATE(): TerminalNode | undefined;
    CURRENT_DATE(): TerminalNode | undefined;
    CURRENT_TIME(): TerminalNode | undefined;
    CURRENT_TIMESTAMP(): TerminalNode | undefined;
    CURTIME(): TerminalNode | undefined;
    DATE_ADD(): TerminalNode | undefined;
    DATE_SUB(): TerminalNode | undefined;
    IF(): TerminalNode | undefined;
    INSERT(): TerminalNode | undefined;
    LOCALTIME(): TerminalNode | undefined;
    LOCALTIMESTAMP(): TerminalNode | undefined;
    MID(): TerminalNode | undefined;
    NOW(): TerminalNode | undefined;
    REPLACE(): TerminalNode | undefined;
    SUBSTR(): TerminalNode | undefined;
    SUBSTRING(): TerminalNode | undefined;
    SYSDATE(): TerminalNode | undefined;
    TRIM(): TerminalNode | undefined;
    UTC_DATE(): TerminalNode | undefined;
    UTC_TIME(): TerminalNode | undefined;
    UTC_TIMESTAMP(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class PasswordFunctionClauseContext extends ParserRuleContext {
    _functionName: Token;
    LR_BRACKET(): TerminalNode;
    functionArg(): FunctionArgContext;
    RR_BRACKET(): TerminalNode;
    PASSWORD(): TerminalNode | undefined;
    OLD_PASSWORD(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class FunctionArgsContext extends ParserRuleContext {
    constant(): ConstantContext[];
    constant(i: number): ConstantContext;
    fullColumnName(): FullColumnNameContext[];
    fullColumnName(i: number): FullColumnNameContext;
    functionCall(): FunctionCallContext[];
    functionCall(i: number): FunctionCallContext;
    expression(): ExpressionContext[];
    expression(i: number): ExpressionContext;
    COMMA(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class FunctionArgContext extends ParserRuleContext {
    constant(): ConstantContext | undefined;
    fullColumnName(): FullColumnNameContext | undefined;
    functionCall(): FunctionCallContext | undefined;
    expression(): ExpressionContext | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class ExpressionContext extends ParserRuleContext {
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    copyFrom(ctx: ExpressionContext): void;
}
export declare class NotExpressionContext extends ExpressionContext {
    _notOperator: Token;
    expression(): ExpressionContext;
    NOT(): TerminalNode | undefined;
    EXCLAMATION_SYMBOL(): TerminalNode | undefined;
    constructor(ctx: ExpressionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class LogicalExpressionContext extends ExpressionContext {
    expression(): ExpressionContext[];
    expression(i: number): ExpressionContext;
    logicalOperator(): LogicalOperatorContext;
    constructor(ctx: ExpressionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class IsExpressionContext extends ExpressionContext {
    _testValue: Token;
    predicate(): PredicateContext;
    IS(): TerminalNode;
    TRUE(): TerminalNode | undefined;
    FALSE(): TerminalNode | undefined;
    UNKNOWN(): TerminalNode | undefined;
    NOT(): TerminalNode | undefined;
    constructor(ctx: ExpressionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class PredicateExpressionContext extends ExpressionContext {
    predicate(): PredicateContext;
    constructor(ctx: ExpressionContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class PredicateContext extends ParserRuleContext {
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    copyFrom(ctx: PredicateContext): void;
}
export declare class InPredicateContext extends PredicateContext {
    predicate(): PredicateContext;
    IN(): TerminalNode;
    LR_BRACKET(): TerminalNode;
    RR_BRACKET(): TerminalNode;
    selectStatement(): SelectStatementContext | undefined;
    expressions(): ExpressionsContext | undefined;
    NOT(): TerminalNode | undefined;
    constructor(ctx: PredicateContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class IsNullPredicateContext extends PredicateContext {
    predicate(): PredicateContext;
    IS(): TerminalNode;
    nullNotnull(): NullNotnullContext;
    constructor(ctx: PredicateContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class BinaryComparasionPredicateContext extends PredicateContext {
    _left: PredicateContext;
    _right: PredicateContext;
    comparisonOperator(): ComparisonOperatorContext;
    predicate(): PredicateContext[];
    predicate(i: number): PredicateContext;
    constructor(ctx: PredicateContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class SubqueryComparasionPredicateContext extends PredicateContext {
    _quantifier: Token;
    predicate(): PredicateContext;
    comparisonOperator(): ComparisonOperatorContext;
    LR_BRACKET(): TerminalNode;
    selectStatement(): SelectStatementContext;
    RR_BRACKET(): TerminalNode;
    ALL(): TerminalNode | undefined;
    ANY(): TerminalNode | undefined;
    SOME(): TerminalNode | undefined;
    constructor(ctx: PredicateContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class BetweenPredicateContext extends PredicateContext {
    predicate(): PredicateContext[];
    predicate(i: number): PredicateContext;
    BETWEEN(): TerminalNode;
    AND(): TerminalNode;
    NOT(): TerminalNode | undefined;
    constructor(ctx: PredicateContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class SoundsLikePredicateContext extends PredicateContext {
    predicate(): PredicateContext[];
    predicate(i: number): PredicateContext;
    SOUNDS(): TerminalNode;
    LIKE(): TerminalNode;
    constructor(ctx: PredicateContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class LikePredicateContext extends PredicateContext {
    predicate(): PredicateContext[];
    predicate(i: number): PredicateContext;
    LIKE(): TerminalNode;
    NOT(): TerminalNode | undefined;
    ESCAPE(): TerminalNode | undefined;
    STRING_LITERAL(): TerminalNode | undefined;
    constructor(ctx: PredicateContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class RegexpPredicateContext extends PredicateContext {
    _regex: Token;
    predicate(): PredicateContext[];
    predicate(i: number): PredicateContext;
    REGEXP(): TerminalNode | undefined;
    RLIKE(): TerminalNode | undefined;
    NOT(): TerminalNode | undefined;
    constructor(ctx: PredicateContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class ExpressionAtomPredicateContext extends PredicateContext {
    expressionAtom(): ExpressionAtomContext;
    LOCAL_ID(): TerminalNode | undefined;
    VAR_ASSIGN(): TerminalNode | undefined;
    constructor(ctx: PredicateContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class ExpressionAtomContext extends ParserRuleContext {
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    copyFrom(ctx: ExpressionAtomContext): void;
}
export declare class ConstantExpressionAtomContext extends ExpressionAtomContext {
    constant(): ConstantContext;
    constructor(ctx: ExpressionAtomContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class FullColumnNameExpressionAtomContext extends ExpressionAtomContext {
    fullColumnName(): FullColumnNameContext;
    constructor(ctx: ExpressionAtomContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class FunctionCallExpressionAtomContext extends ExpressionAtomContext {
    functionCall(): FunctionCallContext;
    constructor(ctx: ExpressionAtomContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class CollateExpressionAtomContext extends ExpressionAtomContext {
    expressionAtom(): ExpressionAtomContext;
    COLLATE(): TerminalNode;
    collationName(): CollationNameContext;
    constructor(ctx: ExpressionAtomContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class MysqlVariableExpressionAtomContext extends ExpressionAtomContext {
    mysqlVariable(): MysqlVariableContext;
    constructor(ctx: ExpressionAtomContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class UnaryExpressionAtomContext extends ExpressionAtomContext {
    unaryOperator(): UnaryOperatorContext;
    expressionAtom(): ExpressionAtomContext;
    constructor(ctx: ExpressionAtomContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class BinaryExpressionAtomContext extends ExpressionAtomContext {
    BINARY(): TerminalNode;
    expressionAtom(): ExpressionAtomContext;
    constructor(ctx: ExpressionAtomContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class NestedExpressionAtomContext extends ExpressionAtomContext {
    LR_BRACKET(): TerminalNode;
    expression(): ExpressionContext[];
    expression(i: number): ExpressionContext;
    RR_BRACKET(): TerminalNode;
    COMMA(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    constructor(ctx: ExpressionAtomContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class NestedRowExpressionAtomContext extends ExpressionAtomContext {
    ROW(): TerminalNode;
    LR_BRACKET(): TerminalNode;
    expression(): ExpressionContext[];
    expression(i: number): ExpressionContext;
    RR_BRACKET(): TerminalNode;
    COMMA(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    constructor(ctx: ExpressionAtomContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class ExistsExpessionAtomContext extends ExpressionAtomContext {
    EXISTS(): TerminalNode;
    LR_BRACKET(): TerminalNode;
    selectStatement(): SelectStatementContext;
    RR_BRACKET(): TerminalNode;
    constructor(ctx: ExpressionAtomContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class SubqueryExpessionAtomContext extends ExpressionAtomContext {
    LR_BRACKET(): TerminalNode;
    selectStatement(): SelectStatementContext;
    RR_BRACKET(): TerminalNode;
    constructor(ctx: ExpressionAtomContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class IntervalExpressionAtomContext extends ExpressionAtomContext {
    INTERVAL(): TerminalNode;
    expression(): ExpressionContext;
    intervalType(): IntervalTypeContext;
    constructor(ctx: ExpressionAtomContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class BitExpressionAtomContext extends ExpressionAtomContext {
    _left: ExpressionAtomContext;
    _right: ExpressionAtomContext;
    bitOperator(): BitOperatorContext;
    expressionAtom(): ExpressionAtomContext[];
    expressionAtom(i: number): ExpressionAtomContext;
    constructor(ctx: ExpressionAtomContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class MathExpressionAtomContext extends ExpressionAtomContext {
    _left: ExpressionAtomContext;
    _right: ExpressionAtomContext;
    mathOperator(): MathOperatorContext;
    expressionAtom(): ExpressionAtomContext[];
    expressionAtom(i: number): ExpressionAtomContext;
    constructor(ctx: ExpressionAtomContext);
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class UnaryOperatorContext extends ParserRuleContext {
    EXCLAMATION_SYMBOL(): TerminalNode | undefined;
    BIT_NOT_OP(): TerminalNode | undefined;
    PLUS(): TerminalNode | undefined;
    MINUS(): TerminalNode | undefined;
    NOT(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class ComparisonOperatorContext extends ParserRuleContext {
    EQUAL_SYMBOL(): TerminalNode | undefined;
    GREATER_SYMBOL(): TerminalNode | undefined;
    LESS_SYMBOL(): TerminalNode | undefined;
    EXCLAMATION_SYMBOL(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class LogicalOperatorContext extends ParserRuleContext {
    AND(): TerminalNode | undefined;
    BIT_AND_OP(): TerminalNode[];
    BIT_AND_OP(i: number): TerminalNode;
    XOR(): TerminalNode | undefined;
    OR(): TerminalNode | undefined;
    BIT_OR_OP(): TerminalNode[];
    BIT_OR_OP(i: number): TerminalNode;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class BitOperatorContext extends ParserRuleContext {
    LESS_SYMBOL(): TerminalNode[];
    LESS_SYMBOL(i: number): TerminalNode;
    GREATER_SYMBOL(): TerminalNode[];
    GREATER_SYMBOL(i: number): TerminalNode;
    BIT_AND_OP(): TerminalNode | undefined;
    BIT_XOR_OP(): TerminalNode | undefined;
    BIT_OR_OP(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class MathOperatorContext extends ParserRuleContext {
    STAR(): TerminalNode | undefined;
    DIVIDE(): TerminalNode | undefined;
    MODULE(): TerminalNode | undefined;
    DIV(): TerminalNode | undefined;
    MOD(): TerminalNode | undefined;
    PLUS(): TerminalNode | undefined;
    MINUS(): TerminalNode | undefined;
    MINUSMINUS(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class CharsetNameBaseContext extends ParserRuleContext {
    ARMSCII8(): TerminalNode | undefined;
    ASCII(): TerminalNode | undefined;
    BIG5(): TerminalNode | undefined;
    CP1250(): TerminalNode | undefined;
    CP1251(): TerminalNode | undefined;
    CP1256(): TerminalNode | undefined;
    CP1257(): TerminalNode | undefined;
    CP850(): TerminalNode | undefined;
    CP852(): TerminalNode | undefined;
    CP866(): TerminalNode | undefined;
    CP932(): TerminalNode | undefined;
    DEC8(): TerminalNode | undefined;
    EUCJPMS(): TerminalNode | undefined;
    EUCKR(): TerminalNode | undefined;
    GB2312(): TerminalNode | undefined;
    GBK(): TerminalNode | undefined;
    GEOSTD8(): TerminalNode | undefined;
    GREEK(): TerminalNode | undefined;
    HEBREW(): TerminalNode | undefined;
    HP8(): TerminalNode | undefined;
    KEYBCS2(): TerminalNode | undefined;
    KOI8R(): TerminalNode | undefined;
    KOI8U(): TerminalNode | undefined;
    LATIN1(): TerminalNode | undefined;
    LATIN2(): TerminalNode | undefined;
    LATIN5(): TerminalNode | undefined;
    LATIN7(): TerminalNode | undefined;
    MACCE(): TerminalNode | undefined;
    MACROMAN(): TerminalNode | undefined;
    SJIS(): TerminalNode | undefined;
    SWE7(): TerminalNode | undefined;
    TIS620(): TerminalNode | undefined;
    UCS2(): TerminalNode | undefined;
    UJIS(): TerminalNode | undefined;
    UTF16(): TerminalNode | undefined;
    UTF16LE(): TerminalNode | undefined;
    UTF32(): TerminalNode | undefined;
    UTF8(): TerminalNode | undefined;
    UTF8MB3(): TerminalNode | undefined;
    UTF8MB4(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class TransactionLevelBaseContext extends ParserRuleContext {
    REPEATABLE(): TerminalNode | undefined;
    COMMITTED(): TerminalNode | undefined;
    UNCOMMITTED(): TerminalNode | undefined;
    SERIALIZABLE(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class PrivilegesBaseContext extends ParserRuleContext {
    TABLES(): TerminalNode | undefined;
    ROUTINE(): TerminalNode | undefined;
    EXECUTE(): TerminalNode | undefined;
    FILE(): TerminalNode | undefined;
    PROCESS(): TerminalNode | undefined;
    RELOAD(): TerminalNode | undefined;
    SHUTDOWN(): TerminalNode | undefined;
    SUPER(): TerminalNode | undefined;
    PRIVILEGES(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class IntervalTypeBaseContext extends ParserRuleContext {
    QUARTER(): TerminalNode | undefined;
    MONTH(): TerminalNode | undefined;
    DAY(): TerminalNode | undefined;
    HOUR(): TerminalNode | undefined;
    MINUTE(): TerminalNode | undefined;
    WEEK(): TerminalNode | undefined;
    SECOND(): TerminalNode | undefined;
    MICROSECOND(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class DataTypeBaseContext extends ParserRuleContext {
    DATE(): TerminalNode | undefined;
    TIME(): TerminalNode | undefined;
    TIMESTAMP(): TerminalNode | undefined;
    DATETIME(): TerminalNode | undefined;
    YEAR(): TerminalNode | undefined;
    ENUM(): TerminalNode | undefined;
    TEXT(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class KeywordsCanBeIdContext extends ParserRuleContext {
    ACCOUNT(): TerminalNode | undefined;
    ACTION(): TerminalNode | undefined;
    AFTER(): TerminalNode | undefined;
    AGGREGATE(): TerminalNode | undefined;
    ALGORITHM(): TerminalNode | undefined;
    ANY(): TerminalNode | undefined;
    AT(): TerminalNode | undefined;
    AUDIT_ADMIN(): TerminalNode | undefined;
    AUTHORS(): TerminalNode | undefined;
    AUTOCOMMIT(): TerminalNode | undefined;
    AUTOEXTEND_SIZE(): TerminalNode | undefined;
    AUTO_INCREMENT(): TerminalNode | undefined;
    AVG_ROW_LENGTH(): TerminalNode | undefined;
    BACKUP_ADMIN(): TerminalNode | undefined;
    BEGIN(): TerminalNode | undefined;
    BINLOG(): TerminalNode | undefined;
    BINLOG_ADMIN(): TerminalNode | undefined;
    BINLOG_ENCRYPTION_ADMIN(): TerminalNode | undefined;
    BIT(): TerminalNode | undefined;
    BLOCK(): TerminalNode | undefined;
    BOOL(): TerminalNode | undefined;
    BOOLEAN(): TerminalNode | undefined;
    BTREE(): TerminalNode | undefined;
    CACHE(): TerminalNode | undefined;
    CASCADED(): TerminalNode | undefined;
    CHAIN(): TerminalNode | undefined;
    CHANGED(): TerminalNode | undefined;
    CHANNEL(): TerminalNode | undefined;
    CHECKSUM(): TerminalNode | undefined;
    PAGE_CHECKSUM(): TerminalNode | undefined;
    CATALOG_NAME(): TerminalNode | undefined;
    CIPHER(): TerminalNode | undefined;
    CLASS_ORIGIN(): TerminalNode | undefined;
    CLIENT(): TerminalNode | undefined;
    CLONE_ADMIN(): TerminalNode | undefined;
    CLOSE(): TerminalNode | undefined;
    COALESCE(): TerminalNode | undefined;
    CODE(): TerminalNode | undefined;
    COLUMNS(): TerminalNode | undefined;
    COLUMN_FORMAT(): TerminalNode | undefined;
    COLUMN_NAME(): TerminalNode | undefined;
    COMMENT(): TerminalNode | undefined;
    COMMIT(): TerminalNode | undefined;
    COMPACT(): TerminalNode | undefined;
    COMPLETION(): TerminalNode | undefined;
    COMPRESSED(): TerminalNode | undefined;
    COMPRESSION(): TerminalNode | undefined;
    CONCURRENT(): TerminalNode | undefined;
    CONNECTION(): TerminalNode | undefined;
    CONNECTION_ADMIN(): TerminalNode | undefined;
    CONSISTENT(): TerminalNode | undefined;
    CONSTRAINT_CATALOG(): TerminalNode | undefined;
    CONSTRAINT_NAME(): TerminalNode | undefined;
    CONSTRAINT_SCHEMA(): TerminalNode | undefined;
    CONTAINS(): TerminalNode | undefined;
    CONTEXT(): TerminalNode | undefined;
    CONTRIBUTORS(): TerminalNode | undefined;
    COPY(): TerminalNode | undefined;
    CPU(): TerminalNode | undefined;
    CURRENT(): TerminalNode | undefined;
    CURSOR_NAME(): TerminalNode | undefined;
    DATA(): TerminalNode | undefined;
    DATAFILE(): TerminalNode | undefined;
    DEALLOCATE(): TerminalNode | undefined;
    DEFAULT_AUTH(): TerminalNode | undefined;
    DEFINER(): TerminalNode | undefined;
    DELAY_KEY_WRITE(): TerminalNode | undefined;
    DES_KEY_FILE(): TerminalNode | undefined;
    DIAGNOSTICS(): TerminalNode | undefined;
    DIRECTORY(): TerminalNode | undefined;
    DISABLE(): TerminalNode | undefined;
    DISCARD(): TerminalNode | undefined;
    DISK(): TerminalNode | undefined;
    DO(): TerminalNode | undefined;
    DUMPFILE(): TerminalNode | undefined;
    DUPLICATE(): TerminalNode | undefined;
    DYNAMIC(): TerminalNode | undefined;
    ENABLE(): TerminalNode | undefined;
    ENCRYPTION(): TerminalNode | undefined;
    ENCRYPTION_KEY_ADMIN(): TerminalNode | undefined;
    END(): TerminalNode | undefined;
    ENDS(): TerminalNode | undefined;
    ENGINE(): TerminalNode | undefined;
    ENGINES(): TerminalNode | undefined;
    ERROR(): TerminalNode | undefined;
    ERRORS(): TerminalNode | undefined;
    ESCAPE(): TerminalNode | undefined;
    EVEN(): TerminalNode | undefined;
    EVENT(): TerminalNode | undefined;
    EVENTS(): TerminalNode | undefined;
    EVERY(): TerminalNode | undefined;
    EXCHANGE(): TerminalNode | undefined;
    EXCLUSIVE(): TerminalNode | undefined;
    EXPIRE(): TerminalNode | undefined;
    EXPORT(): TerminalNode | undefined;
    EXTENDED(): TerminalNode | undefined;
    EXTENT_SIZE(): TerminalNode | undefined;
    FAST(): TerminalNode | undefined;
    FAULTS(): TerminalNode | undefined;
    FIELDS(): TerminalNode | undefined;
    FILE_BLOCK_SIZE(): TerminalNode | undefined;
    FILTER(): TerminalNode | undefined;
    FIREWALL_ADMIN(): TerminalNode | undefined;
    FIREWALL_USER(): TerminalNode | undefined;
    FIRST(): TerminalNode | undefined;
    FIXED(): TerminalNode | undefined;
    FLUSH(): TerminalNode | undefined;
    FOLLOWS(): TerminalNode | undefined;
    FOUND(): TerminalNode | undefined;
    FULL(): TerminalNode | undefined;
    FUNCTION(): TerminalNode | undefined;
    GENERAL(): TerminalNode | undefined;
    GLOBAL(): TerminalNode | undefined;
    GRANTS(): TerminalNode | undefined;
    GROUP_REPLICATION(): TerminalNode | undefined;
    GROUP_REPLICATION_ADMIN(): TerminalNode | undefined;
    HANDLER(): TerminalNode | undefined;
    HASH(): TerminalNode | undefined;
    HELP(): TerminalNode | undefined;
    HOST(): TerminalNode | undefined;
    HOSTS(): TerminalNode | undefined;
    IDENTIFIED(): TerminalNode | undefined;
    IGNORE_SERVER_IDS(): TerminalNode | undefined;
    IMPORT(): TerminalNode | undefined;
    INDEXES(): TerminalNode | undefined;
    INITIAL_SIZE(): TerminalNode | undefined;
    INNODB_REDO_LOG_ARCHIVE(): TerminalNode | undefined;
    INPLACE(): TerminalNode | undefined;
    INSERT_METHOD(): TerminalNode | undefined;
    INSTALL(): TerminalNode | undefined;
    INSTANCE(): TerminalNode | undefined;
    INTERNAL(): TerminalNode | undefined;
    INVOKER(): TerminalNode | undefined;
    IO(): TerminalNode | undefined;
    IO_THREAD(): TerminalNode | undefined;
    IPC(): TerminalNode | undefined;
    ISOLATION(): TerminalNode | undefined;
    ISSUER(): TerminalNode | undefined;
    JSON(): TerminalNode | undefined;
    KEY_BLOCK_SIZE(): TerminalNode | undefined;
    LANGUAGE(): TerminalNode | undefined;
    LAST(): TerminalNode | undefined;
    LEAVES(): TerminalNode | undefined;
    LESS(): TerminalNode | undefined;
    LEVEL(): TerminalNode | undefined;
    LIST(): TerminalNode | undefined;
    LOCAL(): TerminalNode | undefined;
    LOGFILE(): TerminalNode | undefined;
    LOGS(): TerminalNode | undefined;
    MASTER(): TerminalNode | undefined;
    MASTER_AUTO_POSITION(): TerminalNode | undefined;
    MASTER_CONNECT_RETRY(): TerminalNode | undefined;
    MASTER_DELAY(): TerminalNode | undefined;
    MASTER_HEARTBEAT_PERIOD(): TerminalNode | undefined;
    MASTER_HOST(): TerminalNode | undefined;
    MASTER_LOG_FILE(): TerminalNode | undefined;
    MASTER_LOG_POS(): TerminalNode | undefined;
    MASTER_PASSWORD(): TerminalNode | undefined;
    MASTER_PORT(): TerminalNode | undefined;
    MASTER_RETRY_COUNT(): TerminalNode | undefined;
    MASTER_SSL(): TerminalNode | undefined;
    MASTER_SSL_CA(): TerminalNode | undefined;
    MASTER_SSL_CAPATH(): TerminalNode | undefined;
    MASTER_SSL_CERT(): TerminalNode | undefined;
    MASTER_SSL_CIPHER(): TerminalNode | undefined;
    MASTER_SSL_CRL(): TerminalNode | undefined;
    MASTER_SSL_CRLPATH(): TerminalNode | undefined;
    MASTER_SSL_KEY(): TerminalNode | undefined;
    MASTER_TLS_VERSION(): TerminalNode | undefined;
    MASTER_USER(): TerminalNode | undefined;
    MAX_CONNECTIONS_PER_HOUR(): TerminalNode | undefined;
    MAX_QUERIES_PER_HOUR(): TerminalNode | undefined;
    MAX_ROWS(): TerminalNode | undefined;
    MAX_SIZE(): TerminalNode | undefined;
    MAX_UPDATES_PER_HOUR(): TerminalNode | undefined;
    MAX_USER_CONNECTIONS(): TerminalNode | undefined;
    MEDIUM(): TerminalNode | undefined;
    MEMORY(): TerminalNode | undefined;
    MERGE(): TerminalNode | undefined;
    MESSAGE_TEXT(): TerminalNode | undefined;
    MID(): TerminalNode | undefined;
    MIGRATE(): TerminalNode | undefined;
    MIN_ROWS(): TerminalNode | undefined;
    MODE(): TerminalNode | undefined;
    MODIFY(): TerminalNode | undefined;
    MUTEX(): TerminalNode | undefined;
    MYSQL(): TerminalNode | undefined;
    MYSQL_ERRNO(): TerminalNode | undefined;
    NAME(): TerminalNode | undefined;
    NAMES(): TerminalNode | undefined;
    NCHAR(): TerminalNode | undefined;
    NDB_STORED_USER(): TerminalNode | undefined;
    NEVER(): TerminalNode | undefined;
    NEXT(): TerminalNode | undefined;
    NO(): TerminalNode | undefined;
    NODEGROUP(): TerminalNode | undefined;
    NONE(): TerminalNode | undefined;
    NUMBER(): TerminalNode | undefined;
    OFFLINE(): TerminalNode | undefined;
    OFFSET(): TerminalNode | undefined;
    OJ(): TerminalNode | undefined;
    OLD_PASSWORD(): TerminalNode | undefined;
    ONE(): TerminalNode | undefined;
    ONLINE(): TerminalNode | undefined;
    ONLY(): TerminalNode | undefined;
    OPEN(): TerminalNode | undefined;
    OPTIMIZER_COSTS(): TerminalNode | undefined;
    OPTIONS(): TerminalNode | undefined;
    OWNER(): TerminalNode | undefined;
    PACK_KEYS(): TerminalNode | undefined;
    PAGE(): TerminalNode | undefined;
    PARSER(): TerminalNode | undefined;
    PARTIAL(): TerminalNode | undefined;
    PARTITIONING(): TerminalNode | undefined;
    PARTITIONS(): TerminalNode | undefined;
    PASSWORD(): TerminalNode | undefined;
    PERSIST_RO_VARIABLES_ADMIN(): TerminalNode | undefined;
    PHASE(): TerminalNode | undefined;
    PLUGINS(): TerminalNode | undefined;
    PLUGIN_DIR(): TerminalNode | undefined;
    PLUGIN(): TerminalNode | undefined;
    PORT(): TerminalNode | undefined;
    PRECEDES(): TerminalNode | undefined;
    PREPARE(): TerminalNode | undefined;
    PRESERVE(): TerminalNode | undefined;
    PREV(): TerminalNode | undefined;
    PROCESSLIST(): TerminalNode | undefined;
    PROFILE(): TerminalNode | undefined;
    PROFILES(): TerminalNode | undefined;
    PROXY(): TerminalNode | undefined;
    QUERY(): TerminalNode | undefined;
    QUICK(): TerminalNode | undefined;
    REBUILD(): TerminalNode | undefined;
    RECOVER(): TerminalNode | undefined;
    REDO_BUFFER_SIZE(): TerminalNode | undefined;
    REDUNDANT(): TerminalNode | undefined;
    RELAY(): TerminalNode | undefined;
    RELAYLOG(): TerminalNode | undefined;
    RELAY_LOG_FILE(): TerminalNode | undefined;
    RELAY_LOG_POS(): TerminalNode | undefined;
    REMOVE(): TerminalNode | undefined;
    REORGANIZE(): TerminalNode | undefined;
    REPAIR(): TerminalNode | undefined;
    REPLICATE_DO_DB(): TerminalNode | undefined;
    REPLICATE_DO_TABLE(): TerminalNode | undefined;
    REPLICATE_IGNORE_DB(): TerminalNode | undefined;
    REPLICATE_IGNORE_TABLE(): TerminalNode | undefined;
    REPLICATE_REWRITE_DB(): TerminalNode | undefined;
    REPLICATE_WILD_DO_TABLE(): TerminalNode | undefined;
    REPLICATE_WILD_IGNORE_TABLE(): TerminalNode | undefined;
    REPLICATION(): TerminalNode | undefined;
    REPLICATION_APPLIER(): TerminalNode | undefined;
    REPLICATION_SLAVE_ADMIN(): TerminalNode | undefined;
    RESET(): TerminalNode | undefined;
    RESOURCE_GROUP_ADMIN(): TerminalNode | undefined;
    RESOURCE_GROUP_USER(): TerminalNode | undefined;
    RESUME(): TerminalNode | undefined;
    RETURNED_SQLSTATE(): TerminalNode | undefined;
    RETURNS(): TerminalNode | undefined;
    ROLE(): TerminalNode | undefined;
    ROLE_ADMIN(): TerminalNode | undefined;
    ROLLBACK(): TerminalNode | undefined;
    ROLLUP(): TerminalNode | undefined;
    ROTATE(): TerminalNode | undefined;
    ROW(): TerminalNode | undefined;
    ROWS(): TerminalNode | undefined;
    ROW_FORMAT(): TerminalNode | undefined;
    SAVEPOINT(): TerminalNode | undefined;
    SCHEDULE(): TerminalNode | undefined;
    SCHEMA_NAME(): TerminalNode | undefined;
    SECURITY(): TerminalNode | undefined;
    SERIAL(): TerminalNode | undefined;
    SERVER(): TerminalNode | undefined;
    SESSION(): TerminalNode | undefined;
    SESSION_VARIABLES_ADMIN(): TerminalNode | undefined;
    SET_USER_ID(): TerminalNode | undefined;
    SHARE(): TerminalNode | undefined;
    SHARED(): TerminalNode | undefined;
    SHOW_ROUTINE(): TerminalNode | undefined;
    SIGNED(): TerminalNode | undefined;
    SIMPLE(): TerminalNode | undefined;
    SLAVE(): TerminalNode | undefined;
    SLOW(): TerminalNode | undefined;
    SNAPSHOT(): TerminalNode | undefined;
    SOCKET(): TerminalNode | undefined;
    SOME(): TerminalNode | undefined;
    SONAME(): TerminalNode | undefined;
    SOUNDS(): TerminalNode | undefined;
    SOURCE(): TerminalNode | undefined;
    SQL_AFTER_GTIDS(): TerminalNode | undefined;
    SQL_AFTER_MTS_GAPS(): TerminalNode | undefined;
    SQL_BEFORE_GTIDS(): TerminalNode | undefined;
    SQL_BUFFER_RESULT(): TerminalNode | undefined;
    SQL_CACHE(): TerminalNode | undefined;
    SQL_NO_CACHE(): TerminalNode | undefined;
    SQL_THREAD(): TerminalNode | undefined;
    STACKED(): TerminalNode | undefined;
    START(): TerminalNode | undefined;
    STARTS(): TerminalNode | undefined;
    STATS_AUTO_RECALC(): TerminalNode | undefined;
    STATS_PERSISTENT(): TerminalNode | undefined;
    STATS_SAMPLE_PAGES(): TerminalNode | undefined;
    STATUS(): TerminalNode | undefined;
    STOP(): TerminalNode | undefined;
    STORAGE(): TerminalNode | undefined;
    STRING(): TerminalNode | undefined;
    SUBCLASS_ORIGIN(): TerminalNode | undefined;
    SUBJECT(): TerminalNode | undefined;
    SUBPARTITION(): TerminalNode | undefined;
    SUBPARTITIONS(): TerminalNode | undefined;
    SUSPEND(): TerminalNode | undefined;
    SWAPS(): TerminalNode | undefined;
    SWITCHES(): TerminalNode | undefined;
    SYSTEM_VARIABLES_ADMIN(): TerminalNode | undefined;
    TABLE_NAME(): TerminalNode | undefined;
    TABLESPACE(): TerminalNode | undefined;
    TABLE_ENCRYPTION_ADMIN(): TerminalNode | undefined;
    TEMPORARY(): TerminalNode | undefined;
    TEMPTABLE(): TerminalNode | undefined;
    THAN(): TerminalNode | undefined;
    TRADITIONAL(): TerminalNode | undefined;
    TRANSACTION(): TerminalNode | undefined;
    TRANSACTIONAL(): TerminalNode | undefined;
    TRIGGERS(): TerminalNode | undefined;
    TRUNCATE(): TerminalNode | undefined;
    UNDEFINED(): TerminalNode | undefined;
    UNDOFILE(): TerminalNode | undefined;
    UNDO_BUFFER_SIZE(): TerminalNode | undefined;
    UNINSTALL(): TerminalNode | undefined;
    UNKNOWN(): TerminalNode | undefined;
    UNTIL(): TerminalNode | undefined;
    UPGRADE(): TerminalNode | undefined;
    USER(): TerminalNode | undefined;
    USE_FRM(): TerminalNode | undefined;
    USER_RESOURCES(): TerminalNode | undefined;
    VALIDATION(): TerminalNode | undefined;
    VALUE(): TerminalNode | undefined;
    VARIABLES(): TerminalNode | undefined;
    VERSION_TOKEN_ADMIN(): TerminalNode | undefined;
    VIEW(): TerminalNode | undefined;
    WAIT(): TerminalNode | undefined;
    WARNINGS(): TerminalNode | undefined;
    WITHOUT(): TerminalNode | undefined;
    WORK(): TerminalNode | undefined;
    WRAPPER(): TerminalNode | undefined;
    X509(): TerminalNode | undefined;
    XA(): TerminalNode | undefined;
    XA_RECOVER_ADMIN(): TerminalNode | undefined;
    XML(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
export declare class FunctionNameBaseContext extends ParserRuleContext {
    ABS(): TerminalNode | undefined;
    ACOS(): TerminalNode | undefined;
    ADDDATE(): TerminalNode | undefined;
    ADDTIME(): TerminalNode | undefined;
    AES_DECRYPT(): TerminalNode | undefined;
    AES_ENCRYPT(): TerminalNode | undefined;
    AREA(): TerminalNode | undefined;
    ASBINARY(): TerminalNode | undefined;
    ASIN(): TerminalNode | undefined;
    ASTEXT(): TerminalNode | undefined;
    ASWKB(): TerminalNode | undefined;
    ASWKT(): TerminalNode | undefined;
    ASYMMETRIC_DECRYPT(): TerminalNode | undefined;
    ASYMMETRIC_DERIVE(): TerminalNode | undefined;
    ASYMMETRIC_ENCRYPT(): TerminalNode | undefined;
    ASYMMETRIC_SIGN(): TerminalNode | undefined;
    ASYMMETRIC_VERIFY(): TerminalNode | undefined;
    ATAN(): TerminalNode | undefined;
    ATAN2(): TerminalNode | undefined;
    BENCHMARK(): TerminalNode | undefined;
    BIN(): TerminalNode | undefined;
    BIT_COUNT(): TerminalNode | undefined;
    BIT_LENGTH(): TerminalNode | undefined;
    BUFFER(): TerminalNode | undefined;
    CEIL(): TerminalNode | undefined;
    CEILING(): TerminalNode | undefined;
    CENTROID(): TerminalNode | undefined;
    CHARACTER_LENGTH(): TerminalNode | undefined;
    CHARSET(): TerminalNode | undefined;
    CHAR_LENGTH(): TerminalNode | undefined;
    COERCIBILITY(): TerminalNode | undefined;
    COLLATION(): TerminalNode | undefined;
    COMPRESS(): TerminalNode | undefined;
    CONCAT(): TerminalNode | undefined;
    CONCAT_WS(): TerminalNode | undefined;
    CONNECTION_ID(): TerminalNode | undefined;
    CONV(): TerminalNode | undefined;
    CONVERT_TZ(): TerminalNode | undefined;
    COS(): TerminalNode | undefined;
    COT(): TerminalNode | undefined;
    COUNT(): TerminalNode | undefined;
    CRC32(): TerminalNode | undefined;
    CREATE_ASYMMETRIC_PRIV_KEY(): TerminalNode | undefined;
    CREATE_ASYMMETRIC_PUB_KEY(): TerminalNode | undefined;
    CREATE_DH_PARAMETERS(): TerminalNode | undefined;
    CREATE_DIGEST(): TerminalNode | undefined;
    CROSSES(): TerminalNode | undefined;
    DATABASE(): TerminalNode | undefined;
    DATE(): TerminalNode | undefined;
    DATEDIFF(): TerminalNode | undefined;
    DATE_FORMAT(): TerminalNode | undefined;
    DAY(): TerminalNode | undefined;
    DAYNAME(): TerminalNode | undefined;
    DAYOFMONTH(): TerminalNode | undefined;
    DAYOFWEEK(): TerminalNode | undefined;
    DAYOFYEAR(): TerminalNode | undefined;
    DECODE(): TerminalNode | undefined;
    DEGREES(): TerminalNode | undefined;
    DES_DECRYPT(): TerminalNode | undefined;
    DES_ENCRYPT(): TerminalNode | undefined;
    DIMENSION(): TerminalNode | undefined;
    DISJOINT(): TerminalNode | undefined;
    ELT(): TerminalNode | undefined;
    ENCODE(): TerminalNode | undefined;
    ENCRYPT(): TerminalNode | undefined;
    ENDPOINT(): TerminalNode | undefined;
    ENVELOPE(): TerminalNode | undefined;
    EQUALS(): TerminalNode | undefined;
    EXP(): TerminalNode | undefined;
    EXPORT_SET(): TerminalNode | undefined;
    EXTERIORRING(): TerminalNode | undefined;
    EXTRACTVALUE(): TerminalNode | undefined;
    FIELD(): TerminalNode | undefined;
    FIND_IN_SET(): TerminalNode | undefined;
    FLOOR(): TerminalNode | undefined;
    FORMAT(): TerminalNode | undefined;
    FOUND_ROWS(): TerminalNode | undefined;
    FROM_BASE64(): TerminalNode | undefined;
    FROM_DAYS(): TerminalNode | undefined;
    FROM_UNIXTIME(): TerminalNode | undefined;
    GEOMCOLLFROMTEXT(): TerminalNode | undefined;
    GEOMCOLLFROMWKB(): TerminalNode | undefined;
    GEOMETRYCOLLECTION(): TerminalNode | undefined;
    GEOMETRYCOLLECTIONFROMTEXT(): TerminalNode | undefined;
    GEOMETRYCOLLECTIONFROMWKB(): TerminalNode | undefined;
    GEOMETRYFROMTEXT(): TerminalNode | undefined;
    GEOMETRYFROMWKB(): TerminalNode | undefined;
    GEOMETRYN(): TerminalNode | undefined;
    GEOMETRYTYPE(): TerminalNode | undefined;
    GEOMFROMTEXT(): TerminalNode | undefined;
    GEOMFROMWKB(): TerminalNode | undefined;
    GET_FORMAT(): TerminalNode | undefined;
    GET_LOCK(): TerminalNode | undefined;
    GLENGTH(): TerminalNode | undefined;
    GREATEST(): TerminalNode | undefined;
    GTID_SUBSET(): TerminalNode | undefined;
    GTID_SUBTRACT(): TerminalNode | undefined;
    HEX(): TerminalNode | undefined;
    HOUR(): TerminalNode | undefined;
    IFNULL(): TerminalNode | undefined;
    INET6_ATON(): TerminalNode | undefined;
    INET6_NTOA(): TerminalNode | undefined;
    INET_ATON(): TerminalNode | undefined;
    INET_NTOA(): TerminalNode | undefined;
    INSTR(): TerminalNode | undefined;
    INTERIORRINGN(): TerminalNode | undefined;
    INTERSECTS(): TerminalNode | undefined;
    INVISIBLE(): TerminalNode | undefined;
    ISCLOSED(): TerminalNode | undefined;
    ISEMPTY(): TerminalNode | undefined;
    ISNULL(): TerminalNode | undefined;
    ISSIMPLE(): TerminalNode | undefined;
    IS_FREE_LOCK(): TerminalNode | undefined;
    IS_IPV4(): TerminalNode | undefined;
    IS_IPV4_COMPAT(): TerminalNode | undefined;
    IS_IPV4_MAPPED(): TerminalNode | undefined;
    IS_IPV6(): TerminalNode | undefined;
    IS_USED_LOCK(): TerminalNode | undefined;
    LAST_INSERT_ID(): TerminalNode | undefined;
    LCASE(): TerminalNode | undefined;
    LEAST(): TerminalNode | undefined;
    LEFT(): TerminalNode | undefined;
    LENGTH(): TerminalNode | undefined;
    LINEFROMTEXT(): TerminalNode | undefined;
    LINEFROMWKB(): TerminalNode | undefined;
    LINESTRING(): TerminalNode | undefined;
    LINESTRINGFROMTEXT(): TerminalNode | undefined;
    LINESTRINGFROMWKB(): TerminalNode | undefined;
    LN(): TerminalNode | undefined;
    LOAD_FILE(): TerminalNode | undefined;
    LOCATE(): TerminalNode | undefined;
    LOG(): TerminalNode | undefined;
    LOG10(): TerminalNode | undefined;
    LOG2(): TerminalNode | undefined;
    LOWER(): TerminalNode | undefined;
    LPAD(): TerminalNode | undefined;
    LTRIM(): TerminalNode | undefined;
    MAKEDATE(): TerminalNode | undefined;
    MAKETIME(): TerminalNode | undefined;
    MAKE_SET(): TerminalNode | undefined;
    MASTER_POS_WAIT(): TerminalNode | undefined;
    MBRCONTAINS(): TerminalNode | undefined;
    MBRDISJOINT(): TerminalNode | undefined;
    MBREQUAL(): TerminalNode | undefined;
    MBRINTERSECTS(): TerminalNode | undefined;
    MBROVERLAPS(): TerminalNode | undefined;
    MBRTOUCHES(): TerminalNode | undefined;
    MBRWITHIN(): TerminalNode | undefined;
    MD5(): TerminalNode | undefined;
    MICROSECOND(): TerminalNode | undefined;
    MINUTE(): TerminalNode | undefined;
    MLINEFROMTEXT(): TerminalNode | undefined;
    MLINEFROMWKB(): TerminalNode | undefined;
    MONTH(): TerminalNode | undefined;
    MONTHNAME(): TerminalNode | undefined;
    MPOINTFROMTEXT(): TerminalNode | undefined;
    MPOINTFROMWKB(): TerminalNode | undefined;
    MPOLYFROMTEXT(): TerminalNode | undefined;
    MPOLYFROMWKB(): TerminalNode | undefined;
    MULTILINESTRING(): TerminalNode | undefined;
    MULTILINESTRINGFROMTEXT(): TerminalNode | undefined;
    MULTILINESTRINGFROMWKB(): TerminalNode | undefined;
    MULTIPOINT(): TerminalNode | undefined;
    MULTIPOINTFROMTEXT(): TerminalNode | undefined;
    MULTIPOINTFROMWKB(): TerminalNode | undefined;
    MULTIPOLYGON(): TerminalNode | undefined;
    MULTIPOLYGONFROMTEXT(): TerminalNode | undefined;
    MULTIPOLYGONFROMWKB(): TerminalNode | undefined;
    NAME_CONST(): TerminalNode | undefined;
    NULLIF(): TerminalNode | undefined;
    NUMGEOMETRIES(): TerminalNode | undefined;
    NUMINTERIORRINGS(): TerminalNode | undefined;
    NUMPOINTS(): TerminalNode | undefined;
    OCT(): TerminalNode | undefined;
    OCTET_LENGTH(): TerminalNode | undefined;
    ORD(): TerminalNode | undefined;
    OVERLAPS(): TerminalNode | undefined;
    PERIOD_ADD(): TerminalNode | undefined;
    PERIOD_DIFF(): TerminalNode | undefined;
    PI(): TerminalNode | undefined;
    POINT(): TerminalNode | undefined;
    POINTFROMTEXT(): TerminalNode | undefined;
    POINTFROMWKB(): TerminalNode | undefined;
    POINTN(): TerminalNode | undefined;
    POLYFROMTEXT(): TerminalNode | undefined;
    POLYFROMWKB(): TerminalNode | undefined;
    POLYGON(): TerminalNode | undefined;
    POLYGONFROMTEXT(): TerminalNode | undefined;
    POLYGONFROMWKB(): TerminalNode | undefined;
    POSITION(): TerminalNode | undefined;
    POW(): TerminalNode | undefined;
    POWER(): TerminalNode | undefined;
    QUARTER(): TerminalNode | undefined;
    QUOTE(): TerminalNode | undefined;
    RADIANS(): TerminalNode | undefined;
    RAND(): TerminalNode | undefined;
    RANDOM_BYTES(): TerminalNode | undefined;
    RELEASE_LOCK(): TerminalNode | undefined;
    REVERSE(): TerminalNode | undefined;
    RIGHT(): TerminalNode | undefined;
    ROUND(): TerminalNode | undefined;
    ROW_COUNT(): TerminalNode | undefined;
    RPAD(): TerminalNode | undefined;
    RTRIM(): TerminalNode | undefined;
    SECOND(): TerminalNode | undefined;
    SEC_TO_TIME(): TerminalNode | undefined;
    SESSION_USER(): TerminalNode | undefined;
    SESSION_VARIABLES_ADMIN(): TerminalNode | undefined;
    SHA(): TerminalNode | undefined;
    SHA1(): TerminalNode | undefined;
    SHA2(): TerminalNode | undefined;
    SIGN(): TerminalNode | undefined;
    SIN(): TerminalNode | undefined;
    SLEEP(): TerminalNode | undefined;
    SOUNDEX(): TerminalNode | undefined;
    SQL_THREAD_WAIT_AFTER_GTIDS(): TerminalNode | undefined;
    SQRT(): TerminalNode | undefined;
    SRID(): TerminalNode | undefined;
    STARTPOINT(): TerminalNode | undefined;
    STRCMP(): TerminalNode | undefined;
    STR_TO_DATE(): TerminalNode | undefined;
    ST_AREA(): TerminalNode | undefined;
    ST_ASBINARY(): TerminalNode | undefined;
    ST_ASTEXT(): TerminalNode | undefined;
    ST_ASWKB(): TerminalNode | undefined;
    ST_ASWKT(): TerminalNode | undefined;
    ST_BUFFER(): TerminalNode | undefined;
    ST_CENTROID(): TerminalNode | undefined;
    ST_CONTAINS(): TerminalNode | undefined;
    ST_CROSSES(): TerminalNode | undefined;
    ST_DIFFERENCE(): TerminalNode | undefined;
    ST_DIMENSION(): TerminalNode | undefined;
    ST_DISJOINT(): TerminalNode | undefined;
    ST_DISTANCE(): TerminalNode | undefined;
    ST_ENDPOINT(): TerminalNode | undefined;
    ST_ENVELOPE(): TerminalNode | undefined;
    ST_EQUALS(): TerminalNode | undefined;
    ST_EXTERIORRING(): TerminalNode | undefined;
    ST_GEOMCOLLFROMTEXT(): TerminalNode | undefined;
    ST_GEOMCOLLFROMTXT(): TerminalNode | undefined;
    ST_GEOMCOLLFROMWKB(): TerminalNode | undefined;
    ST_GEOMETRYCOLLECTIONFROMTEXT(): TerminalNode | undefined;
    ST_GEOMETRYCOLLECTIONFROMWKB(): TerminalNode | undefined;
    ST_GEOMETRYFROMTEXT(): TerminalNode | undefined;
    ST_GEOMETRYFROMWKB(): TerminalNode | undefined;
    ST_GEOMETRYN(): TerminalNode | undefined;
    ST_GEOMETRYTYPE(): TerminalNode | undefined;
    ST_GEOMFROMTEXT(): TerminalNode | undefined;
    ST_GEOMFROMWKB(): TerminalNode | undefined;
    ST_INTERIORRINGN(): TerminalNode | undefined;
    ST_INTERSECTION(): TerminalNode | undefined;
    ST_INTERSECTS(): TerminalNode | undefined;
    ST_ISCLOSED(): TerminalNode | undefined;
    ST_ISEMPTY(): TerminalNode | undefined;
    ST_ISSIMPLE(): TerminalNode | undefined;
    ST_LINEFROMTEXT(): TerminalNode | undefined;
    ST_LINEFROMWKB(): TerminalNode | undefined;
    ST_LINESTRINGFROMTEXT(): TerminalNode | undefined;
    ST_LINESTRINGFROMWKB(): TerminalNode | undefined;
    ST_NUMGEOMETRIES(): TerminalNode | undefined;
    ST_NUMINTERIORRING(): TerminalNode | undefined;
    ST_NUMINTERIORRINGS(): TerminalNode | undefined;
    ST_NUMPOINTS(): TerminalNode | undefined;
    ST_OVERLAPS(): TerminalNode | undefined;
    ST_POINTFROMTEXT(): TerminalNode | undefined;
    ST_POINTFROMWKB(): TerminalNode | undefined;
    ST_POINTN(): TerminalNode | undefined;
    ST_POLYFROMTEXT(): TerminalNode | undefined;
    ST_POLYFROMWKB(): TerminalNode | undefined;
    ST_POLYGONFROMTEXT(): TerminalNode | undefined;
    ST_POLYGONFROMWKB(): TerminalNode | undefined;
    ST_SRID(): TerminalNode | undefined;
    ST_STARTPOINT(): TerminalNode | undefined;
    ST_SYMDIFFERENCE(): TerminalNode | undefined;
    ST_TOUCHES(): TerminalNode | undefined;
    ST_UNION(): TerminalNode | undefined;
    ST_WITHIN(): TerminalNode | undefined;
    ST_X(): TerminalNode | undefined;
    ST_Y(): TerminalNode | undefined;
    SUBDATE(): TerminalNode | undefined;
    SUBSTRING_INDEX(): TerminalNode | undefined;
    SUBTIME(): TerminalNode | undefined;
    SYSTEM_USER(): TerminalNode | undefined;
    TAN(): TerminalNode | undefined;
    TIME(): TerminalNode | undefined;
    TIMEDIFF(): TerminalNode | undefined;
    TIMESTAMP(): TerminalNode | undefined;
    TIMESTAMPADD(): TerminalNode | undefined;
    TIMESTAMPDIFF(): TerminalNode | undefined;
    TIME_FORMAT(): TerminalNode | undefined;
    TIME_TO_SEC(): TerminalNode | undefined;
    TOUCHES(): TerminalNode | undefined;
    TO_BASE64(): TerminalNode | undefined;
    TO_DAYS(): TerminalNode | undefined;
    TO_SECONDS(): TerminalNode | undefined;
    UCASE(): TerminalNode | undefined;
    UNCOMPRESS(): TerminalNode | undefined;
    UNCOMPRESSED_LENGTH(): TerminalNode | undefined;
    UNHEX(): TerminalNode | undefined;
    UNIX_TIMESTAMP(): TerminalNode | undefined;
    UPDATEXML(): TerminalNode | undefined;
    UPPER(): TerminalNode | undefined;
    UUID(): TerminalNode | undefined;
    UUID_SHORT(): TerminalNode | undefined;
    VALIDATE_PASSWORD_STRENGTH(): TerminalNode | undefined;
    VERSION(): TerminalNode | undefined;
    VISIBLE(): TerminalNode | undefined;
    WAIT_UNTIL_SQL_THREAD_AFTER_GTIDS(): TerminalNode | undefined;
    WEEK(): TerminalNode | undefined;
    WEEKDAY(): TerminalNode | undefined;
    WEEKOFYEAR(): TerminalNode | undefined;
    WEIGHT_STRING(): TerminalNode | undefined;
    WITHIN(): TerminalNode | undefined;
    YEAR(): TerminalNode | undefined;
    YEARWEEK(): TerminalNode | undefined;
    Y_FUNCTION(): TerminalNode | undefined;
    X_FUNCTION(): TerminalNode | undefined;
    JSON_VALID(): TerminalNode | undefined;
    JSON_SCHEMA_VALID(): TerminalNode | undefined;
    constructor(parent: ParserRuleContext | undefined, invokingState: number);
    get ruleIndex(): number;
    enterRule(listener: SqlParserListener): void;
    exitRule(listener: SqlParserListener): void;
    accept<Result>(visitor: SqlParserVisitor<Result>): Result;
}
